import * as React from 'react';
import React__default, { useMemo, useRef, useState, useEffect, useCallback } from 'react';
import styled from 'styled-components';

function _iterableToArrayLimit(arr, i) {
  var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"];
  if (null != _i) {
    var _s,
      _e,
      _x,
      _r,
      _arr = [],
      _n = !0,
      _d = !1;
    try {
      if (_x = (_i = _i.call(arr)).next, 0 === i) {
        if (Object(_i) !== _i) return;
        _n = !1;
      } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0);
    } catch (err) {
      _d = !0, _e = err;
    } finally {
      try {
        if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return;
      } finally {
        if (_d) throw _e;
      }
    }
    return _arr;
  }
}
function _defineProperty(obj, key, value) {
  key = _toPropertyKey(key);
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function _taggedTemplateLiteral(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }
  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
}
function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}
function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
  return arr2;
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _toPrimitive(input, hint) {
  if (typeof input !== "object" || input === null) return input;
  var prim = input[Symbol.toPrimitive];
  if (prim !== undefined) {
    var res = prim.call(input, hint || "default");
    if (typeof res !== "object") return res;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return (hint === "string" ? String : Number)(input);
}
function _toPropertyKey(arg) {
  var key = _toPrimitive(arg, "string");
  return typeof key === "symbol" ? key : String(key);
}

const pi = Math.PI,
    tau = 2 * pi,
    epsilon$1 = 1e-6,
    tauEpsilon = tau - epsilon$1;

function Path() {
  this._x0 = this._y0 = // start of current subpath
  this._x1 = this._y1 = null; // end of current subpath
  this._ = "";
}

function path() {
  return new Path;
}

Path.prototype = path.prototype = {
  constructor: Path,
  moveTo: function(x, y) {
    this._ += "M" + (this._x0 = this._x1 = +x) + "," + (this._y0 = this._y1 = +y);
  },
  closePath: function() {
    if (this._x1 !== null) {
      this._x1 = this._x0, this._y1 = this._y0;
      this._ += "Z";
    }
  },
  lineTo: function(x, y) {
    this._ += "L" + (this._x1 = +x) + "," + (this._y1 = +y);
  },
  quadraticCurveTo: function(x1, y1, x, y) {
    this._ += "Q" + (+x1) + "," + (+y1) + "," + (this._x1 = +x) + "," + (this._y1 = +y);
  },
  bezierCurveTo: function(x1, y1, x2, y2, x, y) {
    this._ += "C" + (+x1) + "," + (+y1) + "," + (+x2) + "," + (+y2) + "," + (this._x1 = +x) + "," + (this._y1 = +y);
  },
  arcTo: function(x1, y1, x2, y2, r) {
    x1 = +x1, y1 = +y1, x2 = +x2, y2 = +y2, r = +r;
    var x0 = this._x1,
        y0 = this._y1,
        x21 = x2 - x1,
        y21 = y2 - y1,
        x01 = x0 - x1,
        y01 = y0 - y1,
        l01_2 = x01 * x01 + y01 * y01;

    // Is the radius negative? Error.
    if (r < 0) throw new Error("negative radius: " + r);

    // Is this path empty? Move to (x1,y1).
    if (this._x1 === null) {
      this._ += "M" + (this._x1 = x1) + "," + (this._y1 = y1);
    }

    // Or, is (x1,y1) coincident with (x0,y0)? Do nothing.
    else if (!(l01_2 > epsilon$1));

    // Or, are (x0,y0), (x1,y1) and (x2,y2) collinear?
    // Equivalently, is (x1,y1) coincident with (x2,y2)?
    // Or, is the radius zero? Line to (x1,y1).
    else if (!(Math.abs(y01 * x21 - y21 * x01) > epsilon$1) || !r) {
      this._ += "L" + (this._x1 = x1) + "," + (this._y1 = y1);
    }

    // Otherwise, draw an arc!
    else {
      var x20 = x2 - x0,
          y20 = y2 - y0,
          l21_2 = x21 * x21 + y21 * y21,
          l20_2 = x20 * x20 + y20 * y20,
          l21 = Math.sqrt(l21_2),
          l01 = Math.sqrt(l01_2),
          l = r * Math.tan((pi - Math.acos((l21_2 + l01_2 - l20_2) / (2 * l21 * l01))) / 2),
          t01 = l / l01,
          t21 = l / l21;

      // If the start tangent is not coincident with (x0,y0), line to.
      if (Math.abs(t01 - 1) > epsilon$1) {
        this._ += "L" + (x1 + t01 * x01) + "," + (y1 + t01 * y01);
      }

      this._ += "A" + r + "," + r + ",0,0," + (+(y01 * x20 > x01 * y20)) + "," + (this._x1 = x1 + t21 * x21) + "," + (this._y1 = y1 + t21 * y21);
    }
  },
  arc: function(x, y, r, a0, a1, ccw) {
    x = +x, y = +y, r = +r, ccw = !!ccw;
    var dx = r * Math.cos(a0),
        dy = r * Math.sin(a0),
        x0 = x + dx,
        y0 = y + dy,
        cw = 1 ^ ccw,
        da = ccw ? a0 - a1 : a1 - a0;

    // Is the radius negative? Error.
    if (r < 0) throw new Error("negative radius: " + r);

    // Is this path empty? Move to (x0,y0).
    if (this._x1 === null) {
      this._ += "M" + x0 + "," + y0;
    }

    // Or, is (x0,y0) not coincident with the previous point? Line to (x0,y0).
    else if (Math.abs(this._x1 - x0) > epsilon$1 || Math.abs(this._y1 - y0) > epsilon$1) {
      this._ += "L" + x0 + "," + y0;
    }

    // Is this arc empty? We’re done.
    if (!r) return;

    // Does the angle go the wrong way? Flip the direction.
    if (da < 0) da = da % tau + tau;

    // Is this a complete circle? Draw two arcs to complete the circle.
    if (da > tauEpsilon) {
      this._ += "A" + r + "," + r + ",0,1," + cw + "," + (x - dx) + "," + (y - dy) + "A" + r + "," + r + ",0,1," + cw + "," + (this._x1 = x0) + "," + (this._y1 = y0);
    }

    // Is this arc non-empty? Draw an arc!
    else if (da > epsilon$1) {
      this._ += "A" + r + "," + r + ",0," + (+(da >= pi)) + "," + cw + "," + (this._x1 = x + r * Math.cos(a1)) + "," + (this._y1 = y + r * Math.sin(a1));
    }
  },
  rect: function(x, y, w, h) {
    this._ += "M" + (this._x0 = this._x1 = +x) + "," + (this._y0 = this._y1 = +y) + "h" + (+w) + "v" + (+h) + "h" + (-w) + "Z";
  },
  toString: function() {
    return this._;
  }
};

function constant$2(x) {
  return function constant() {
    return x;
  };
}

function array(x) {
  return typeof x === "object" && "length" in x
    ? x // Array, TypedArray, NodeList, array-like
    : Array.from(x); // Map, Set, iterable, string, or anything else
}

function Linear(context) {
  this._context = context;
}

Linear.prototype = {
  areaStart: function() {
    this._line = 0;
  },
  areaEnd: function() {
    this._line = NaN;
  },
  lineStart: function() {
    this._point = 0;
  },
  lineEnd: function() {
    if (this._line || (this._line !== 0 && this._point === 1)) this._context.closePath();
    this._line = 1 - this._line;
  },
  point: function(x, y) {
    x = +x, y = +y;
    switch (this._point) {
      case 0: this._point = 1; this._line ? this._context.lineTo(x, y) : this._context.moveTo(x, y); break;
      case 1: this._point = 2; // proceed
      default: this._context.lineTo(x, y); break;
    }
  }
};

function curveLinear(context) {
  return new Linear(context);
}

function x$1(p) {
  return p[0];
}

function y$1(p) {
  return p[1];
}

function line(x, y) {
  var defined = constant$2(true),
      context = null,
      curve = curveLinear,
      output = null;

  x = typeof x === "function" ? x : (x === undefined) ? x$1 : constant$2(x);
  y = typeof y === "function" ? y : (y === undefined) ? y$1 : constant$2(y);

  function line(data) {
    var i,
        n = (data = array(data)).length,
        d,
        defined0 = false,
        buffer;

    if (context == null) output = curve(buffer = path());

    for (i = 0; i <= n; ++i) {
      if (!(i < n && defined(d = data[i], i, data)) === defined0) {
        if (defined0 = !defined0) output.lineStart();
        else output.lineEnd();
      }
      if (defined0) output.point(+x(d, i, data), +y(d, i, data));
    }

    if (buffer) return output = null, buffer + "" || null;
  }

  line.x = function(_) {
    return arguments.length ? (x = typeof _ === "function" ? _ : constant$2(+_), line) : x;
  };

  line.y = function(_) {
    return arguments.length ? (y = typeof _ === "function" ? _ : constant$2(+_), line) : y;
  };

  line.defined = function(_) {
    return arguments.length ? (defined = typeof _ === "function" ? _ : constant$2(!!_), line) : defined;
  };

  line.curve = function(_) {
    return arguments.length ? (curve = _, context != null && (output = curve(context)), line) : curve;
  };

  line.context = function(_) {
    return arguments.length ? (_ == null ? context = output = null : output = curve(context = _), line) : context;
  };

  return line;
}

function constant$1(x) {
  return function() {
    return x;
  };
}

function x(d) {
  return d[0];
}

function y(d) {
  return d[1];
}

function RedBlackTree() {
  this._ = null; // root node
}

function RedBlackNode(node) {
  node.U = // parent node
  node.C = // color - true for red, false for black
  node.L = // left node
  node.R = // right node
  node.P = // previous node
  node.N = null; // next node
}

RedBlackTree.prototype = {
  constructor: RedBlackTree,

  insert: function(after, node) {
    var parent, grandpa, uncle;

    if (after) {
      node.P = after;
      node.N = after.N;
      if (after.N) after.N.P = node;
      after.N = node;
      if (after.R) {
        after = after.R;
        while (after.L) after = after.L;
        after.L = node;
      } else {
        after.R = node;
      }
      parent = after;
    } else if (this._) {
      after = RedBlackFirst(this._);
      node.P = null;
      node.N = after;
      after.P = after.L = node;
      parent = after;
    } else {
      node.P = node.N = null;
      this._ = node;
      parent = null;
    }
    node.L = node.R = null;
    node.U = parent;
    node.C = true;

    after = node;
    while (parent && parent.C) {
      grandpa = parent.U;
      if (parent === grandpa.L) {
        uncle = grandpa.R;
        if (uncle && uncle.C) {
          parent.C = uncle.C = false;
          grandpa.C = true;
          after = grandpa;
        } else {
          if (after === parent.R) {
            RedBlackRotateLeft(this, parent);
            after = parent;
            parent = after.U;
          }
          parent.C = false;
          grandpa.C = true;
          RedBlackRotateRight(this, grandpa);
        }
      } else {
        uncle = grandpa.L;
        if (uncle && uncle.C) {
          parent.C = uncle.C = false;
          grandpa.C = true;
          after = grandpa;
        } else {
          if (after === parent.L) {
            RedBlackRotateRight(this, parent);
            after = parent;
            parent = after.U;
          }
          parent.C = false;
          grandpa.C = true;
          RedBlackRotateLeft(this, grandpa);
        }
      }
      parent = after.U;
    }
    this._.C = false;
  },

  remove: function(node) {
    if (node.N) node.N.P = node.P;
    if (node.P) node.P.N = node.N;
    node.N = node.P = null;

    var parent = node.U,
        sibling,
        left = node.L,
        right = node.R,
        next,
        red;

    if (!left) next = right;
    else if (!right) next = left;
    else next = RedBlackFirst(right);

    if (parent) {
      if (parent.L === node) parent.L = next;
      else parent.R = next;
    } else {
      this._ = next;
    }

    if (left && right) {
      red = next.C;
      next.C = node.C;
      next.L = left;
      left.U = next;
      if (next !== right) {
        parent = next.U;
        next.U = node.U;
        node = next.R;
        parent.L = node;
        next.R = right;
        right.U = next;
      } else {
        next.U = parent;
        parent = next;
        node = next.R;
      }
    } else {
      red = node.C;
      node = next;
    }

    if (node) node.U = parent;
    if (red) return;
    if (node && node.C) { node.C = false; return; }

    do {
      if (node === this._) break;
      if (node === parent.L) {
        sibling = parent.R;
        if (sibling.C) {
          sibling.C = false;
          parent.C = true;
          RedBlackRotateLeft(this, parent);
          sibling = parent.R;
        }
        if ((sibling.L && sibling.L.C)
            || (sibling.R && sibling.R.C)) {
          if (!sibling.R || !sibling.R.C) {
            sibling.L.C = false;
            sibling.C = true;
            RedBlackRotateRight(this, sibling);
            sibling = parent.R;
          }
          sibling.C = parent.C;
          parent.C = sibling.R.C = false;
          RedBlackRotateLeft(this, parent);
          node = this._;
          break;
        }
      } else {
        sibling = parent.L;
        if (sibling.C) {
          sibling.C = false;
          parent.C = true;
          RedBlackRotateRight(this, parent);
          sibling = parent.L;
        }
        if ((sibling.L && sibling.L.C)
          || (sibling.R && sibling.R.C)) {
          if (!sibling.L || !sibling.L.C) {
            sibling.R.C = false;
            sibling.C = true;
            RedBlackRotateLeft(this, sibling);
            sibling = parent.L;
          }
          sibling.C = parent.C;
          parent.C = sibling.L.C = false;
          RedBlackRotateRight(this, parent);
          node = this._;
          break;
        }
      }
      sibling.C = true;
      node = parent;
      parent = parent.U;
    } while (!node.C);

    if (node) node.C = false;
  }
};

function RedBlackRotateLeft(tree, node) {
  var p = node,
      q = node.R,
      parent = p.U;

  if (parent) {
    if (parent.L === p) parent.L = q;
    else parent.R = q;
  } else {
    tree._ = q;
  }

  q.U = parent;
  p.U = q;
  p.R = q.L;
  if (p.R) p.R.U = p;
  q.L = p;
}

function RedBlackRotateRight(tree, node) {
  var p = node,
      q = node.L,
      parent = p.U;

  if (parent) {
    if (parent.L === p) parent.L = q;
    else parent.R = q;
  } else {
    tree._ = q;
  }

  q.U = parent;
  p.U = q;
  p.L = q.R;
  if (p.L) p.L.U = p;
  q.R = p;
}

function RedBlackFirst(node) {
  while (node.L) node = node.L;
  return node;
}

function createEdge(left, right, v0, v1) {
  var edge = [null, null],
      index = edges.push(edge) - 1;
  edge.left = left;
  edge.right = right;
  if (v0) setEdgeEnd(edge, left, right, v0);
  if (v1) setEdgeEnd(edge, right, left, v1);
  cells[left.index].halfedges.push(index);
  cells[right.index].halfedges.push(index);
  return edge;
}

function createBorderEdge(left, v0, v1) {
  var edge = [v0, v1];
  edge.left = left;
  return edge;
}

function setEdgeEnd(edge, left, right, vertex) {
  if (!edge[0] && !edge[1]) {
    edge[0] = vertex;
    edge.left = left;
    edge.right = right;
  } else if (edge.left === right) {
    edge[1] = vertex;
  } else {
    edge[0] = vertex;
  }
}

// Liang–Barsky line clipping.
function clipEdge(edge, x0, y0, x1, y1) {
  var a = edge[0],
      b = edge[1],
      ax = a[0],
      ay = a[1],
      bx = b[0],
      by = b[1],
      t0 = 0,
      t1 = 1,
      dx = bx - ax,
      dy = by - ay,
      r;

  r = x0 - ax;
  if (!dx && r > 0) return;
  r /= dx;
  if (dx < 0) {
    if (r < t0) return;
    if (r < t1) t1 = r;
  } else if (dx > 0) {
    if (r > t1) return;
    if (r > t0) t0 = r;
  }

  r = x1 - ax;
  if (!dx && r < 0) return;
  r /= dx;
  if (dx < 0) {
    if (r > t1) return;
    if (r > t0) t0 = r;
  } else if (dx > 0) {
    if (r < t0) return;
    if (r < t1) t1 = r;
  }

  r = y0 - ay;
  if (!dy && r > 0) return;
  r /= dy;
  if (dy < 0) {
    if (r < t0) return;
    if (r < t1) t1 = r;
  } else if (dy > 0) {
    if (r > t1) return;
    if (r > t0) t0 = r;
  }

  r = y1 - ay;
  if (!dy && r < 0) return;
  r /= dy;
  if (dy < 0) {
    if (r > t1) return;
    if (r > t0) t0 = r;
  } else if (dy > 0) {
    if (r < t0) return;
    if (r < t1) t1 = r;
  }

  if (!(t0 > 0) && !(t1 < 1)) return true; // TODO Better check?

  if (t0 > 0) edge[0] = [ax + t0 * dx, ay + t0 * dy];
  if (t1 < 1) edge[1] = [ax + t1 * dx, ay + t1 * dy];
  return true;
}

function connectEdge(edge, x0, y0, x1, y1) {
  var v1 = edge[1];
  if (v1) return true;

  var v0 = edge[0],
      left = edge.left,
      right = edge.right,
      lx = left[0],
      ly = left[1],
      rx = right[0],
      ry = right[1],
      fx = (lx + rx) / 2,
      fy = (ly + ry) / 2,
      fm,
      fb;

  if (ry === ly) {
    if (fx < x0 || fx >= x1) return;
    if (lx > rx) {
      if (!v0) v0 = [fx, y0];
      else if (v0[1] >= y1) return;
      v1 = [fx, y1];
    } else {
      if (!v0) v0 = [fx, y1];
      else if (v0[1] < y0) return;
      v1 = [fx, y0];
    }
  } else {
    fm = (lx - rx) / (ry - ly);
    fb = fy - fm * fx;
    if (fm < -1 || fm > 1) {
      if (lx > rx) {
        if (!v0) v0 = [(y0 - fb) / fm, y0];
        else if (v0[1] >= y1) return;
        v1 = [(y1 - fb) / fm, y1];
      } else {
        if (!v0) v0 = [(y1 - fb) / fm, y1];
        else if (v0[1] < y0) return;
        v1 = [(y0 - fb) / fm, y0];
      }
    } else {
      if (ly < ry) {
        if (!v0) v0 = [x0, fm * x0 + fb];
        else if (v0[0] >= x1) return;
        v1 = [x1, fm * x1 + fb];
      } else {
        if (!v0) v0 = [x1, fm * x1 + fb];
        else if (v0[0] < x0) return;
        v1 = [x0, fm * x0 + fb];
      }
    }
  }

  edge[0] = v0;
  edge[1] = v1;
  return true;
}

function clipEdges(x0, y0, x1, y1) {
  var i = edges.length,
      edge;

  while (i--) {
    if (!connectEdge(edge = edges[i], x0, y0, x1, y1)
        || !clipEdge(edge, x0, y0, x1, y1)
        || !(Math.abs(edge[0][0] - edge[1][0]) > epsilon
            || Math.abs(edge[0][1] - edge[1][1]) > epsilon)) {
      delete edges[i];
    }
  }
}

function createCell(site) {
  return cells[site.index] = {
    site: site,
    halfedges: []
  };
}

function cellHalfedgeAngle(cell, edge) {
  var site = cell.site,
      va = edge.left,
      vb = edge.right;
  if (site === vb) vb = va, va = site;
  if (vb) return Math.atan2(vb[1] - va[1], vb[0] - va[0]);
  if (site === va) va = edge[1], vb = edge[0];
  else va = edge[0], vb = edge[1];
  return Math.atan2(va[0] - vb[0], vb[1] - va[1]);
}

function cellHalfedgeStart(cell, edge) {
  return edge[+(edge.left !== cell.site)];
}

function cellHalfedgeEnd(cell, edge) {
  return edge[+(edge.left === cell.site)];
}

function sortCellHalfedges() {
  for (var i = 0, n = cells.length, cell, halfedges, j, m; i < n; ++i) {
    if ((cell = cells[i]) && (m = (halfedges = cell.halfedges).length)) {
      var index = new Array(m),
          array = new Array(m);
      for (j = 0; j < m; ++j) index[j] = j, array[j] = cellHalfedgeAngle(cell, edges[halfedges[j]]);
      index.sort(function(i, j) { return array[j] - array[i]; });
      for (j = 0; j < m; ++j) array[j] = halfedges[index[j]];
      for (j = 0; j < m; ++j) halfedges[j] = array[j];
    }
  }
}

function clipCells(x0, y0, x1, y1) {
  var nCells = cells.length,
      iCell,
      cell,
      site,
      iHalfedge,
      halfedges,
      nHalfedges,
      start,
      startX,
      startY,
      end,
      endX,
      endY,
      cover = true;

  for (iCell = 0; iCell < nCells; ++iCell) {
    if (cell = cells[iCell]) {
      site = cell.site;
      halfedges = cell.halfedges;
      iHalfedge = halfedges.length;

      // Remove any dangling clipped edges.
      while (iHalfedge--) {
        if (!edges[halfedges[iHalfedge]]) {
          halfedges.splice(iHalfedge, 1);
        }
      }

      // Insert any border edges as necessary.
      iHalfedge = 0, nHalfedges = halfedges.length;
      while (iHalfedge < nHalfedges) {
        end = cellHalfedgeEnd(cell, edges[halfedges[iHalfedge]]), endX = end[0], endY = end[1];
        start = cellHalfedgeStart(cell, edges[halfedges[++iHalfedge % nHalfedges]]), startX = start[0], startY = start[1];
        if (Math.abs(endX - startX) > epsilon || Math.abs(endY - startY) > epsilon) {
          halfedges.splice(iHalfedge, 0, edges.push(createBorderEdge(site, end,
              Math.abs(endX - x0) < epsilon && y1 - endY > epsilon ? [x0, Math.abs(startX - x0) < epsilon ? startY : y1]
              : Math.abs(endY - y1) < epsilon && x1 - endX > epsilon ? [Math.abs(startY - y1) < epsilon ? startX : x1, y1]
              : Math.abs(endX - x1) < epsilon && endY - y0 > epsilon ? [x1, Math.abs(startX - x1) < epsilon ? startY : y0]
              : Math.abs(endY - y0) < epsilon && endX - x0 > epsilon ? [Math.abs(startY - y0) < epsilon ? startX : x0, y0]
              : null)) - 1);
          ++nHalfedges;
        }
      }

      if (nHalfedges) cover = false;
    }
  }

  // If there weren’t any edges, have the closest site cover the extent.
  // It doesn’t matter which corner of the extent we measure!
  if (cover) {
    var dx, dy, d2, dc = Infinity;

    for (iCell = 0, cover = null; iCell < nCells; ++iCell) {
      if (cell = cells[iCell]) {
        site = cell.site;
        dx = site[0] - x0;
        dy = site[1] - y0;
        d2 = dx * dx + dy * dy;
        if (d2 < dc) dc = d2, cover = cell;
      }
    }

    if (cover) {
      var v00 = [x0, y0], v01 = [x0, y1], v11 = [x1, y1], v10 = [x1, y0];
      cover.halfedges.push(
        edges.push(createBorderEdge(site = cover.site, v00, v01)) - 1,
        edges.push(createBorderEdge(site, v01, v11)) - 1,
        edges.push(createBorderEdge(site, v11, v10)) - 1,
        edges.push(createBorderEdge(site, v10, v00)) - 1
      );
    }
  }

  // Lastly delete any cells with no edges; these were entirely clipped.
  for (iCell = 0; iCell < nCells; ++iCell) {
    if (cell = cells[iCell]) {
      if (!cell.halfedges.length) {
        delete cells[iCell];
      }
    }
  }
}

var circlePool = [];

var firstCircle;

function Circle() {
  RedBlackNode(this);
  this.x =
  this.y =
  this.arc =
  this.site =
  this.cy = null;
}

function attachCircle(arc) {
  var lArc = arc.P,
      rArc = arc.N;

  if (!lArc || !rArc) return;

  var lSite = lArc.site,
      cSite = arc.site,
      rSite = rArc.site;

  if (lSite === rSite) return;

  var bx = cSite[0],
      by = cSite[1],
      ax = lSite[0] - bx,
      ay = lSite[1] - by,
      cx = rSite[0] - bx,
      cy = rSite[1] - by;

  var d = 2 * (ax * cy - ay * cx);
  if (d >= -epsilon2) return;

  var ha = ax * ax + ay * ay,
      hc = cx * cx + cy * cy,
      x = (cy * ha - ay * hc) / d,
      y = (ax * hc - cx * ha) / d;

  var circle = circlePool.pop() || new Circle;
  circle.arc = arc;
  circle.site = cSite;
  circle.x = x + bx;
  circle.y = (circle.cy = y + by) + Math.sqrt(x * x + y * y); // y bottom

  arc.circle = circle;

  var before = null,
      node = circles._;

  while (node) {
    if (circle.y < node.y || (circle.y === node.y && circle.x <= node.x)) {
      if (node.L) node = node.L;
      else { before = node.P; break; }
    } else {
      if (node.R) node = node.R;
      else { before = node; break; }
    }
  }

  circles.insert(before, circle);
  if (!before) firstCircle = circle;
}

function detachCircle(arc) {
  var circle = arc.circle;
  if (circle) {
    if (!circle.P) firstCircle = circle.N;
    circles.remove(circle);
    circlePool.push(circle);
    RedBlackNode(circle);
    arc.circle = null;
  }
}

var beachPool = [];

function Beach() {
  RedBlackNode(this);
  this.edge =
  this.site =
  this.circle = null;
}

function createBeach(site) {
  var beach = beachPool.pop() || new Beach;
  beach.site = site;
  return beach;
}

function detachBeach(beach) {
  detachCircle(beach);
  beaches.remove(beach);
  beachPool.push(beach);
  RedBlackNode(beach);
}

function removeBeach(beach) {
  var circle = beach.circle,
      x = circle.x,
      y = circle.cy,
      vertex = [x, y],
      previous = beach.P,
      next = beach.N,
      disappearing = [beach];

  detachBeach(beach);

  var lArc = previous;
  while (lArc.circle
      && Math.abs(x - lArc.circle.x) < epsilon
      && Math.abs(y - lArc.circle.cy) < epsilon) {
    previous = lArc.P;
    disappearing.unshift(lArc);
    detachBeach(lArc);
    lArc = previous;
  }

  disappearing.unshift(lArc);
  detachCircle(lArc);

  var rArc = next;
  while (rArc.circle
      && Math.abs(x - rArc.circle.x) < epsilon
      && Math.abs(y - rArc.circle.cy) < epsilon) {
    next = rArc.N;
    disappearing.push(rArc);
    detachBeach(rArc);
    rArc = next;
  }

  disappearing.push(rArc);
  detachCircle(rArc);

  var nArcs = disappearing.length,
      iArc;
  for (iArc = 1; iArc < nArcs; ++iArc) {
    rArc = disappearing[iArc];
    lArc = disappearing[iArc - 1];
    setEdgeEnd(rArc.edge, lArc.site, rArc.site, vertex);
  }

  lArc = disappearing[0];
  rArc = disappearing[nArcs - 1];
  rArc.edge = createEdge(lArc.site, rArc.site, null, vertex);

  attachCircle(lArc);
  attachCircle(rArc);
}

function addBeach(site) {
  var x = site[0],
      directrix = site[1],
      lArc,
      rArc,
      dxl,
      dxr,
      node = beaches._;

  while (node) {
    dxl = leftBreakPoint(node, directrix) - x;
    if (dxl > epsilon) node = node.L; else {
      dxr = x - rightBreakPoint(node, directrix);
      if (dxr > epsilon) {
        if (!node.R) {
          lArc = node;
          break;
        }
        node = node.R;
      } else {
        if (dxl > -epsilon) {
          lArc = node.P;
          rArc = node;
        } else if (dxr > -epsilon) {
          lArc = node;
          rArc = node.N;
        } else {
          lArc = rArc = node;
        }
        break;
      }
    }
  }

  createCell(site);
  var newArc = createBeach(site);
  beaches.insert(lArc, newArc);

  if (!lArc && !rArc) return;

  if (lArc === rArc) {
    detachCircle(lArc);
    rArc = createBeach(lArc.site);
    beaches.insert(newArc, rArc);
    newArc.edge = rArc.edge = createEdge(lArc.site, newArc.site);
    attachCircle(lArc);
    attachCircle(rArc);
    return;
  }

  if (!rArc) { // && lArc
    newArc.edge = createEdge(lArc.site, newArc.site);
    return;
  }

  // else lArc !== rArc
  detachCircle(lArc);
  detachCircle(rArc);

  var lSite = lArc.site,
      ax = lSite[0],
      ay = lSite[1],
      bx = site[0] - ax,
      by = site[1] - ay,
      rSite = rArc.site,
      cx = rSite[0] - ax,
      cy = rSite[1] - ay,
      d = 2 * (bx * cy - by * cx),
      hb = bx * bx + by * by,
      hc = cx * cx + cy * cy,
      vertex = [(cy * hb - by * hc) / d + ax, (bx * hc - cx * hb) / d + ay];

  setEdgeEnd(rArc.edge, lSite, rSite, vertex);
  newArc.edge = createEdge(lSite, site, null, vertex);
  rArc.edge = createEdge(site, rSite, null, vertex);
  attachCircle(lArc);
  attachCircle(rArc);
}

function leftBreakPoint(arc, directrix) {
  var site = arc.site,
      rfocx = site[0],
      rfocy = site[1],
      pby2 = rfocy - directrix;

  if (!pby2) return rfocx;

  var lArc = arc.P;
  if (!lArc) return -Infinity;

  site = lArc.site;
  var lfocx = site[0],
      lfocy = site[1],
      plby2 = lfocy - directrix;

  if (!plby2) return lfocx;

  var hl = lfocx - rfocx,
      aby2 = 1 / pby2 - 1 / plby2,
      b = hl / plby2;

  if (aby2) return (-b + Math.sqrt(b * b - 2 * aby2 * (hl * hl / (-2 * plby2) - lfocy + plby2 / 2 + rfocy - pby2 / 2))) / aby2 + rfocx;

  return (rfocx + lfocx) / 2;
}

function rightBreakPoint(arc, directrix) {
  var rArc = arc.N;
  if (rArc) return leftBreakPoint(rArc, directrix);
  var site = arc.site;
  return site[1] === directrix ? site[0] : Infinity;
}

var epsilon = 1e-6;
var epsilon2 = 1e-12;
var beaches;
var cells;
var circles;
var edges;

function triangleArea(a, b, c) {
  return (a[0] - c[0]) * (b[1] - a[1]) - (a[0] - b[0]) * (c[1] - a[1]);
}

function lexicographic(a, b) {
  return b[1] - a[1]
      || b[0] - a[0];
}

function Diagram(sites, extent) {
  var site = sites.sort(lexicographic).pop(),
      x,
      y,
      circle;

  edges = [];
  cells = new Array(sites.length);
  beaches = new RedBlackTree;
  circles = new RedBlackTree;

  while (true) {
    circle = firstCircle;
    if (site && (!circle || site[1] < circle.y || (site[1] === circle.y && site[0] < circle.x))) {
      if (site[0] !== x || site[1] !== y) {
        addBeach(site);
        x = site[0], y = site[1];
      }
      site = sites.pop();
    } else if (circle) {
      removeBeach(circle.arc);
    } else {
      break;
    }
  }

  sortCellHalfedges();

  if (extent) {
    var x0 = +extent[0][0],
        y0 = +extent[0][1],
        x1 = +extent[1][0],
        y1 = +extent[1][1];
    clipEdges(x0, y0, x1, y1);
    clipCells(x0, y0, x1, y1);
  }

  this.edges = edges;
  this.cells = cells;

  beaches =
  circles =
  edges =
  cells = null;
}

Diagram.prototype = {
  constructor: Diagram,

  polygons: function() {
    var edges = this.edges;

    return this.cells.map(function(cell) {
      var polygon = cell.halfedges.map(function(i) { return cellHalfedgeStart(cell, edges[i]); });
      polygon.data = cell.site.data;
      return polygon;
    });
  },

  triangles: function() {
    var triangles = [],
        edges = this.edges;

    this.cells.forEach(function(cell, i) {
      if (!(m = (halfedges = cell.halfedges).length)) return;
      var site = cell.site,
          halfedges,
          j = -1,
          m,
          s0,
          e1 = edges[halfedges[m - 1]],
          s1 = e1.left === site ? e1.right : e1.left;

      while (++j < m) {
        s0 = s1;
        e1 = edges[halfedges[j]];
        s1 = e1.left === site ? e1.right : e1.left;
        if (s0 && s1 && i < s0.index && i < s1.index && triangleArea(site, s0, s1) < 0) {
          triangles.push([site.data, s0.data, s1.data]);
        }
      }
    });

    return triangles;
  },

  links: function() {
    return this.edges.filter(function(edge) {
      return edge.right;
    }).map(function(edge) {
      return {
        source: edge.left.data,
        target: edge.right.data
      };
    });
  },

  find: function(x, y, radius) {
    var that = this, i0, i1 = that._found || 0, n = that.cells.length, cell;

    // Use the previously-found cell, or start with an arbitrary one.
    while (!(cell = that.cells[i1])) if (++i1 >= n) return null;
    var dx = x - cell.site[0], dy = y - cell.site[1], d2 = dx * dx + dy * dy;

    // Traverse the half-edges to find a closer cell, if any.
    do {
      cell = that.cells[i0 = i1], i1 = null;
      cell.halfedges.forEach(function(e) {
        var edge = that.edges[e], v = edge.left;
        if ((v === cell.site || !v) && !(v = edge.right)) return;
        var vx = x - v[0], vy = y - v[1], v2 = vx * vx + vy * vy;
        if (v2 < d2) d2 = v2, i1 = v.index;
      });
    } while (i1 !== null);

    that._found = i0;

    return radius == null || d2 <= radius * radius ? cell.site : null;
  }
};

function voronoi() {
  var x$1 = x,
      y$1 = y,
      extent = null;

  function voronoi(data) {
    return new Diagram(data.map(function(d, i) {
      var s = [Math.round(x$1(d, i, data) / epsilon) * epsilon, Math.round(y$1(d, i, data) / epsilon) * epsilon];
      s.index = i;
      s.data = d;
      return s;
    }), extent);
  }

  voronoi.polygons = function(data) {
    return voronoi(data).polygons();
  };

  voronoi.links = function(data) {
    return voronoi(data).links();
  };

  voronoi.triangles = function(data) {
    return voronoi(data).triangles();
  };

  voronoi.x = function(_) {
    return arguments.length ? (x$1 = typeof _ === "function" ? _ : constant$1(+_), voronoi) : x$1;
  };

  voronoi.y = function(_) {
    return arguments.length ? (y$1 = typeof _ === "function" ? _ : constant$1(+_), voronoi) : y$1;
  };

  voronoi.extent = function(_) {
    return arguments.length ? (extent = _ == null ? null : [[+_[0][0], +_[0][1]], [+_[1][0], +_[1][1]]], voronoi) : extent && [[extent[0][0], extent[0][1]], [extent[1][0], extent[1][1]]];
  };

  voronoi.size = function(_) {
    return arguments.length ? (extent = _ == null ? null : [[0, 0], [+_[0], +_[1]]], voronoi) : extent && [extent[1][0] - extent[0][0], extent[1][1] - extent[0][1]];
  };

  return voronoi;
}

function ascending(a, b) {
  return a < b ? -1 : a > b ? 1 : a >= b ? 0 : NaN;
}

function bisector(f) {
  let delta = f;
  let compare = f;

  if (f.length === 1) {
    delta = (d, x) => f(d) - x;
    compare = ascendingComparator(f);
  }

  function left(a, x, lo, hi) {
    if (lo == null) lo = 0;
    if (hi == null) hi = a.length;
    while (lo < hi) {
      const mid = (lo + hi) >>> 1;
      if (compare(a[mid], x) < 0) lo = mid + 1;
      else hi = mid;
    }
    return lo;
  }

  function right(a, x, lo, hi) {
    if (lo == null) lo = 0;
    if (hi == null) hi = a.length;
    while (lo < hi) {
      const mid = (lo + hi) >>> 1;
      if (compare(a[mid], x) > 0) hi = mid;
      else lo = mid + 1;
    }
    return lo;
  }

  function center(a, x, lo, hi) {
    if (lo == null) lo = 0;
    if (hi == null) hi = a.length;
    const i = left(a, x, lo, hi - 1);
    return i > lo && delta(a[i - 1], x) > -delta(a[i], x) ? i - 1 : i;
  }

  return {left, center, right};
}

function ascendingComparator(f) {
  return (d, x) => ascending(f(d), x);
}

function number$1(x) {
  return x === null ? NaN : +x;
}

const ascendingBisect = bisector(ascending);
const bisectRight = ascendingBisect.right;
bisector(number$1).center;
var bisect = bisectRight;

var e10 = Math.sqrt(50),
    e5 = Math.sqrt(10),
    e2 = Math.sqrt(2);

function ticks(start, stop, count) {
  var reverse,
      i = -1,
      n,
      ticks,
      step;

  stop = +stop, start = +start, count = +count;
  if (start === stop && count > 0) return [start];
  if (reverse = stop < start) n = start, start = stop, stop = n;
  if ((step = tickIncrement(start, stop, count)) === 0 || !isFinite(step)) return [];

  if (step > 0) {
    start = Math.ceil(start / step);
    stop = Math.floor(stop / step);
    ticks = new Array(n = Math.ceil(stop - start + 1));
    while (++i < n) ticks[i] = (start + i) * step;
  } else {
    step = -step;
    start = Math.ceil(start * step);
    stop = Math.floor(stop * step);
    ticks = new Array(n = Math.ceil(stop - start + 1));
    while (++i < n) ticks[i] = (start + i) / step;
  }

  if (reverse) ticks.reverse();

  return ticks;
}

function tickIncrement(start, stop, count) {
  var step = (stop - start) / Math.max(0, count),
      power = Math.floor(Math.log(step) / Math.LN10),
      error = step / Math.pow(10, power);
  return power >= 0
      ? (error >= e10 ? 10 : error >= e5 ? 5 : error >= e2 ? 2 : 1) * Math.pow(10, power)
      : -Math.pow(10, -power) / (error >= e10 ? 10 : error >= e5 ? 5 : error >= e2 ? 2 : 1);
}

function tickStep(start, stop, count) {
  var step0 = Math.abs(stop - start) / Math.max(0, count),
      step1 = Math.pow(10, Math.floor(Math.log(step0) / Math.LN10)),
      error = step0 / step1;
  if (error >= e10) step1 *= 10;
  else if (error >= e5) step1 *= 5;
  else if (error >= e2) step1 *= 2;
  return stop < start ? -step1 : step1;
}

function* flatten(arrays) {
  for (const array of arrays) {
    yield* array;
  }
}

function merge(arrays) {
  return Array.from(flatten(arrays));
}

function range(start, stop, step) {
  start = +start, stop = +stop, step = (n = arguments.length) < 2 ? (stop = start, start = 0, 1) : n < 3 ? 1 : +step;

  var i = -1,
      n = Math.max(0, Math.ceil((stop - start) / step)) | 0,
      range = new Array(n);

  while (++i < n) {
    range[i] = start + i * step;
  }

  return range;
}

function initRange(domain, range) {
  switch (arguments.length) {
    case 0: break;
    case 1: this.range(domain); break;
    default: this.range(range).domain(domain); break;
  }
  return this;
}

function define(constructor, factory, prototype) {
  constructor.prototype = factory.prototype = prototype;
  prototype.constructor = constructor;
}

function extend(parent, definition) {
  var prototype = Object.create(parent.prototype);
  for (var key in definition) prototype[key] = definition[key];
  return prototype;
}

function Color() {}

var darker = 0.7;
var brighter = 1 / darker;

var reI = "\\s*([+-]?\\d+)\\s*",
    reN = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*",
    reP = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*",
    reHex = /^#([0-9a-f]{3,8})$/,
    reRgbInteger = new RegExp("^rgb\\(" + [reI, reI, reI] + "\\)$"),
    reRgbPercent = new RegExp("^rgb\\(" + [reP, reP, reP] + "\\)$"),
    reRgbaInteger = new RegExp("^rgba\\(" + [reI, reI, reI, reN] + "\\)$"),
    reRgbaPercent = new RegExp("^rgba\\(" + [reP, reP, reP, reN] + "\\)$"),
    reHslPercent = new RegExp("^hsl\\(" + [reN, reP, reP] + "\\)$"),
    reHslaPercent = new RegExp("^hsla\\(" + [reN, reP, reP, reN] + "\\)$");

var named = {
  aliceblue: 0xf0f8ff,
  antiquewhite: 0xfaebd7,
  aqua: 0x00ffff,
  aquamarine: 0x7fffd4,
  azure: 0xf0ffff,
  beige: 0xf5f5dc,
  bisque: 0xffe4c4,
  black: 0x000000,
  blanchedalmond: 0xffebcd,
  blue: 0x0000ff,
  blueviolet: 0x8a2be2,
  brown: 0xa52a2a,
  burlywood: 0xdeb887,
  cadetblue: 0x5f9ea0,
  chartreuse: 0x7fff00,
  chocolate: 0xd2691e,
  coral: 0xff7f50,
  cornflowerblue: 0x6495ed,
  cornsilk: 0xfff8dc,
  crimson: 0xdc143c,
  cyan: 0x00ffff,
  darkblue: 0x00008b,
  darkcyan: 0x008b8b,
  darkgoldenrod: 0xb8860b,
  darkgray: 0xa9a9a9,
  darkgreen: 0x006400,
  darkgrey: 0xa9a9a9,
  darkkhaki: 0xbdb76b,
  darkmagenta: 0x8b008b,
  darkolivegreen: 0x556b2f,
  darkorange: 0xff8c00,
  darkorchid: 0x9932cc,
  darkred: 0x8b0000,
  darksalmon: 0xe9967a,
  darkseagreen: 0x8fbc8f,
  darkslateblue: 0x483d8b,
  darkslategray: 0x2f4f4f,
  darkslategrey: 0x2f4f4f,
  darkturquoise: 0x00ced1,
  darkviolet: 0x9400d3,
  deeppink: 0xff1493,
  deepskyblue: 0x00bfff,
  dimgray: 0x696969,
  dimgrey: 0x696969,
  dodgerblue: 0x1e90ff,
  firebrick: 0xb22222,
  floralwhite: 0xfffaf0,
  forestgreen: 0x228b22,
  fuchsia: 0xff00ff,
  gainsboro: 0xdcdcdc,
  ghostwhite: 0xf8f8ff,
  gold: 0xffd700,
  goldenrod: 0xdaa520,
  gray: 0x808080,
  green: 0x008000,
  greenyellow: 0xadff2f,
  grey: 0x808080,
  honeydew: 0xf0fff0,
  hotpink: 0xff69b4,
  indianred: 0xcd5c5c,
  indigo: 0x4b0082,
  ivory: 0xfffff0,
  khaki: 0xf0e68c,
  lavender: 0xe6e6fa,
  lavenderblush: 0xfff0f5,
  lawngreen: 0x7cfc00,
  lemonchiffon: 0xfffacd,
  lightblue: 0xadd8e6,
  lightcoral: 0xf08080,
  lightcyan: 0xe0ffff,
  lightgoldenrodyellow: 0xfafad2,
  lightgray: 0xd3d3d3,
  lightgreen: 0x90ee90,
  lightgrey: 0xd3d3d3,
  lightpink: 0xffb6c1,
  lightsalmon: 0xffa07a,
  lightseagreen: 0x20b2aa,
  lightskyblue: 0x87cefa,
  lightslategray: 0x778899,
  lightslategrey: 0x778899,
  lightsteelblue: 0xb0c4de,
  lightyellow: 0xffffe0,
  lime: 0x00ff00,
  limegreen: 0x32cd32,
  linen: 0xfaf0e6,
  magenta: 0xff00ff,
  maroon: 0x800000,
  mediumaquamarine: 0x66cdaa,
  mediumblue: 0x0000cd,
  mediumorchid: 0xba55d3,
  mediumpurple: 0x9370db,
  mediumseagreen: 0x3cb371,
  mediumslateblue: 0x7b68ee,
  mediumspringgreen: 0x00fa9a,
  mediumturquoise: 0x48d1cc,
  mediumvioletred: 0xc71585,
  midnightblue: 0x191970,
  mintcream: 0xf5fffa,
  mistyrose: 0xffe4e1,
  moccasin: 0xffe4b5,
  navajowhite: 0xffdead,
  navy: 0x000080,
  oldlace: 0xfdf5e6,
  olive: 0x808000,
  olivedrab: 0x6b8e23,
  orange: 0xffa500,
  orangered: 0xff4500,
  orchid: 0xda70d6,
  palegoldenrod: 0xeee8aa,
  palegreen: 0x98fb98,
  paleturquoise: 0xafeeee,
  palevioletred: 0xdb7093,
  papayawhip: 0xffefd5,
  peachpuff: 0xffdab9,
  peru: 0xcd853f,
  pink: 0xffc0cb,
  plum: 0xdda0dd,
  powderblue: 0xb0e0e6,
  purple: 0x800080,
  rebeccapurple: 0x663399,
  red: 0xff0000,
  rosybrown: 0xbc8f8f,
  royalblue: 0x4169e1,
  saddlebrown: 0x8b4513,
  salmon: 0xfa8072,
  sandybrown: 0xf4a460,
  seagreen: 0x2e8b57,
  seashell: 0xfff5ee,
  sienna: 0xa0522d,
  silver: 0xc0c0c0,
  skyblue: 0x87ceeb,
  slateblue: 0x6a5acd,
  slategray: 0x708090,
  slategrey: 0x708090,
  snow: 0xfffafa,
  springgreen: 0x00ff7f,
  steelblue: 0x4682b4,
  tan: 0xd2b48c,
  teal: 0x008080,
  thistle: 0xd8bfd8,
  tomato: 0xff6347,
  turquoise: 0x40e0d0,
  violet: 0xee82ee,
  wheat: 0xf5deb3,
  white: 0xffffff,
  whitesmoke: 0xf5f5f5,
  yellow: 0xffff00,
  yellowgreen: 0x9acd32
};

define(Color, color, {
  copy: function(channels) {
    return Object.assign(new this.constructor, this, channels);
  },
  displayable: function() {
    return this.rgb().displayable();
  },
  hex: color_formatHex, // Deprecated! Use color.formatHex.
  formatHex: color_formatHex,
  formatHsl: color_formatHsl,
  formatRgb: color_formatRgb,
  toString: color_formatRgb
});

function color_formatHex() {
  return this.rgb().formatHex();
}

function color_formatHsl() {
  return hslConvert(this).formatHsl();
}

function color_formatRgb() {
  return this.rgb().formatRgb();
}

function color(format) {
  var m, l;
  format = (format + "").trim().toLowerCase();
  return (m = reHex.exec(format)) ? (l = m[1].length, m = parseInt(m[1], 16), l === 6 ? rgbn(m) // #ff0000
      : l === 3 ? new Rgb((m >> 8 & 0xf) | (m >> 4 & 0xf0), (m >> 4 & 0xf) | (m & 0xf0), ((m & 0xf) << 4) | (m & 0xf), 1) // #f00
      : l === 8 ? rgba(m >> 24 & 0xff, m >> 16 & 0xff, m >> 8 & 0xff, (m & 0xff) / 0xff) // #ff000000
      : l === 4 ? rgba((m >> 12 & 0xf) | (m >> 8 & 0xf0), (m >> 8 & 0xf) | (m >> 4 & 0xf0), (m >> 4 & 0xf) | (m & 0xf0), (((m & 0xf) << 4) | (m & 0xf)) / 0xff) // #f000
      : null) // invalid hex
      : (m = reRgbInteger.exec(format)) ? new Rgb(m[1], m[2], m[3], 1) // rgb(255, 0, 0)
      : (m = reRgbPercent.exec(format)) ? new Rgb(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, 1) // rgb(100%, 0%, 0%)
      : (m = reRgbaInteger.exec(format)) ? rgba(m[1], m[2], m[3], m[4]) // rgba(255, 0, 0, 1)
      : (m = reRgbaPercent.exec(format)) ? rgba(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, m[4]) // rgb(100%, 0%, 0%, 1)
      : (m = reHslPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, 1) // hsl(120, 50%, 50%)
      : (m = reHslaPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, m[4]) // hsla(120, 50%, 50%, 1)
      : named.hasOwnProperty(format) ? rgbn(named[format]) // eslint-disable-line no-prototype-builtins
      : format === "transparent" ? new Rgb(NaN, NaN, NaN, 0)
      : null;
}

function rgbn(n) {
  return new Rgb(n >> 16 & 0xff, n >> 8 & 0xff, n & 0xff, 1);
}

function rgba(r, g, b, a) {
  if (a <= 0) r = g = b = NaN;
  return new Rgb(r, g, b, a);
}

function rgbConvert(o) {
  if (!(o instanceof Color)) o = color(o);
  if (!o) return new Rgb;
  o = o.rgb();
  return new Rgb(o.r, o.g, o.b, o.opacity);
}

function rgb$1(r, g, b, opacity) {
  return arguments.length === 1 ? rgbConvert(r) : new Rgb(r, g, b, opacity == null ? 1 : opacity);
}

function Rgb(r, g, b, opacity) {
  this.r = +r;
  this.g = +g;
  this.b = +b;
  this.opacity = +opacity;
}

define(Rgb, rgb$1, extend(Color, {
  brighter: function(k) {
    k = k == null ? brighter : Math.pow(brighter, k);
    return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
  },
  darker: function(k) {
    k = k == null ? darker : Math.pow(darker, k);
    return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
  },
  rgb: function() {
    return this;
  },
  displayable: function() {
    return (-0.5 <= this.r && this.r < 255.5)
        && (-0.5 <= this.g && this.g < 255.5)
        && (-0.5 <= this.b && this.b < 255.5)
        && (0 <= this.opacity && this.opacity <= 1);
  },
  hex: rgb_formatHex, // Deprecated! Use color.formatHex.
  formatHex: rgb_formatHex,
  formatRgb: rgb_formatRgb,
  toString: rgb_formatRgb
}));

function rgb_formatHex() {
  return "#" + hex(this.r) + hex(this.g) + hex(this.b);
}

function rgb_formatRgb() {
  var a = this.opacity; a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
  return (a === 1 ? "rgb(" : "rgba(")
      + Math.max(0, Math.min(255, Math.round(this.r) || 0)) + ", "
      + Math.max(0, Math.min(255, Math.round(this.g) || 0)) + ", "
      + Math.max(0, Math.min(255, Math.round(this.b) || 0))
      + (a === 1 ? ")" : ", " + a + ")");
}

function hex(value) {
  value = Math.max(0, Math.min(255, Math.round(value) || 0));
  return (value < 16 ? "0" : "") + value.toString(16);
}

function hsla(h, s, l, a) {
  if (a <= 0) h = s = l = NaN;
  else if (l <= 0 || l >= 1) h = s = NaN;
  else if (s <= 0) h = NaN;
  return new Hsl(h, s, l, a);
}

function hslConvert(o) {
  if (o instanceof Hsl) return new Hsl(o.h, o.s, o.l, o.opacity);
  if (!(o instanceof Color)) o = color(o);
  if (!o) return new Hsl;
  if (o instanceof Hsl) return o;
  o = o.rgb();
  var r = o.r / 255,
      g = o.g / 255,
      b = o.b / 255,
      min = Math.min(r, g, b),
      max = Math.max(r, g, b),
      h = NaN,
      s = max - min,
      l = (max + min) / 2;
  if (s) {
    if (r === max) h = (g - b) / s + (g < b) * 6;
    else if (g === max) h = (b - r) / s + 2;
    else h = (r - g) / s + 4;
    s /= l < 0.5 ? max + min : 2 - max - min;
    h *= 60;
  } else {
    s = l > 0 && l < 1 ? 0 : h;
  }
  return new Hsl(h, s, l, o.opacity);
}

function hsl(h, s, l, opacity) {
  return arguments.length === 1 ? hslConvert(h) : new Hsl(h, s, l, opacity == null ? 1 : opacity);
}

function Hsl(h, s, l, opacity) {
  this.h = +h;
  this.s = +s;
  this.l = +l;
  this.opacity = +opacity;
}

define(Hsl, hsl, extend(Color, {
  brighter: function(k) {
    k = k == null ? brighter : Math.pow(brighter, k);
    return new Hsl(this.h, this.s, this.l * k, this.opacity);
  },
  darker: function(k) {
    k = k == null ? darker : Math.pow(darker, k);
    return new Hsl(this.h, this.s, this.l * k, this.opacity);
  },
  rgb: function() {
    var h = this.h % 360 + (this.h < 0) * 360,
        s = isNaN(h) || isNaN(this.s) ? 0 : this.s,
        l = this.l,
        m2 = l + (l < 0.5 ? l : 1 - l) * s,
        m1 = 2 * l - m2;
    return new Rgb(
      hsl2rgb(h >= 240 ? h - 240 : h + 120, m1, m2),
      hsl2rgb(h, m1, m2),
      hsl2rgb(h < 120 ? h + 240 : h - 120, m1, m2),
      this.opacity
    );
  },
  displayable: function() {
    return (0 <= this.s && this.s <= 1 || isNaN(this.s))
        && (0 <= this.l && this.l <= 1)
        && (0 <= this.opacity && this.opacity <= 1);
  },
  formatHsl: function() {
    var a = this.opacity; a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
    return (a === 1 ? "hsl(" : "hsla(")
        + (this.h || 0) + ", "
        + (this.s || 0) * 100 + "%, "
        + (this.l || 0) * 100 + "%"
        + (a === 1 ? ")" : ", " + a + ")");
  }
}));

/* From FvD 13.37, CSS Color Module Level 3 */
function hsl2rgb(h, m1, m2) {
  return (h < 60 ? m1 + (m2 - m1) * h / 60
      : h < 180 ? m2
      : h < 240 ? m1 + (m2 - m1) * (240 - h) / 60
      : m1) * 255;
}

var constant = x => () => x;

function linear$1(a, d) {
  return function(t) {
    return a + t * d;
  };
}

function exponential(a, b, y) {
  return a = Math.pow(a, y), b = Math.pow(b, y) - a, y = 1 / y, function(t) {
    return Math.pow(a + t * b, y);
  };
}

function gamma(y) {
  return (y = +y) === 1 ? nogamma : function(a, b) {
    return b - a ? exponential(a, b, y) : constant(isNaN(a) ? b : a);
  };
}

function nogamma(a, b) {
  var d = b - a;
  return d ? linear$1(a, d) : constant(isNaN(a) ? b : a);
}

var rgb = (function rgbGamma(y) {
  var color = gamma(y);

  function rgb(start, end) {
    var r = color((start = rgb$1(start)).r, (end = rgb$1(end)).r),
        g = color(start.g, end.g),
        b = color(start.b, end.b),
        opacity = nogamma(start.opacity, end.opacity);
    return function(t) {
      start.r = r(t);
      start.g = g(t);
      start.b = b(t);
      start.opacity = opacity(t);
      return start + "";
    };
  }

  rgb.gamma = rgbGamma;

  return rgb;
})(1);

function numberArray(a, b) {
  if (!b) b = [];
  var n = a ? Math.min(b.length, a.length) : 0,
      c = b.slice(),
      i;
  return function(t) {
    for (i = 0; i < n; ++i) c[i] = a[i] * (1 - t) + b[i] * t;
    return c;
  };
}

function isNumberArray(x) {
  return ArrayBuffer.isView(x) && !(x instanceof DataView);
}

function genericArray(a, b) {
  var nb = b ? b.length : 0,
      na = a ? Math.min(nb, a.length) : 0,
      x = new Array(na),
      c = new Array(nb),
      i;

  for (i = 0; i < na; ++i) x[i] = interpolate(a[i], b[i]);
  for (; i < nb; ++i) c[i] = b[i];

  return function(t) {
    for (i = 0; i < na; ++i) c[i] = x[i](t);
    return c;
  };
}

function date(a, b) {
  var d = new Date;
  return a = +a, b = +b, function(t) {
    return d.setTime(a * (1 - t) + b * t), d;
  };
}

function interpolateNumber(a, b) {
  return a = +a, b = +b, function(t) {
    return a * (1 - t) + b * t;
  };
}

function object(a, b) {
  var i = {},
      c = {},
      k;

  if (a === null || typeof a !== "object") a = {};
  if (b === null || typeof b !== "object") b = {};

  for (k in b) {
    if (k in a) {
      i[k] = interpolate(a[k], b[k]);
    } else {
      c[k] = b[k];
    }
  }

  return function(t) {
    for (k in i) c[k] = i[k](t);
    return c;
  };
}

var reA = /[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g,
    reB = new RegExp(reA.source, "g");

function zero(b) {
  return function() {
    return b;
  };
}

function one(b) {
  return function(t) {
    return b(t) + "";
  };
}

function string(a, b) {
  var bi = reA.lastIndex = reB.lastIndex = 0, // scan index for next number in b
      am, // current match in a
      bm, // current match in b
      bs, // string preceding current number in b, if any
      i = -1, // index in s
      s = [], // string constants and placeholders
      q = []; // number interpolators

  // Coerce inputs to strings.
  a = a + "", b = b + "";

  // Interpolate pairs of numbers in a & b.
  while ((am = reA.exec(a))
      && (bm = reB.exec(b))) {
    if ((bs = bm.index) > bi) { // a string precedes the next number in b
      bs = b.slice(bi, bs);
      if (s[i]) s[i] += bs; // coalesce with previous string
      else s[++i] = bs;
    }
    if ((am = am[0]) === (bm = bm[0])) { // numbers in a & b match
      if (s[i]) s[i] += bm; // coalesce with previous string
      else s[++i] = bm;
    } else { // interpolate non-matching numbers
      s[++i] = null;
      q.push({i: i, x: interpolateNumber(am, bm)});
    }
    bi = reB.lastIndex;
  }

  // Add remains of b.
  if (bi < b.length) {
    bs = b.slice(bi);
    if (s[i]) s[i] += bs; // coalesce with previous string
    else s[++i] = bs;
  }

  // Special optimization for only a single match.
  // Otherwise, interpolate each of the numbers and rejoin the string.
  return s.length < 2 ? (q[0]
      ? one(q[0].x)
      : zero(b))
      : (b = q.length, function(t) {
          for (var i = 0, o; i < b; ++i) s[(o = q[i]).i] = o.x(t);
          return s.join("");
        });
}

function interpolate(a, b) {
  var t = typeof b, c;
  return b == null || t === "boolean" ? constant(b)
      : (t === "number" ? interpolateNumber
      : t === "string" ? ((c = color(b)) ? (b = c, rgb) : string)
      : b instanceof color ? rgb
      : b instanceof Date ? date
      : isNumberArray(b) ? numberArray
      : Array.isArray(b) ? genericArray
      : typeof b.valueOf !== "function" && typeof b.toString !== "function" || isNaN(b) ? object
      : interpolateNumber)(a, b);
}

function interpolateRound(a, b) {
  return a = +a, b = +b, function(t) {
    return Math.round(a * (1 - t) + b * t);
  };
}

function constants(x) {
  return function() {
    return x;
  };
}

function number(x) {
  return +x;
}

var unit = [0, 1];

function identity$1(x) {
  return x;
}

function normalize(a, b) {
  return (b -= (a = +a))
      ? function(x) { return (x - a) / b; }
      : constants(isNaN(b) ? NaN : 0.5);
}

function clamper(a, b) {
  var t;
  if (a > b) t = a, a = b, b = t;
  return function(x) { return Math.max(a, Math.min(b, x)); };
}

// normalize(a, b)(x) takes a domain value x in [a,b] and returns the corresponding parameter t in [0,1].
// interpolate(a, b)(t) takes a parameter t in [0,1] and returns the corresponding range value x in [a,b].
function bimap(domain, range, interpolate) {
  var d0 = domain[0], d1 = domain[1], r0 = range[0], r1 = range[1];
  if (d1 < d0) d0 = normalize(d1, d0), r0 = interpolate(r1, r0);
  else d0 = normalize(d0, d1), r0 = interpolate(r0, r1);
  return function(x) { return r0(d0(x)); };
}

function polymap(domain, range, interpolate) {
  var j = Math.min(domain.length, range.length) - 1,
      d = new Array(j),
      r = new Array(j),
      i = -1;

  // Reverse descending domains.
  if (domain[j] < domain[0]) {
    domain = domain.slice().reverse();
    range = range.slice().reverse();
  }

  while (++i < j) {
    d[i] = normalize(domain[i], domain[i + 1]);
    r[i] = interpolate(range[i], range[i + 1]);
  }

  return function(x) {
    var i = bisect(domain, x, 1, j) - 1;
    return r[i](d[i](x));
  };
}

function copy(source, target) {
  return target
      .domain(source.domain())
      .range(source.range())
      .interpolate(source.interpolate())
      .clamp(source.clamp())
      .unknown(source.unknown());
}

function transformer() {
  var domain = unit,
      range = unit,
      interpolate$1 = interpolate,
      transform,
      untransform,
      unknown,
      clamp = identity$1,
      piecewise,
      output,
      input;

  function rescale() {
    var n = Math.min(domain.length, range.length);
    if (clamp !== identity$1) clamp = clamper(domain[0], domain[n - 1]);
    piecewise = n > 2 ? polymap : bimap;
    output = input = null;
    return scale;
  }

  function scale(x) {
    return isNaN(x = +x) ? unknown : (output || (output = piecewise(domain.map(transform), range, interpolate$1)))(transform(clamp(x)));
  }

  scale.invert = function(y) {
    return clamp(untransform((input || (input = piecewise(range, domain.map(transform), interpolateNumber)))(y)));
  };

  scale.domain = function(_) {
    return arguments.length ? (domain = Array.from(_, number), rescale()) : domain.slice();
  };

  scale.range = function(_) {
    return arguments.length ? (range = Array.from(_), rescale()) : range.slice();
  };

  scale.rangeRound = function(_) {
    return range = Array.from(_), interpolate$1 = interpolateRound, rescale();
  };

  scale.clamp = function(_) {
    return arguments.length ? (clamp = _ ? true : identity$1, rescale()) : clamp !== identity$1;
  };

  scale.interpolate = function(_) {
    return arguments.length ? (interpolate$1 = _, rescale()) : interpolate$1;
  };

  scale.unknown = function(_) {
    return arguments.length ? (unknown = _, scale) : unknown;
  };

  return function(t, u) {
    transform = t, untransform = u;
    return rescale();
  };
}

function continuous() {
  return transformer()(identity$1, identity$1);
}

function formatDecimal(x) {
  return Math.abs(x = Math.round(x)) >= 1e21
      ? x.toLocaleString("en").replace(/,/g, "")
      : x.toString(10);
}

// Computes the decimal coefficient and exponent of the specified number x with
// significant digits p, where x is positive and p is in [1, 21] or undefined.
// For example, formatDecimalParts(1.23) returns ["123", 0].
function formatDecimalParts(x, p) {
  if ((i = (x = p ? x.toExponential(p - 1) : x.toExponential()).indexOf("e")) < 0) return null; // NaN, ±Infinity
  var i, coefficient = x.slice(0, i);

  // The string returned by toExponential either has the form \d\.\d+e[-+]\d+
  // (e.g., 1.2e+3) or the form \de[-+]\d+ (e.g., 1e+3).
  return [
    coefficient.length > 1 ? coefficient[0] + coefficient.slice(2) : coefficient,
    +x.slice(i + 1)
  ];
}

function exponent(x) {
  return x = formatDecimalParts(Math.abs(x)), x ? x[1] : NaN;
}

function formatGroup(grouping, thousands) {
  return function(value, width) {
    var i = value.length,
        t = [],
        j = 0,
        g = grouping[0],
        length = 0;

    while (i > 0 && g > 0) {
      if (length + g + 1 > width) g = Math.max(1, width - length);
      t.push(value.substring(i -= g, i + g));
      if ((length += g + 1) > width) break;
      g = grouping[j = (j + 1) % grouping.length];
    }

    return t.reverse().join(thousands);
  };
}

function formatNumerals(numerals) {
  return function(value) {
    return value.replace(/[0-9]/g, function(i) {
      return numerals[+i];
    });
  };
}

// [[fill]align][sign][symbol][0][width][,][.precision][~][type]
var re = /^(?:(.)?([<>=^]))?([+\-( ])?([$#])?(0)?(\d+)?(,)?(\.\d+)?(~)?([a-z%])?$/i;

function formatSpecifier(specifier) {
  if (!(match = re.exec(specifier))) throw new Error("invalid format: " + specifier);
  var match;
  return new FormatSpecifier({
    fill: match[1],
    align: match[2],
    sign: match[3],
    symbol: match[4],
    zero: match[5],
    width: match[6],
    comma: match[7],
    precision: match[8] && match[8].slice(1),
    trim: match[9],
    type: match[10]
  });
}

formatSpecifier.prototype = FormatSpecifier.prototype; // instanceof

function FormatSpecifier(specifier) {
  this.fill = specifier.fill === undefined ? " " : specifier.fill + "";
  this.align = specifier.align === undefined ? ">" : specifier.align + "";
  this.sign = specifier.sign === undefined ? "-" : specifier.sign + "";
  this.symbol = specifier.symbol === undefined ? "" : specifier.symbol + "";
  this.zero = !!specifier.zero;
  this.width = specifier.width === undefined ? undefined : +specifier.width;
  this.comma = !!specifier.comma;
  this.precision = specifier.precision === undefined ? undefined : +specifier.precision;
  this.trim = !!specifier.trim;
  this.type = specifier.type === undefined ? "" : specifier.type + "";
}

FormatSpecifier.prototype.toString = function() {
  return this.fill
      + this.align
      + this.sign
      + this.symbol
      + (this.zero ? "0" : "")
      + (this.width === undefined ? "" : Math.max(1, this.width | 0))
      + (this.comma ? "," : "")
      + (this.precision === undefined ? "" : "." + Math.max(0, this.precision | 0))
      + (this.trim ? "~" : "")
      + this.type;
};

// Trims insignificant zeros, e.g., replaces 1.2000k with 1.2k.
function formatTrim(s) {
  out: for (var n = s.length, i = 1, i0 = -1, i1; i < n; ++i) {
    switch (s[i]) {
      case ".": i0 = i1 = i; break;
      case "0": if (i0 === 0) i0 = i; i1 = i; break;
      default: if (!+s[i]) break out; if (i0 > 0) i0 = 0; break;
    }
  }
  return i0 > 0 ? s.slice(0, i0) + s.slice(i1 + 1) : s;
}

var prefixExponent;

function formatPrefixAuto(x, p) {
  var d = formatDecimalParts(x, p);
  if (!d) return x + "";
  var coefficient = d[0],
      exponent = d[1],
      i = exponent - (prefixExponent = Math.max(-8, Math.min(8, Math.floor(exponent / 3))) * 3) + 1,
      n = coefficient.length;
  return i === n ? coefficient
      : i > n ? coefficient + new Array(i - n + 1).join("0")
      : i > 0 ? coefficient.slice(0, i) + "." + coefficient.slice(i)
      : "0." + new Array(1 - i).join("0") + formatDecimalParts(x, Math.max(0, p + i - 1))[0]; // less than 1y!
}

function formatRounded(x, p) {
  var d = formatDecimalParts(x, p);
  if (!d) return x + "";
  var coefficient = d[0],
      exponent = d[1];
  return exponent < 0 ? "0." + new Array(-exponent).join("0") + coefficient
      : coefficient.length > exponent + 1 ? coefficient.slice(0, exponent + 1) + "." + coefficient.slice(exponent + 1)
      : coefficient + new Array(exponent - coefficient.length + 2).join("0");
}

var formatTypes = {
  "%": (x, p) => (x * 100).toFixed(p),
  "b": (x) => Math.round(x).toString(2),
  "c": (x) => x + "",
  "d": formatDecimal,
  "e": (x, p) => x.toExponential(p),
  "f": (x, p) => x.toFixed(p),
  "g": (x, p) => x.toPrecision(p),
  "o": (x) => Math.round(x).toString(8),
  "p": (x, p) => formatRounded(x * 100, p),
  "r": formatRounded,
  "s": formatPrefixAuto,
  "X": (x) => Math.round(x).toString(16).toUpperCase(),
  "x": (x) => Math.round(x).toString(16)
};

function identity(x) {
  return x;
}

var map = Array.prototype.map,
    prefixes = ["y","z","a","f","p","n","µ","m","","k","M","G","T","P","E","Z","Y"];

function formatLocale(locale) {
  var group = locale.grouping === undefined || locale.thousands === undefined ? identity : formatGroup(map.call(locale.grouping, Number), locale.thousands + ""),
      currencyPrefix = locale.currency === undefined ? "" : locale.currency[0] + "",
      currencySuffix = locale.currency === undefined ? "" : locale.currency[1] + "",
      decimal = locale.decimal === undefined ? "." : locale.decimal + "",
      numerals = locale.numerals === undefined ? identity : formatNumerals(map.call(locale.numerals, String)),
      percent = locale.percent === undefined ? "%" : locale.percent + "",
      minus = locale.minus === undefined ? "−" : locale.minus + "",
      nan = locale.nan === undefined ? "NaN" : locale.nan + "";

  function newFormat(specifier) {
    specifier = formatSpecifier(specifier);

    var fill = specifier.fill,
        align = specifier.align,
        sign = specifier.sign,
        symbol = specifier.symbol,
        zero = specifier.zero,
        width = specifier.width,
        comma = specifier.comma,
        precision = specifier.precision,
        trim = specifier.trim,
        type = specifier.type;

    // The "n" type is an alias for ",g".
    if (type === "n") comma = true, type = "g";

    // The "" type, and any invalid type, is an alias for ".12~g".
    else if (!formatTypes[type]) precision === undefined && (precision = 12), trim = true, type = "g";

    // If zero fill is specified, padding goes after sign and before digits.
    if (zero || (fill === "0" && align === "=")) zero = true, fill = "0", align = "=";

    // Compute the prefix and suffix.
    // For SI-prefix, the suffix is lazily computed.
    var prefix = symbol === "$" ? currencyPrefix : symbol === "#" && /[boxX]/.test(type) ? "0" + type.toLowerCase() : "",
        suffix = symbol === "$" ? currencySuffix : /[%p]/.test(type) ? percent : "";

    // What format function should we use?
    // Is this an integer type?
    // Can this type generate exponential notation?
    var formatType = formatTypes[type],
        maybeSuffix = /[defgprs%]/.test(type);

    // Set the default precision if not specified,
    // or clamp the specified precision to the supported range.
    // For significant precision, it must be in [1, 21].
    // For fixed precision, it must be in [0, 20].
    precision = precision === undefined ? 6
        : /[gprs]/.test(type) ? Math.max(1, Math.min(21, precision))
        : Math.max(0, Math.min(20, precision));

    function format(value) {
      var valuePrefix = prefix,
          valueSuffix = suffix,
          i, n, c;

      if (type === "c") {
        valueSuffix = formatType(value) + valueSuffix;
        value = "";
      } else {
        value = +value;

        // Determine the sign. -0 is not less than 0, but 1 / -0 is!
        var valueNegative = value < 0 || 1 / value < 0;

        // Perform the initial formatting.
        value = isNaN(value) ? nan : formatType(Math.abs(value), precision);

        // Trim insignificant zeros.
        if (trim) value = formatTrim(value);

        // If a negative value rounds to zero after formatting, and no explicit positive sign is requested, hide the sign.
        if (valueNegative && +value === 0 && sign !== "+") valueNegative = false;

        // Compute the prefix and suffix.
        valuePrefix = (valueNegative ? (sign === "(" ? sign : minus) : sign === "-" || sign === "(" ? "" : sign) + valuePrefix;
        valueSuffix = (type === "s" ? prefixes[8 + prefixExponent / 3] : "") + valueSuffix + (valueNegative && sign === "(" ? ")" : "");

        // Break the formatted value into the integer “value” part that can be
        // grouped, and fractional or exponential “suffix” part that is not.
        if (maybeSuffix) {
          i = -1, n = value.length;
          while (++i < n) {
            if (c = value.charCodeAt(i), 48 > c || c > 57) {
              valueSuffix = (c === 46 ? decimal + value.slice(i + 1) : value.slice(i)) + valueSuffix;
              value = value.slice(0, i);
              break;
            }
          }
        }
      }

      // If the fill character is not "0", grouping is applied before padding.
      if (comma && !zero) value = group(value, Infinity);

      // Compute the padding.
      var length = valuePrefix.length + value.length + valueSuffix.length,
          padding = length < width ? new Array(width - length + 1).join(fill) : "";

      // If the fill character is "0", grouping is applied after padding.
      if (comma && zero) value = group(padding + value, padding.length ? width - valueSuffix.length : Infinity), padding = "";

      // Reconstruct the final output based on the desired alignment.
      switch (align) {
        case "<": value = valuePrefix + value + valueSuffix + padding; break;
        case "=": value = valuePrefix + padding + value + valueSuffix; break;
        case "^": value = padding.slice(0, length = padding.length >> 1) + valuePrefix + value + valueSuffix + padding.slice(length); break;
        default: value = padding + valuePrefix + value + valueSuffix; break;
      }

      return numerals(value);
    }

    format.toString = function() {
      return specifier + "";
    };

    return format;
  }

  function formatPrefix(specifier, value) {
    var f = newFormat((specifier = formatSpecifier(specifier), specifier.type = "f", specifier)),
        e = Math.max(-8, Math.min(8, Math.floor(exponent(value) / 3))) * 3,
        k = Math.pow(10, -e),
        prefix = prefixes[8 + e / 3];
    return function(value) {
      return f(k * value) + prefix;
    };
  }

  return {
    format: newFormat,
    formatPrefix: formatPrefix
  };
}

var locale;
var format;
var formatPrefix;

defaultLocale({
  thousands: ",",
  grouping: [3],
  currency: ["$", ""]
});

function defaultLocale(definition) {
  locale = formatLocale(definition);
  format = locale.format;
  formatPrefix = locale.formatPrefix;
  return locale;
}

function precisionFixed(step) {
  return Math.max(0, -exponent(Math.abs(step)));
}

function precisionPrefix(step, value) {
  return Math.max(0, Math.max(-8, Math.min(8, Math.floor(exponent(value) / 3))) * 3 - exponent(Math.abs(step)));
}

function precisionRound(step, max) {
  step = Math.abs(step), max = Math.abs(max) - step;
  return Math.max(0, exponent(max) - exponent(step)) + 1;
}

function tickFormat(start, stop, count, specifier) {
  var step = tickStep(start, stop, count),
      precision;
  specifier = formatSpecifier(specifier == null ? ",f" : specifier);
  switch (specifier.type) {
    case "s": {
      var value = Math.max(Math.abs(start), Math.abs(stop));
      if (specifier.precision == null && !isNaN(precision = precisionPrefix(step, value))) specifier.precision = precision;
      return formatPrefix(specifier, value);
    }
    case "":
    case "e":
    case "g":
    case "p":
    case "r": {
      if (specifier.precision == null && !isNaN(precision = precisionRound(step, Math.max(Math.abs(start), Math.abs(stop))))) specifier.precision = precision - (specifier.type === "e");
      break;
    }
    case "f":
    case "%": {
      if (specifier.precision == null && !isNaN(precision = precisionFixed(step))) specifier.precision = precision - (specifier.type === "%") * 2;
      break;
    }
  }
  return format(specifier);
}

function linearish(scale) {
  var domain = scale.domain;

  scale.ticks = function(count) {
    var d = domain();
    return ticks(d[0], d[d.length - 1], count == null ? 10 : count);
  };

  scale.tickFormat = function(count, specifier) {
    var d = domain();
    return tickFormat(d[0], d[d.length - 1], count == null ? 10 : count, specifier);
  };

  scale.nice = function(count) {
    if (count == null) count = 10;

    var d = domain();
    var i0 = 0;
    var i1 = d.length - 1;
    var start = d[i0];
    var stop = d[i1];
    var prestep;
    var step;
    var maxIter = 10;

    if (stop < start) {
      step = start, start = stop, stop = step;
      step = i0, i0 = i1, i1 = step;
    }
    
    while (maxIter-- > 0) {
      step = tickIncrement(start, stop, count);
      if (step === prestep) {
        d[i0] = start;
        d[i1] = stop;
        return domain(d);
      } else if (step > 0) {
        start = Math.floor(start / step) * step;
        stop = Math.ceil(stop / step) * step;
      } else if (step < 0) {
        start = Math.ceil(start * step) / step;
        stop = Math.floor(stop * step) / step;
      } else {
        break;
      }
      prestep = step;
    }

    return scale;
  };

  return scale;
}

function linear() {
  var scale = continuous();

  scale.copy = function() {
    return copy(scale, linear());
  };

  initRange.apply(scale, arguments);

  return linearish(scale);
}

// This could've been more streamlined with internal state instead of abusing
// refs to such extent, but then composing hooks and components could not opt out of unnecessary renders.
function useResolvedElement(subscriber, refOrElement) {
  var lastReportRef = useRef(null);
  var refOrElementRef = useRef(null);
  refOrElementRef.current = refOrElement;
  var cbElementRef = useRef(null); // Calling re-evaluation after each render without using a dep array,
  // as the ref object's current value could've changed since the last render.

  useEffect(function () {
    evaluateSubscription();
  });
  var evaluateSubscription = useCallback(function () {
    var cbElement = cbElementRef.current;
    var refOrElement = refOrElementRef.current; // Ugly ternary. But smaller than an if-else block.

    var element = cbElement ? cbElement : refOrElement ? refOrElement instanceof Element ? refOrElement : refOrElement.current : null;

    if (lastReportRef.current && lastReportRef.current.element === element && lastReportRef.current.subscriber === subscriber) {
      return;
    }

    if (lastReportRef.current && lastReportRef.current.cleanup) {
      lastReportRef.current.cleanup();
    }

    lastReportRef.current = {
      element: element,
      subscriber: subscriber,
      // Only calling the subscriber, if there's an actual element to report.
      // Setting cleanup to undefined unless a subscriber returns one, as an existing cleanup function would've been just called.
      cleanup: element ? subscriber(element) : undefined
    };
  }, [subscriber]); // making sure we call the cleanup function on unmount

  useEffect(function () {
    return function () {
      if (lastReportRef.current && lastReportRef.current.cleanup) {
        lastReportRef.current.cleanup();
        lastReportRef.current = null;
      }
    };
  }, []);
  return useCallback(function (element) {
    cbElementRef.current = element;
    evaluateSubscription();
  }, [evaluateSubscription]);
}

// We're only using the first element of the size sequences, until future versions of the spec solidify on how
// exactly it'll be used for fragments in multi-column scenarios:
// From the spec:
// > The box size properties are exposed as FrozenArray in order to support elements that have multiple fragments,
// > which occur in multi-column scenarios. However the current definitions of content rect and border box do not
// > mention how those boxes are affected by multi-column layout. In this spec, there will only be a single
// > ResizeObserverSize returned in the FrozenArray, which will correspond to the dimensions of the first column.
// > A future version of this spec will extend the returned FrozenArray to contain the per-fragment size information.
// (https://drafts.csswg.org/resize-observer/#resize-observer-entry-interface)
//
// Also, testing these new box options revealed that in both Chrome and FF everything is returned in the callback,
// regardless of the "box" option.
// The spec states the following on this:
// > This does not have any impact on which box dimensions are returned to the defined callback when the event
// > is fired, it solely defines which box the author wishes to observe layout changes on.
// (https://drafts.csswg.org/resize-observer/#resize-observer-interface)
// I'm not exactly clear on what this means, especially when you consider a later section stating the following:
// > This section is non-normative. An author may desire to observe more than one CSS box.
// > In this case, author will need to use multiple ResizeObservers.
// (https://drafts.csswg.org/resize-observer/#resize-observer-interface)
// Which is clearly not how current browser implementations behave, and seems to contradict the previous quote.
// For this reason I decided to only return the requested size,
// even though it seems we have access to results for all box types.
// This also means that we get to keep the current api, being able to return a simple { width, height } pair,
// regardless of box option.
function extractSize(entry, boxProp, sizeType) {
  if (!entry[boxProp]) {
    if (boxProp === "contentBoxSize") {
      // The dimensions in `contentBoxSize` and `contentRect` are equivalent according to the spec.
      // See the 6th step in the description for the RO algorithm:
      // https://drafts.csswg.org/resize-observer/#create-and-populate-resizeobserverentry-h
      // > Set this.contentRect to logical this.contentBoxSize given target and observedBox of "content-box".
      // In real browser implementations of course these objects differ, but the width/height values should be equivalent.
      return entry.contentRect[sizeType === "inlineSize" ? "width" : "height"];
    }

    return undefined;
  } // A couple bytes smaller than calling Array.isArray() and just as effective here.


  return entry[boxProp][0] ? entry[boxProp][0][sizeType] : // TS complains about this, because the RO entry type follows the spec and does not reflect Firefox's current
  // behaviour of returning objects instead of arrays for `borderBoxSize` and `contentBoxSize`.
  // @ts-ignore
  entry[boxProp][sizeType];
}

function useResizeObserver(opts) {
  if (opts === void 0) {
    opts = {};
  }

  // Saving the callback as a ref. With this, I don't need to put onResize in the
  // effect dep array, and just passing in an anonymous function without memoising
  // will not reinstantiate the hook's ResizeObserver.
  var onResize = opts.onResize;
  var onResizeRef = useRef(undefined);
  onResizeRef.current = onResize;
  var round = opts.round || Math.round; // Using a single instance throughout the hook's lifetime

  var resizeObserverRef = useRef();

  var _useState = useState({
    width: undefined,
    height: undefined
  }),
      size = _useState[0],
      setSize = _useState[1]; // In certain edge cases the RO might want to report a size change just after
  // the component unmounted.


  var didUnmount = useRef(false);
  useEffect(function () {
    didUnmount.current = false;
    return function () {
      didUnmount.current = true;
    };
  }, []); // Using a ref to track the previous width / height to avoid unnecessary renders.

  var previous = useRef({
    width: undefined,
    height: undefined
  }); // This block is kinda like a useEffect, only it's called whenever a new
  // element could be resolved based on the ref option. It also has a cleanup
  // function.

  var refCallback = useResolvedElement(useCallback(function (element) {
    // We only use a single Resize Observer instance, and we're instantiating it on demand, only once there's something to observe.
    // This instance is also recreated when the `box` option changes, so that a new observation is fired if there was a previously observed element with a different box option.
    if (!resizeObserverRef.current || resizeObserverRef.current.box !== opts.box || resizeObserverRef.current.round !== round) {
      resizeObserverRef.current = {
        box: opts.box,
        round: round,
        instance: new ResizeObserver(function (entries) {
          var entry = entries[0];
          var boxProp = opts.box === "border-box" ? "borderBoxSize" : opts.box === "device-pixel-content-box" ? "devicePixelContentBoxSize" : "contentBoxSize";
          var reportedWidth = extractSize(entry, boxProp, "inlineSize");
          var reportedHeight = extractSize(entry, boxProp, "blockSize");
          var newWidth = reportedWidth ? round(reportedWidth) : undefined;
          var newHeight = reportedHeight ? round(reportedHeight) : undefined;

          if (previous.current.width !== newWidth || previous.current.height !== newHeight) {
            var newSize = {
              width: newWidth,
              height: newHeight
            };
            previous.current.width = newWidth;
            previous.current.height = newHeight;

            if (onResizeRef.current) {
              onResizeRef.current(newSize);
            } else {
              if (!didUnmount.current) {
                setSize(newSize);
              }
            }
          }
        })
      };
    }

    resizeObserverRef.current.instance.observe(element, {
      box: opts.box
    });
    return function () {
      if (resizeObserverRef.current) {
        resizeObserverRef.current.instance.unobserve(element);
      }
    };
  }, [opts.box, round]), opts.ref);
  return useMemo(function () {
    return {
      ref: refCallback,
      width: size.width,
      height: size.height
    };
  }, [refCallback, size.width, size.height]);
}

const WIDTH = 500;
const HEIGHT = 230;
const Blade = React.forwardRef(({ className, club, flip = false, size }, ref) => {
    let decal;
    let fill;
    switch (club) {
        case "abn":
            decal = abn;
            fill = "#003c10";
            break;
        case "abs":
            decal = abs;
            fill = "#cc0066";
            break;
        case "age":
            decal = age;
            fill = "#AB0A19";
            break;
        case "akn":
            decal = akn;
            fill = "#008620";
            break;
        case "arg":
            decal = arg;
            fill = "none";
            break;
        case "aru":
            decal = aru;
            fill = "#000000";
            break;
        case "aus":
            decal = aus;
            fill = "#f0f0f0";
            break;
        case "aut":
            decal = aut;
            fill = "#ff0000";
            break;
        case "avn":
            decal = avn;
            fill = "#202020";
            break;
        case "bal":
            decal = bal;
            fill = "#000000";
            break;
        case "bau":
            decal = bau;
            fill = "#00214E";
            break;
        case "bbl":
            decal = bbl;
            fill = "#1667F6";
            break;
        case "bed":
            decal = bed;
            fill = "#8e0000";
            break;
        case "bel":
            decal = bel;
            fill = "#202020";
            break;
        case "ber":
            decal = ber;
            fill = "#000077";
            break;
        case "bms":
            decal = bms;
            fill = "#202020";
            break;
        case "bou":
            decal = bou;
            fill = "#f0f0f0";
            break;
        case "bra":
            decal = bra;
            fill = "#F5F5F5";
            break;
        case "brc":
            decal = null;
            fill = "#202020";
            break;
        case "brd":
            decal = brd;
            fill = "#00214E";
            break;
        case "bul":
            decal = bul;
            fill = "#d62612";
            break;
        case "cab":
            decal = cab;
            fill = "#000033";
            break;
        case "cai":
            decal = cai;
            fill = "#202020";
            break;
        case "cam":
            decal = cam;
            fill = "#13294b";
            break;
        case "can":
            decal = can;
            fill = "#ff0000";
            break;
        case "cbs":
            decal = cbs;
            fill = "#008001";
            break;
        case "cco":
            decal = cco;
            fill = "#00214E";
            break;
        case "cha":
            decal = null;
            fill = "#fc6621";
            break;
        case "cfu":
            decal = cfu;
            fill = "#202020";
            break;
        case "chb":
            decal = null;
            fill = "#000065";
            break;
        case "chu":
            decal = null;
            fill = "#FF70A0";
            break;
        case "cla":
            decal = null;
            fill = "#FFCC00";
            break;
        case "clh":
            decal = clh;
            fill = "#FFCC00";
            break;
        case "cls":
            decal = cls;
            fill = "#1909AF";
            break;
        case "cnn":
            decal = cnn;
            fill = "#599bfc";
            break;
        case "coo":
            decal = coo;
            fill = "#000040";
            break;
        case "cor":
            decal = cor;
            fill = "#8d0603";
            break;
        case "cox":
            decal = cox;
            fill = "#003366";
            break;
        case "crc":
            decal = crc;
            fill = "#ffffff";
            break;
        case "cro":
            decal = cro;
            fill = "#f2f2f2";
            break;
        case "daw":
            decal = daw;
            fill = "#000080";
            break;
        case "den":
            decal = den;
            fill = "#f2f2f2";
            break;
        case "dow":
            decal = null;
            fill = "#AB0F62";
            break;
        case "dur":
            decal = dur;
            fill = "#000044";
            break;
        case "dus":
            decal = dus;
            fill = "#F5F5F5";
            break;
        case "emm":
            decal = emm;
            fill = "#000077";
            break;
        case "esp":
            decal = esp;
            fill = "#db000d";
            break;
        case "est":
            decal = est;
            fill = "#3a75c4";
            break;
        case "etn":
            decal = null;
            fill = "#B7E1E4";
            break;
        case "exc":
            decal = null;
            fill = "#DF0000";
            break;
        case "fit":
            decal = null;
            fill = "lightgray";
            break;
        case "ftt":
            decal = null;
            fill = "#000044";
            break;
        case "fra":
            decal = fra;
            fill = "#0c1c8c";
            break;
        case "gbr":
            decal = gbr;
            fill = "#f0f0f0";
            break;
        case "ger":
            decal = ger;
            fill = "#202020";
            break;
        case "gir":
            decal = gir;
            fill = "#004600";
            break;
        case "glw":
            decal = glw;
            fill = "#ff0022";
            break;
        case "gre":
            decal = gre;
            fill = "#101f8a";
            break;
        case "gtm":
            decal = gtm;
            fill = "#000032";
            break;
        case "hec":
            decal = hec;
            fill = "#8E0000";
            break;
        case "hom":
            decal = hom;
            fill = "#f9f9f9";
            break;
        case "huh":
            decal = huh;
            fill = "#ffffff";
            break;
        case "iel":
            decal = iel;
            fill = "#ffffff";
            break;
        case "imp":
            decal = imp;
            fill = "#101010";
            break;
        case "ita":
            decal = ita;
            fill = "#008d46";
            break;
        case "jec":
            decal = jec;
            fill = "#202020";
            break;
        case "jeo":
            decal = null;
            fill = "#009C3A";
            break;
        case "kcb":
            decal = null;
            fill = "purple";
            break;
        case "keb":
            decal = keb;
            fill = "#F9F9F9";
            break;
        case "lcc":
            decal = lcc;
            fill = "#136bfb";
            break;
        case "ldr":
            decal = null;
            fill = "#ffc6cf";
            break;
        case "ldu":
            decal = ldu;
            fill = "#F0F0F0";
            break;
        case "lic":
            decal = lic;
            fill = "#000032";
            break;
        case "lin":
            decal = lin;
            fill = "#ffcc00";
            break;
        case "lmb":
            decal = null;
            fill = "#DC0000";
            break;
        case "lmh":
            decal = lmh;
            fill = "#000032";
            break;
        case "mag":
            decal = mag;
            fill = "#151515";
            break;
        case "man":
            decal = man;
            fill = "#d40000";
            break;
        case "mau":
            decal = mau;
            fill = "#844C82";
            break;
        case "mec":
            decal = null;
            fill = "#F5F5F5";
            break;
        case "mer":
            decal = mer;
            fill = "#ffffff";
            break;
        case "mgd":
            decal = mgd;
            fill = "#8c00cd";
            break;
        case "nec":
            decal = nec;
            fill = "#800080";
            break;
        case "nzl":
            decal = nzl;
            fill = "#202020";
            break;
        case "nnm":
            decal = nnm;
            fill = "#000066";
            break;
        case "nor":
            decal = nor;
            fill = "#ef2b2d";
            break;
        case "oro":
            decal = oro;
            fill = "#002163";
            break;
        case "oxb":
            decal = oxb;
            fill = "#003380";
            break;
        case "pbc":
            decal = pbc;
            fill = "#0000CC";
            break;
        case "pem":
            decal = pem;
            fill = "#AAF0FF";
            break;
        case "pet":
            decal = pet;
            fill = "#071cd0";
            break;
        case "pmb":
            decal = pmb;
            fill = "#F0F0F0";
            break;
        case "pol":
            decal = pol;
            fill = "#F2F2F2";
            break;
        case "ptr":
            decal = ptr;
            fill = "#000033";
            break;
        case "qcc":
            decal = qcc;
            fill = "darkgreen";
            break;
        case "qco":
            decal = qco;
            fill = "#000066";
            break;
        case "rdu":
            decal = rdu;
            fill = "#f0f0f0";
            break;
        case "rho":
            decal = rho;
            fill = "#005500";
            break;
        case "rob":
            decal = rob;
            fill = "#7e0308";
            break;
        case "roc":
            decal = roc;
            fill = "#0099FF";
            break;
        case "rou":
            decal = rou;
            fill = "#0045e6";
            break;
        case "rpc":
            decal = rpc;
            fill = "#EE0000";
            break;
        case "rsa":
            decal = rsa;
            fill = "#ff0000";
            break;
        case "sac":
            decal = sac;
            fill = "#B20000";
            break;
        case "say":
            decal = say;
            fill = "#d40000";
            break;
        case "sbh":
            decal = sbh;
            fill = "#f9f9f9";
            break;
        case "scc":
            decal = scc;
            fill = "#780025";
            break;
        case "sco":
            decal = sco;
            fill = "#8cf";
            break;
        case "sec":
            decal = ed;
            fill = "#0063cb";
            break;
        case "seh":
            decal = seh;
            fill = "#ffcc00";
            break;
        case "sel":
            decal = sel;
            fill = "#F5F5F5";
            break;
        case "shg":
            decal = shg;
            fill = "#010066";
            break;
        case "shi":
            decal = shi;
            fill = "#f9f9f9";
            break;
        case "sid":
            decal = sid;
            fill = "#000066";
            break;
        case "sne":
            decal = sne;
            fill = "#00AEEF";
            break;
        case "som":
            decal = som;
            fill = "#EE0000";
            break;
        case "spc":
            decal = spc;
            fill = "#FFFFFF";
            break;
        case "son":
            decal = son;
            fill = "#f0f0f0";
            break;
        case "srg":
            decal = srg;
            fill = "#FF0000";
            break;
        case "sui":
            decal = sui;
            fill = "#d81e05";
            break;
        case "trh":
            decal = null;
            fill = "#202020";
            break;
        case "tro":
            decal = tro;
            fill = "#010178";
            break;
        case "tss":
            decal = tss;
            fill = "#C80410";
            break;
        case "twk":
            decal = twk;
            fill = "#140857";
            break;
        case "ucl":
            decal = ucl;
            fill = "#695ab5";
            break;
        case "usa":
            decal = usa;
            fill = "#bf0a30";
            break;
        case "uxo":
            decal = uxo;
            fill = "#000032";
            break;
        case "uyo":
            decal = uyo;
            fill = "#000000";
            break;
        case "vet":
            decal = null;
            fill = "#A3C1AD";
            break;
        case "wad":
            decal = wad;
            fill = "#add8e6";
            break;
        case "woc":
            decal = woc;
            fill = "#0000FF";
            break;
        case "woo":
            decal = woo;
            fill = "#FFD050";
            break;
        case "wrc":
            decal = wrc;
            fill = "#FF0000";
            break;
        case "xpr":
            decal = null;
            fill = "#000000";
            break;
        case "yrk":
            decal = yrk;
            fill = "#F5F5F5";
            break;
        default:
            decal = null;
            fill = "white";
            break;
    }
    return (React.createElement("svg", Object.assign({ xmlns: "http://www.w3.org/2000/svg", xmlnsXlink: "http://www.w3.org/1999/xlink" }, (size !== undefined && {
        width: size,
        height: (size * HEIGHT) / WIDTH,
    }), { viewBox: `0 0 ${WIDTH} ${HEIGHT}`, ref: ref, className: className }, (flip && { transform: "scale(-1,1)" })),
        React.createElement("defs", null,
            React.createElement("path", { id: "spoonPath", d: "M 105,75 C 105,76 106,77 107,77 C 139,89 170,149 177,181 C 231,199 389,201 455,201 C 458,201 461,198 461,195 L 450,27 C 450,24 447,21 444,21 L 113,43 C 112,43 111,44 111,45  Z" }),
            React.createElement("clipPath", { id: "spoonClip" },
                React.createElement("use", { xlinkHref: "#spoonPath" }))),
        React.createElement("g", null,
            React.createElement("use", { xlinkHref: "#spoonPath", style: { stroke: "black", strokeWidth: 1, fill: fill } }),
            React.createElement("g", { clipRule: "nonzero", clipPath: "url(#spoonClip)" }, decal))));
});
const abn = (React.createElement("g", { transform: "rotate(-3) translate(0,130)" },
    React.createElement("path", { d: "M 465,-100 350,0 455,100 z", style: { fill: "#ffdd00" } })));
const abs = (React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "white" } }));
const age = (React.createElement("g", null,
    React.createElement("path", { d: "M 0,55 L 145,199 L 500,205 L 500,137 Z", fill: "#023A6B" }),
    React.createElement("path", { d: "M 0,27 L 0,5 L 500,5 L 500,109 Z", fill: "#FFFFFF" })));
const akn = (React.createElement("g", null,
    React.createElement("path", { d: "M 345,0 L 260,230 L 500,230 L 500,0 Z", fill: "#c679b6" })));
// Sun from http://commons.wikimedia.org/wiki/Image:Flag_of_Argentina.svg
const arg = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "33%", y: "0%", width: "34%", height: "100%", style: { fill: "#003399" } })),
    React.createElement("rect", { style: { fill: "#75AADB" }, x: "0", y: "0", width: "100%", height: "100%" }),
    React.createElement("g", { clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { style: { fill: "#F2F2F2" }, x: "0", y: "0", width: "100%", height: "100%" })),
    React.createElement("g", null,
        React.createElement("path", { d: "M302.5 161.4c-.3-.1-.5-.4-.6-.9a619.2 619.2 0 01-2.2-21.3v-.4l-.2.4a8.2 8.2 0 00-.3 3.4c0 2.8 0 3.2-1.2 6-.9 2-1 2.3-1.2 3.4-.2 1.1-.2 2 0 3 .3 1.1.3 1.7.3 2.3-.2 1.5-1 3-1.7 3.5-.6.4-1.3.3-1.4-.1-.1-.3 0-.5.3-.9.3-.5.5-1 .6-1.7.1-.7 0-2.2-.3-3.3a8.7 8.7 0 01.5-6c1.2-3.3 1.3-3.8 1-8v-2l-.2.4a4497.2 4497.2 0 00-7.8 20c-.3.4-.9.5-1.2.1-.2 0-.2-.2-.2-.5a17276.4 17276.4 0 006.4-21.4c0-.1-1 1-1.2 1.5l-.6 1.5c-1 2.7-1.4 3.2-3.7 5.5-1.3 1.2-2 2-2.5 2.9a7 7 0 00-1 2.6c-.2 1.3-.5 2-1 2.7-1.2 1.6-3 2.4-3.6 1.6-.2-.2-.2-.5 0-.7l.5-.4c1.1-.7 1.7-2 2.2-4.4.3-1.6.4-2 .9-2.8.4-1 1-1.7 2.1-2.8 1.4-1.5 1.8-2 2.2-2.7a23.4 23.4 0 002.2-5.4l.1-.5-2.7 2.8a576221.7 576221.7 0 00-12.6 13c-.5.4-1 .2-1.2-.3-.2-.5-.8.3 12.8-16l1.6-2-1 .6c-.7.4-.9.6-1.7 1.4a12.4 12.4 0 01-5.7 3.9c-1.7.7-2.4 1-3.3 1.7-.8.6-1.4 1.2-2 2-.6.9-.8 1.2-1.4 1.7-.9.8-2 1.3-3.2 1.4-.7 0-1.1 0-1.4-.4-.2-.3-.2-.5 0-.8.1-.1.2-.2.7-.3 1.4-.2 2.5-1.1 3.9-3.3l1.1-1.5c.5-.6 1.6-1.4 2.2-1.8a48 48 0 014-1.8c1-.6 2-1.6 3.6-3.4a37.7 37.7 0 011.7-1.8l-1.8.7a86422.7 86422.7 0 01-19 8.3c-.3 0-.7-.3-.7-.6 0-.5.2-.8 1.5-1.4a1507 1507 0 0018.2-10 8 8 0 00-2.4.7 12 12 0 01-6.6 1.6c-2.1 0-2.9 0-3.8.2-1.2.3-1.8.5-2.6 1-2 1.3-2.5 1.5-4 1.6l-1.6-.1c-1-.2-1.4-.6-1.5-1.2 0-.3.3-.6.5-.6l.7.1h1.2c1.1-.1 2-.6 4-1.9a8 8 0 012.6-1.3c.6-.2.8-.2 3.4-.4 3-.2 3-.2 4.4-.7 1-.4 1.6-.6 2.8-1.3a30 30 0 012.1-1h-.3l-18.8.7c-3.3.1-3.5.1-3.8-.2-.3-.4-.2-1 .3-1.2l11.5-1.3 11.3-1.2a6.8 6.8 0 00-3.3-.5c-1.1.1-2.4 0-3.2 0-.8-.1-1.7-.4-3.6-1.1-1.9-.8-2.5-1-3.7-1.1-1-.2-1.8-.1-3.1.1-1.6.3-2.8.2-4-.3-1.5-.6-2.3-1.7-1.7-2.3.3-.4.5-.3 1 0 .9.6 1.5.7 2.8.7.7 0 1 0 2.3-.3 1.7-.4 2.4-.4 3.5-.3 1 0 1.7.3 3.6 1 2.6.9 3.2 1 7 .7l2.5-.1a2367.7 2367.7 0 00-19-7c-2-.6-2.1-.7-2.2-1.2-.1-.5.2-.9.8-.8l5.4 1.4a147157.7 147157.7 0 0016.5 4.6c-.1-.1-1-.8-1.5-1l-1.4-.6c-3-1-3.5-1.4-5.6-3.5a13.6 13.6 0 00-2.6-2.1c-1-.7-2-1-3.3-1.3a7.1 7.1 0 01-2.9-1.2c-1.2-.8-2-2-1.8-2.8 0-.3.3-.6.6-.7.3 0 .5.2.8.6l.7.8c.9.7 1.7 1 4 1.4 2.5.5 3.3.8 5.9 3.1 1.2 1.1 1.9 1.6 2.3 1.8a23.7 23.7 0 005.7 2.2 266.4 266.4 0 00-7-6.7 121482 121482 0 01-8.8-8v-1l.6-.2c.5 0 .2-.2 4.4 3.1a53042.3 53042.3 0 0113.8 10.8 6.8 6.8 0 00-2.2-2.8c-2.1-1.9-2.5-2.4-3.6-5-1-2.1-1.2-2.7-2-3.7-.6-.7-1-1-2-1.7a6.3 6.3 0 01-2.4-2.3c-.6-1-.9-2.3-.6-3 .2-.4.5-.6.8-.6.3 0 .5.1.6.7.1.7.2.9.5 1.4.5.8 1.7 1.7 3.4 2.7 1.2.7 2.3 1.9 3 3.2l.8 1.6c.7 1.4 1 2.1 1.5 2.7.6.8 1.9 2 2.8 2.7a40.3 40.3 0 012 1.7l-.6-1.4a33368.7 33368.7 0 01-8.5-18.2c-.1-.4 0-.8.2-1 .3-.3.9-.2 1.2.2l1.9 3.3a49572.7 49572.7 0 018.9 16s-.1-1.4-.3-1.8l-.7-1.8a10.7 10.7 0 01-1.3-6.1c0-1.9 0-2.7-.4-3.8-.3-1-.5-1.5-1.2-2.6a6.4 6.4 0 01-1.3-3.4c0-1 .2-2.2.6-2.6.5-.4 1-.5 1.3-.1v.5c-.2 1.2-.2 1.2 0 1.7.2 1 .6 2 1.7 3.4.8 1 1 1.5 1.3 2.2.4 1.2.5 1.7.7 4.4l.1 2.5.4 1a21 21 0 002 4.2l.5.9-.1-3.6a5791.7 5791.7 0 01-.6-18c.1-.9 1-1.1 1.5-.4a16650.9 16650.9 0 002.5 22l.2-.6a9 9 0 00.3-3.3c0-1.5 0-2.5.2-3.2l1-2.5c.9-2.3 1-2.8 1.2-4.2a7 7 0 00-.2-2.3l-.2-1.3c0-1.6.7-3.6 1.7-4.3.6-.4 1.3-.3 1.4 0 .1.3 0 .5-.3 1-.6.8-.7 1.6-.6 3.2l.3 1.8c.4 1.3.4 2 .3 3 0 1-.2 1.6-1 3.5-1 2.7-1 3-.8 6.9a138 138 0 00.2 2.3 4030.3 4030.3 0 016.5-16.8c1.3-3.5 1.4-3.6 2-3.6.4 0 .7.1.7.6.1.4 0 .7-1.7 6.2a4581.2 4581.2 0 01-4.7 15.4l.4-.4c.7-.9 1-1.4 1.4-2.5 1-2.8 1.4-3.4 3.5-5.5 2.4-2.3 3.1-3.4 3.6-5.6.3-1.2.4-1.6.8-2.2.7-1.3 2-2.5 3-2.5.5 0 .8 0 1 .3.2.3 0 .7-.6 1-.6.4-1.1 1-1.5 2-.3.7-.5 1.2-.7 2.5a8 8 0 01-.7 2.6c-.6 1.2-1.2 1.9-2.8 3.5-1 1-1.5 1.7-1.9 2.5a21.6 21.6 0 00-1.9 4.8l-.2.8 2.7-2.8a103737.6 103737.6 0 0112.6-13c.4-.3.8-.3 1 0 .3.2.3.5.2.9l-7.3 8.8-7 8.5 1.7-1 1.2-1.2c2-2 2.4-2.4 5.4-3.6 1.7-.7 2.6-1.2 3.5-1.8.8-.6 1-1 1.8-2l1.2-1.4c.9-1 2.2-1.5 3.3-1.6.7 0 1 0 1.4.3.3.3.3.6.1.8-.1.2-.2.2-.7.3-1.4.3-2.5 1.2-3.9 3.4a8.6 8.6 0 01-2.2 2.5c-.8.6-1.4 1-3.5 1.9-1.5.6-2 .9-2.9 1.7a23 23 0 00-2.3 2.4 55 55 0 01-1.7 1.8l1.8-.7 17.8-8c.9-.4 1.3-.4 1.7-.1.3.3.3.8-.2 1.2a173 173 0 01-11.9 6.3 7838.8 7838.8 0 01-7.9 4.2h.5c1.1 0 1.6-.3 3-.8 2.6-1.2 3.2-1.4 6.1-1.4 2.2 0 3.2 0 4.3-.4 1-.2 1.6-.5 2.3-1 1-.6 1.4-.9 2-1.1a7 7 0 013-.3c1.1.2 1.6.6 1.7 1.2v.5c-.3.2-.4.2-1.1 0H337c-1.1.2-2 .6-4 2a8 8 0 01-1.5.9c-1.4.5-1.4.5-4.4.7-3 .2-3 .3-4.3.7-1 .3-1.8.7-3 1.3l-1.7.8-.6.3h.3a4367.4 4367.4 0 0022-.8c.6 0 1 .3 1 .8 0 .3-.3.6-.7.8l-2.6.3a3211.7 3211.7 0 00-20 2c0 .1 0 .2.6.3 1 .2 1.7.3 2.7.3 1-.1 2.4-.1 3.2 0 .8 0 1.7.3 3.6 1.1 1.8.7 2.4.9 3.4 1 1 .2 2 .2 3.4 0 1.6-.3 2.6-.3 4 .3.8.3 1.5.9 1.7 1.3.3.5.2 1-.1 1.2-.3.1-.6 0-1-.2-.7-.6-1.4-.8-2.7-.7l-2 .2c-1.6.4-2.5.5-3.5.4-1 0-1.7-.2-2.7-.6l-1.8-.6c-2-.7-2.7-.8-6.3-.5-2.6.1-2.6.1-2.4.2a3799.2 3799.2 0 0020.3 7.3c.5.2.7.5.7.8.1.3 0 .5-.2.7-.4.2-.8.1-2-.2a22873.2 22873.2 0 01-20.5-5.8c-.2 0 .7.6 1.3 1l1.6.7a12.3 12.3 0 015.7 3.5l1.6 1.5c1.1.9 2.7 1.6 3.8 1.8 1 .2 1.5.3 2.2.6 1 .5 2 1.3 2.6 2.2l.3 1c0 .4 0 .5-.2.7-.3.4-.8.3-1.1-.3a4 4 0 00-1.3-1.2 11 11 0 00-3.9-1.1c-1.2-.2-2-.5-3-1.1a18 18 0 01-2.5-2l-2.3-1.8a23.4 23.4 0 00-5.5-2 6 6 0 00-.7-.3 168.8 168.8 0 007.5 6.8 8302.2 8302.2 0 008.8 8.1v.9c-.2.2-.3.2-.6.2h-.5l-1.5-1.1a11291.5 11291.5 0 01-16.3-12.8l1 1.5 1.4 1.4c2 1.8 2.5 2.5 3.5 5 .8 1.8 1.2 2.5 1.8 3.4.7.9 1.2 1.3 2.2 2l1.3 1c1.8 1.7 2.4 4.4 1.2 4.9-.5.2-.9-.1-.9-.7 0-1.2-1.2-2.5-3.4-3.8-1.3-.8-2-1.4-2.7-2.3-.6-.8-.8-1.1-1.5-2.7l-1.5-2.7a27.8 27.8 0 00-5-4.5 732280.5 732280.5 0 019.2 19.7c.1.4 0 .7-.2.9-.3.3-.9.2-1.2-.2a298.8 298.8 0 01-7.3-13l-2.1-3.9-1.4-2.4v.4a8 8 0 001 3.2c1.2 2.5 1.3 3.2 1.3 6 0 3 .4 4.6 1.3 6l1.2 2c.5 1.3.6 2.7.2 3.8-.2.5-.5.8-1 1-.2.1-.5 0-.7-.3v-.5c.1-.8.2-1.2 0-1.7-.2-1-.6-1.9-1.7-3.3a8.3 8.3 0 01-1.4-2.6l-.3-.8-.2-2.6a37 37 0 00-.2-3c-.3-1-1-2.6-1.8-4.2a32.4 32.4 0 01-1-2v2.4a6522.9 6522.9 0 01.5 19.5c-.2.4-.6.6-1 .4z", style: { fill: "#fcbf49" } }),
        React.createElement("path", { d: "M302.5 161.4c-.5-.2-.5-.4-.8-3.4a378.9 378.9 0 00-1.3-12.1l-.7-6.8v-.3l-.2.4a9 9 0 00-.4 3.5c.1 2.7 0 3-1.1 5.8-.9 2-1 2.6-1.2 3.6-.2 1-.1 2 0 3a6 6 0 01.1 3.1c-.3 1.1-1 2.3-1.6 2.7-.5.3-1.2.2-1.3-.2-.1-.3 0-.5.3-.9s.5-1 .6-1.7c.1-.6 0-2.3-.3-3.3a7.4 7.4 0 01-.3-2.8c0-1.1.3-1.9 1-3.7 1-2.8 1.1-3.3.8-7.8l-.1-1.7a156.1 156.1 0 00-3.5 9 1666.4 1666.4 0 01-4.5 11.4c-.2.3-.7.4-1 .3-.2-.1-.4-.5-.4-.9l.8-2.7a5477.6 5477.6 0 005.7-18.6l-1.2 1.6-.6 1.4c-1 2.8-1.4 3.3-3.5 5.3a15.2 15.2 0 00-2.7 3.2c-.5.9-.7 1.3-1 2.5-.2 1.1-.3 1.6-.7 2.2-.7 1.3-2 2.4-3 2.5-.6 0-1-.2-1-.6-.1-.3 0-.5.6-.8.7-.4 1.1-1 1.5-1.9.3-.8.5-1.4.7-2.8.3-1.5.8-2.7 1.7-3.8l1.6-1.8a10 10 0 002.3-3l1.2-3.2a30 30 0 01.7-2 1485.2 1485.2 0 00-15.2 15.7c-.3.2-.8.3-1 0-.4-.2-.4-.5-.2-.9 0-.2 1.2-1.6 2.7-3.5a64508.5 64508.5 0 0111.6-13.9l-1.8 1.2c-.2 0-.6.5-1.1 1-2 2.2-2.6 2.5-5.5 3.7-2.8 1.1-4 2-5.3 3.7-.7 1-1 1.4-1.6 1.9-.9.7-2 1.1-3 1.2-.8 0-1.3-.1-1.5-.6v-.6l.8-.3c1.4-.2 2.5-1 3.9-3.3 1.4-2.2 2.3-2.9 5.7-4.4 2.2-1 2.9-1.5 5.2-4.1a35.4 35.4 0 011.7-1.8l-14 6.1c-6.7 3-6.4 3-6.8 2.9-.3 0-.7-.4-.7-.6 0-.4.2-.7.7-1a1015.6 1015.6 0 0119.6-10.4c0-.1-1 0-1.8.2-.3.1-1 .3-1.4.6a11.7 11.7 0 01-5.9 1.5c-2 0-3.4 0-4.3.2a9 9 0 00-3.6 1.6c-1.1.7-1.8.9-3 1l-1.6-.1-.9-.3c-.5-.3-.7-1-.4-1.3.2-.2.4-.2 1-.1h1.2c1.1-.1 2-.5 3.8-1.8 1-.7 1.6-1 2.6-1.3.7-.3.8-.3 3.6-.5l2.9-.2.7-.2a24.3 24.3 0 005.1-2.3l.6-.3h-1.7a60 60 0 00-4.5.2 1418.2 1418.2 0 00-16.3.5c-.7-.2-.8-1 0-1.4a43341.3 43341.3 0 0022.8-2.5l-2.2-.5H279c-2.7.1-3.5 0-6.1-1-2-.9-2.7-1-4-1.2-1-.2-1.8-.1-3.1.1-.8.2-1.1.2-1.7.2-2-.1-4-1.2-4-2.3l.1-.5c.2-.2.2-.3.5-.3l.6.3c.5.4 1.1.6 1.9.7.9.1 1.5 0 3.1-.3a9 9 0 013.4-.3c1 0 1.9.3 3.6 1 2.6.9 3.2 1 7 .7l2.6-.1-4.6-1.7a4368 4368 0 01-14.4-5.2c-2-.7-2.1-.8-2.2-1.3-.1-.5.2-.9.8-.8l5.3 1.4 16.6 4.7c.2 0-.7-.7-1.3-1l-1.7-.7c-2.9-1-3.4-1.4-5.5-3.4a14 14 0 00-3-2.4c-1-.6-1.6-.8-2.8-1-1.7-.4-3-1-3.9-2-.6-.7-1-1.6-.9-2.1 0-.3.3-.6.6-.7.3 0 .5.2.8.6.4.7 1.2 1.3 2.3 1.7l2.8.6a8 8 0 013 1l2.5 2 2.3 1.9a24 24 0 005.6 2l.8.3-.5-.4a1453.8 1453.8 0 01-16-14.5v-1l.6-.2.5.1 1.6 1.2a131835.7 131835.7 0 0016.2 12.7l-1-1.5c0-.2-.6-.8-1.2-1.2-2.2-2-2.6-2.6-3.7-5.2-.9-2-1.2-2.7-2-3.7-.7-.7-1-1-2-1.7a6.3 6.3 0 01-2.5-2.5c-.4-.7-.6-1.4-.6-2 0-.5 0-.7.2-1 .2-.3.6-.5.8-.4.3 0 .5.3.5.7 0 .7.5 1.5 1.2 2.2.6.6 1.2 1 2.3 1.7 1.1.7 1.6 1 2.2 1.7.9 1 1.1 1.4 2 3.4 1 2 1.2 2.4 2.5 3.7l3.8 3.3a60.8 60.8 0 00-2.1-4.6 8293.5 8293.5 0 00-7-15c-.2-.6 0-1.2.6-1.2.4 0 .7.2 1.1.9a3934 3934 0 0110.2 18.3l.3.5v-.7a7 7 0 00-1-2.7 10.7 10.7 0 01-1.3-6.3c0-1.7 0-2.8-.4-3.8-.3-1-.5-1.5-1.2-2.6-.7-1-.9-1.5-1.1-2.3-.3-1-.3-2.1 0-3 .4-1 1.3-1.4 1.7-.8v1.2c-.3 1 .3 2.5 1.7 4.4.7 1 1 1.6 1.4 2.4.3 1.1.4 1.6.6 4.2.1 2.3.1 2.4.3 3a24.8 24.8 0 002.4 5.1l.3.6v-.6a98 98 0 01-.3-7.2 494.7 494.7 0 01-.4-14c0-.3.4-.7.7-.7.3 0 .6.1.8.4l.5 4a1660.1 1660.1 0 002 18v.3l.2-.6c.3-1 .3-1.5.3-3.3 0-1.8 0-2.5.2-3.3 0-.3.5-1.5 1-2.7.9-2.3 1-2.8 1.2-4.2a7 7 0 00-.2-2.3c-.2-1-.2-1.6-.1-2.3.2-1.4.8-2.8 1.6-3.3.6-.4 1.3-.3 1.4 0 .1.4 0 .5-.3 1-.8 1-.9 2.5-.3 5a7 7 0 01.3 2.9c0 1-.3 1.9-1 3.6a27 27 0 00-.7 2.2c-.2.7-.3 1.7-.3 2.8l.3 4.5a176.4 176.4 0 004-10.2 2787.4 2787.4 0 004-10.3c.4-.3.8-.3 1 0 .3 0 .3.1.3.5s0 .8-1.6 6a6370.8 6370.8 0 01-4.7 15.5s1-1.2 1.1-1.6l.7-1.5c.7-2 1.1-2.8 2-3.7l1.4-1.5c1.7-1.6 2.8-3.1 3.3-4.4l.4-1.4c.2-1 .3-1.5.7-2.1.7-1.3 2-2.5 3-2.5.5 0 .8 0 1 .3.2.3 0 .7-.6 1a4 4 0 00-1.4 1.8c-.4.9-.5 1.4-.8 2.8-.4 2.5-1 3.5-3.6 6.2-1 1-1.5 1.7-1.9 2.5a24.5 24.5 0 00-1.8 4.7l-.2.7A3937.8 3937.8 0 00325.8 92c.4-.2.8-.2 1 0 .3.3.3.6.2 1l-2 2.5a29418.7 29418.7 0 01-12.4 14.8l2-1.1c0-.2.6-.7 1-1 1-1.3 2-2 2.6-2.4.5-.3 1.2-.7 2.8-1.3 2.9-1.2 4-2 5.3-3.7.3-.6.8-1.1 1-1.3 1-1 2.3-1.7 3.6-1.8.6 0 1 0 1.3.3.3.3.3.6.1.8 0 .2-.2.2-.7.3-.6.2-.9.2-1.5.6-.6.4-1.5 1.4-2.4 2.8a8.4 8.4 0 01-1.8 2.2c-1 .7-1.5 1.1-3.5 2a12.6 12.6 0 00-5.5 4.2 67 67 0 01-1.8 2 2315 2315 0 0020.4-9c.8-.2 1.3.3 1 1a11962.3 11962.3 0 00-20.2 11 6.4 6.4 0 002.7-.7c.3 0 1-.4 1.4-.6 2.1-1 3-1 5.5-1 2.7 0 3.7-.2 5.2-.7.6-.2.8-.3 2.2-1.2 1-.7 1.8-1 3-1 1 0 1.5 0 2.2.3.5.2.8.5.8.9v.5c-.3.2-.4.2-1.1 0H337c-1 .2-2 .6-3.9 2-1 .6-1.6 1-2.7 1.3l-3.4.4-3 .2-.7.2a26.8 26.8 0 00-5.1 2.3l-.5.3a322 322 0 007.8-.3 2064.3 2064.3 0 0014.4-.5c1.1.2 1.2 1.3.1 1.6l-1.5.2a6065.4 6065.4 0 01-21 2.2l2 .5h4.5c.8 0 1.7.3 3.6 1.1 1.8.7 2.3.9 3.2 1 1.3.3 2 .2 3.6 0 1.6-.3 2.7-.2 4 .3 1.5.6 2.3 1.7 1.7 2.3-.3.4-.6.3-1.1 0-.6-.6-1.8-.8-3-.7l-2 .3a9 9 0 01-3.4.3c-1-.1-1.7-.3-3.4-.9-2.9-1-3.3-1-7.2-.9l-2.6.2a46.3 46.3 0 004.4 1.6l14.2 5.2c2.4.8 2.5.9 2.6 1.4.2.5-.2.8-.8.8l-5-1.3a11928.7 11928.7 0 00-16.7-4.8c-.4-.1-.3 0 .3.4.8.6 1.3.9 2.4 1.3 2.8 1 3.6 1.4 5.6 3.4 1.4 1.3 2 1.8 2.8 2.3 1 .6 1.7 1 3 1.2 1.1.2 1.8.4 2.5.8 1.8 1 2.9 3 2 3.7-.3.3-.7.2-1-.4-.7-1-2-1.8-4.2-2.1l-2.7-.6c-1.3-.5-2-1-4-2.8l-1.9-1.6c-.8-.4-2.6-1.2-4.1-1.6a35 35 0 01-1.8-.6l-.7-.3.5.4a518 518 0 009.8 8.9 7218.6 7218.6 0 006.2 5.7v.9c-.2.2-.3.2-.6.2-.5 0 .2.6-8.6-6.3a1025.6 1025.6 0 01-9.7-7.6l1 1.5 1.3 1.3c2.1 2 2.5 2.5 3.6 5 .9 2.1 1 2.5 1.8 3.5.7.9 1.2 1.3 2.3 2 1 .7 1.4 1.1 2 1.8 1 1.3 1.3 3 .7 3.8-.1.2-.4.4-.7.3-.3 0-.4-.3-.5-.9-.2-.9-.9-1.9-2-2.7l-1.5-1c-1.2-.7-2-1.4-2.6-2.2-.5-.7-1-1.4-1.7-3-.8-1.7-1-2.1-1.9-3-.5-.7-4.3-4-4.3-3.9l1.1 2.5a10509.3 10509.3 0 018 17.7c0 .5-.6.7-1.1.5-.3-.2-.2 0-3.3-5.6a3512 3512 0 00-6.7-12l-1-2v.4c0 .8.2 1.6.9 3 1.2 2.7 1.3 3.4 1.3 6.3 0 2.7.4 4.5 1.3 6l.7 1c1.3 2 1.2 5.2-.2 5.7-.3.1-.6 0-.8-.2v-1.2c.3-1-.3-2.6-1.7-4.4-.7-1-1-1.7-1.4-2.5a13 13 0 01-.5-4l-.2-2.5-.3-.8a23.5 23.5 0 00-2.3-4.9l-.3-.6v2.5a7556.1 7556.1 0 01.6 19.5c-.2.4-.6.6-1 .4zm.6-.5v-2.2a9487.3 9487.3 0 00-.7-20.3v-.6h-.4c-.3 0-.3 0-.3.2a589 589 0 01.1 10.3 469.4 469.4 0 00-1-10.2v-.2h-.8v.5l.7 5.5c2 18.7 1.7 16.8 1.9 17 .2.2.3.2.5 0zm7.4-1.4c.6-.5.7-2.3.3-3.6-.2-.7-.4-1-1.1-2a8.5 8.5 0 01-1.5-4.7v-1.8c0-1-.1-2.8-.3-3.3-.1-.7-.4-1.3-1-2.8a8.3 8.3 0 01-1-3.4c-.1-.7-.2-1-.3-1l-.4.1-.3.1v.4c0 .7.3 1.9.5 2.4 0 .3.4 1 .7 1.6a9.2 9.2 0 011.3 3.7c0 .5 0 1.9-.2 2.5v-1a8.4 8.4 0 00-1.6-5c-.6-1.1-1.2-2.4-1.5-3.5-.2-.7-.3-.8-.4-.7l-.7.2a12.1 12.1 0 001.5 3.4 24 24 0 011.4 3.2c.4 1 .5 1.8.5 3.6.2 3 .5 4.2 1.8 6 1 1.4 1.5 2.2 1.8 3.2.2.7.2 1.6 0 2 0 .4 0 .6.2.6l.3-.2zm-15.5 1c.3-.1.8-.8 1-1.3.6-1 .7-2.3.5-3.3a8.2 8.2 0 01-.1-4c.2-1 .4-1.6 1.2-3.6l.9-2.3c.2-.9.2-1.8.2-3.3-.1-2 0-2.6.5-4 .2-.8.2-.8-.3-.9h-.4l-.2.9a8 8 0 00-.3 3.5c0 2.5 0 3.2-.6 4.5a12 12 0 01-1 1.8l.4-1c.8-2 .8-2.5.6-4.9a20.4 20.4 0 010-5h-.8v3.8c.2 3.6.1 4.6-1 7.1-.6 1.6-.9 3-.9 4.2 0 .7 0 1 .3 2l.4 2.1c0 1.5-.1 2.3-.7 3.2l-.3.5h.6zm-7.3-1.6a461 461 0 008.3-21.5l-.5-.2c-.2 0-.3.4-2 4.4a77 77 0 01-2.2 5.5 270.6 270.6 0 013.1-10c0-.2 0-.3-.3-.3l-.3-.1a123.6 123.6 0 00-1.4 4.4l-5.3 17.5c0 .5.3.7.6.3zm30.4-2v-.4a484.5 484.5 0 00-10-20.7c-.2 0-.3.2-.3.2a786.2 786.2 0 004 9.2 4373.9 4373.9 0 00-4.9-8.8l-.6.3a802.8 802.8 0 0011.8 20.1zm6.2-4.3c.3-.6 0-2-.6-2.9-.7-.9-1-1.3-2.4-2-1.6-1.2-2.7-2.6-3.9-5.5-1-2.5-1.5-3.1-3.5-5a8.4 8.4 0 01-2.3-2.7c-.5-.8-.6-1-.6-.7h-.1s-.2 0-.3.2l-.1.1.4.8a9.4 9.4 0 002.4 2.8c1.7 1.5 2.3 2.1 2.8 3.5a8.7 8.7 0 01.6 1.9l-1-2.2c-.7-1-1.2-1.6-3.1-3.1-1-.8-1.6-1.4-2.5-2.4-.5-.6-.6-.6-.7-.4l-.5.3c0 .2 1.1 1.2 2.8 2.7 2.7 2.3 3.2 3 4.3 5.3.8 1.6 1.3 2.4 1.8 3.1.7.8 1.1 1.2 2.3 1.9a13.2 13.2 0 012.4 1.6l.1.2c.2.2.8 1 1 1.5l.2.7v.4c.1.2.4.2.5-.1zm-43.4 2.8a5.5 5.5 0 002.8-4.1l.5-1.7c.5-1.2 1.5-2.6 3-4 2.2-2.2 2.4-2.5 3.5-5 .8-2.1 1-2.4 2-3.6l.5-.6-.3-.2-.4-.2s-1 1.1-1.3 1.7c-.4.6-.6 1-1 2.4l-.8 1.7c-.5 1-1.6 2.2-2.7 3l-.4.3.5-.5a9.3 9.3 0 002.7-4.5c.6-1.8.9-2.5 1.6-4l.4-.7h-.1l-.6-.3c-.2 0-1 1.7-1.4 3.4-.6 1.7-1.4 3.4-2 4.3l-1.6 1.8a11.3 11.3 0 00-2.7 3.9l-.5 1.8-.4 2a5 5 0 01-2 2.7c-.4.3-.5.4-.3.5.2.1.6.1 1-.1zm-6.7-4l3.3-3.3A17295.4 17295.4 0 01289 136l1.2-1.3-.2-.2a1 1 0 00-.3-.2l-1.6 1.5a1877.6 1877.6 0 01-6 6.2l-.3.2.3-.3a52.7 52.7 0 013.1-3.8 1135.9 1135.9 0 013.4-4l.4-.5-.3-.2a1 1 0 00-.3-.1l-4.4 5.2a34664.6 34664.6 0 01-10.4 12.8v.2h.5zm56.2-4c0-.4 0-.3-4.4-4.3a10390.7 10390.7 0 01-12.9-11.6l-.2.3-.2.2.3.3a875 875 0 007 6.6l-7.9-6.1-.3.2-.2.2 2.2 1.7a7829.7 7829.7 0 0016.4 12.7c.2 0 .2 0 .2-.3zm4.1-6c.3-.6-.6-1.9-1.7-2.6-.7-.5-1.5-.8-2.7-1a8 8 0 01-3-1c-.9-.6-1.6-1.2-3.1-2.7-2-1.8-2.5-2.2-5-3a31 31 0 01-1.7-.7l-1.8-1.3-.6-.5-.2.3-.2.4 1.5 1.2a9 9 0 002.4 1c2.4.8 3.5 1.5 4.8 3 .7.8.7.8-.4 0a9.2 9.2 0 00-4.5-2.4 18.4 18.4 0 01-4.4-1.8l-.4.7c0 .1 2 1 3.4 1.3l4 1.6 2.2 1.8c1.9 1.6 2.2 1.9 3.2 2.3.9.5 1.3.6 2.6.8 2 .3 3.1.7 4 1.4.6.3.8.5 1 1 .4.5.5.5.6.2zm-64.2 4.2a5.9 5.9 0 003-2.4c1-1.4 1.5-2 2.8-2.8.7-.4 1.4-.8 3.1-1.5a11 11 0 005.3-3.6c.8-1 1.5-1.4 2.8-2.1l.7-.5s0-.2-.2-.3c-.2-.3-.2-.3-1.2.2-1.1.7-1.6 1-2.6 2.2-1.8 2-2.6 2.5-4.7 3.2l-.8.2.8-.4c1.1-.5 2-1 2.5-1.4l1.7-1.8a18.9 18.9 0 013.4-3.4l-.5-.6c-.2 0-1.7 1.5-2.8 2.7a13 13 0 01-4.8 4l-1.6.7a10 10 0 00-3.1 2c-.4.5-1.2 1.5-1.1 1.6l-.4.4c-.4.7-1.3 1.8-1.8 2.1a4 4 0 01-2 1c-.4 0-.5.2-.5.3l.3.3c.3.1 1.1 0 1.7-.1zm33-8.3l.9-.2a17.6 17.6 0 005.7-2.7l.2-.3.7-.5c0-.1 0-.1 0 0a15 15 0 004.8-7.6 15.5 15.5 0 00-11-19 16.8 16.8 0 00-11.6 1s0 .1-.1 0a11.8 11.8 0 00-2.8 1.8c-.8.6-1.2 1-2 2a12.7 12.7 0 00-2.2 2.9 15.4 15.4 0 007.7 21.7c3 1.2 6.6 1.6 9.6 1zm-4.8-3.2c0-.8.6-1.6 1.3-2l.3-.2H300c-.6 0-1.1-.3-1.7-1-.4-.3-.7-.5-1.4-.6h-.4c-.2-.1-.2-.1 0-.3l1-.8c.7-.9 1-1 1.8-1.1h.9l.4.2.5-.2c.6-.3 1.3-.3 1.8-.1.2 0 .6.4 1 .7l1 .7.3.2h-.2l-.3.1-.5.2-.7.5c-.7.9-1 1.2-1.6 1.3-.3 0-.6.2-.4.2l1.2.5.2.1.3.5.3.8v.3l-.2-.4c-.4-.8-1-1.3-2-1.4-.4 0-1 0-1.5.4-.4.2-1 .9-1.1 1.3l-.1.4v-.3zm3.2-3l.6-.2c.5-.5 1-1 1.3-1l.4-.2.5-.1h.3l-.3-.2c-.1 0-.2-.1-.2 0l-.3-.4c-.4-.3-1.2-.6-1.8-.7l-1 .2-.6.3-.7-.2c-.6-.2-.7-.2-1 0-.6 0-1.2.4-1.7 1a4 4 0 01-.6.5h.5-.2a136.7 136.7 0 002.7-.5 3 3 0 001.7 0c.5-.3 1-.3 2-.2 1.2 0 1.2.1.2.2-.7 0-1 0-1.6.3-1 .3-1.5.3-2.4.2-1-.2-2.2-.2-2.2 0l.3.1c.3 0 .7.3 1.3.7.5.3.6.4 1.3.5.5 0 .9 0 1.5-.2zm-4.5-4.3c-.8-.3-1.1-1.3-.7-1.8.2-.3.6-.5.8-.5.2 0 .2 0 0 .2-.3.1-.5.5-.5.7 0 .2.3.5.5.6.5.2 1 0 1.2-.5v-.3l.2.3c.1.2.6.6 1 .7.4.2 1.1 0 1.5-.1.4-.2.9-.8.8-1l.2.2c.2.4.7.6 1.2.3.2 0 .3-.2.4-.4.1-.4 0-.8-.6-1h-.2l.2-.1c.3 0 .6.1.8.3.4.4.5 1 .1 1.5s-1 .7-1.5.5a5 5 0 00-.4 0v-.2h-.4c-.9.5-1.9.6-2.7.3l-.7.1c-.5.3-.8.3-1.2.2zm1.1-2.2a.8.8 0 00-.3-.1l.2-.4c.3-.4.7-1.4.9-2.2v-1.5c0-.9 0-1-.3-1.5-.5-1.3-.8-1.6-1.9-2-1-.5-2-.6-3-.5a9 9 0 00-4.5 2.1c-.7.6-.7.6-.4.2.4-.7 1.3-1.6 2.2-2.1 1-.6 1.7-.8 2.8-1a7 7 0 014.2 1.1c.4.3.5.3.7.8a9 9 0 01-.3 7.2l-.3-.1zm3.3-.8a11 11 0 01-1-2.5c-.1-.9-.2-2.5 0-3.3.1-1 .2-1.1.7-1.5a8 8 0 013-1.5c.7-.1 2-.2 2.6 0 1.1.2 2.5 1 3.3 1.7l.4.3s0 .2.2.3l.1.2-.1-.1-.7-.4-.6-.3-1.7-.7c-1-.4-1.5-.4-2.6-.4-.8 0-1 .1-1.5.3-1 .4-2.1 1-2.4 1.6a5.7 5.7 0 001 6.3l.2.3-.3.2-.2.2-.4-.7zm-8.4-1.7c-1 0-2-.5-2.6-1l.7.2c1.6.5 3 .6 4.1.2l1.2-.7c.8-.5 1-.6 1.1-.5l-.2.3c-.5.7-1.4 1.2-2.2 1.4a7 7 0 01-2.1.1zm11.3-.8c-.7-.2-.9-.2-1.3-.5-.6-.3-1-.7-1-.8 0-.2.3-.1 1.1.3 1.2.5 1.7.7 2.7.6a7 7 0 002.7-.8l.7-.3a6 6 0 01-4.9 1.5zm-11.4 0c-.8-.1-1.7-.4-2.2-.6l-.3-.3a5 5 0 013.4-1.7c1 0 1.8.3 2.7 1l.4.3-.1.2c-.6.7-2.5 1.2-4 1zm2.3-.5c.5-.2 1-.5 1-.8l-.3-.3c-.3-.3-1-.6-1.3-.7v.3c.6.4.5 1.1 0 1.6-.2.3-.2.3.6 0zm-2.4 0c-.4-.4-.4-1 0-1.5.2-.3.2-.3 0-.2-.6.2-1.5 1-1.4 1.1 0 .2 0 .2.7.5.8.4.9.4.7.1zm11.8-.4c-.8 0-1.5-.3-1.9-.6l-.1-.2.4-.4a4 4 0 012.5-1.3c.8-.1 1.4 0 2.2.3a5 5 0 011.4.9c0 .1-.7.6-1.2.8-1 .4-2.3.6-3.3.5zm.3-.3c-.5-.4-.6-1-.2-1.5.2-.3.2-.3 0-.3l-1.2.8c-.3.4-.3.5.2.8l1.5.5-.3-.3zm2.4-.4c.7-.4.9-.5.8-.7-.1-.2-1-.7-1.6-.9-.2 0-.2 0 0 .3.5.4.6 1 .3 1.4-.2.3 0 .3.5 0zm-17.9.8c-.1-.2.8-1.3 1.5-1.7a5 5 0 012.2-.8c1.3-.2 1.9 0 3 .7.9.5 1 .6 1.5.6.2 0 .3 0 .3.2l-.1.3h-.5a6 6 0 01-1-.6c-1.2-.9-2-1-3.3-.8-1.3.2-2.2.7-2.8 1.6-.4.4-.7.6-.8.5zm20.5-1.4l-.7-.5c-.6-.6-1-.9-1.8-1a4 4 0 00-1.7-.1c-1 0-1 0-1.5.3l-1.2 1c-.8.7-1 .9-1.3.7l-.2-.2c0-.2 0-.2.4-.3.3 0 .6-.2 1.3-.9 1-.7 1.5-1 2.5-1 1.4-.1 2.7.3 3.7 1.1.7.5.9 1 .5.9zm-42 19a12637.8 12637.8 0 0117.7-7.9l.2-.1-.1-.3-.2-.3a391.3 391.3 0 00-10.1 4.4 234.4 234.4 0 019.6-5.2v-.3l-.3-.3a433.6 433.6 0 00-14.6 7.7 5278.5 5278.5 0 01-6.2 3.5v.2c0 .1.2.2.5.1l3.5-1.5zm70-3.7c.3-.3 0-.5-2.1-1.3a4778.3 4778.3 0 00-20-7.1l-.2.3-.1.3 3 1 7.3 2.8a312.7 312.7 0 01-10.6-3l-.1.4v.3a13562 13562 0 0122.2 6.4l.7-.1zm-73.4-1.8c.6 0 1.5-.5 2.5-1.1a8 8 0 012.9-1.2c1-.3 2.3-.4 4-.4 1.3 0 2.8 0 3.4-.3.7-.1 1.6-.5 2.9-1 1.2-.7 1.7-.8 3-1a11 11 0 001.3-.1v-.4l-.2-.4-1 .1c-1.3.2-2 .4-3.5 1.1l-2 .9c-.9.3-2 .4-3.2.3-1.4 0-1.4-.1.2-.2 2.1-.2 2.4-.3 4.8-1.5 1.4-.7 2.4-1.1 3.7-1.5l.7-.2v-.3l-.3-.5c-.4 0-2 .7-3.3 1.4-1.2.6-2.1 1-3.4 1.4l-.9.3-2.8.2c-2.7.2-2.9.3-3.5.4a9 9 0 00-3.3 1.8c-1.9 1.3-3.6 1.8-4.8 1.4-.6-.1-.8 0-.5.3.2.4 1 .6 1.8.7l1.5-.2zm75.1-5.4c.2-.5-.9-1.3-2.1-1.7-1.1-.3-2-.3-3.8 0-1 .2-1.1.2-1.9.1-1.6-.1-2.4-.3-4.8-1.2l-2-.8c-1-.3-2-.4-4.4-.3a7 7 0 01-2.3-.2c-.5 0-1.1-.2-1.4-.3l-.6-.2v.4.5l2.3.5h4.5a9.8 9.8 0 014.2 1.5l-.6-.2a18 18 0 00-2.4-.8H321a31.7 31.7 0 01-4.6 0h-.2v.4c0 .2-.1.4 0 .4h3.7c4.3-.2 4.5-.2 7.7 1 .6.2 1.4.5 1.8.5 1.4.4 2.8.4 4.3 0 .7-.2 1.1-.3 2.2-.3h1.8c.7.1 1 .3 1.6.6l.4.3.1-.2zm-56-3.2v-.4l-5.7.1a318.5 318.5 0 01-5.6.2l11.2-1.2v-.7h-.6a183333.4 183333.4 0 01-23 2.5c-.4.2-.3.5.2.6l8.1-.2 15.4-.6v-.3zm45.2-3.3l11.1-1.2c.3-.2.3-.5 0-.6l-6.8.2-16.4.6h-.6v.3l.1.4 4.2-.1a1471.9 1471.9 0 007-.2l-9.5 1-1.7.2v.7h.8l11.8-1.3zm-45.2.1v-.3l-.6-.1a9.2 9.2 0 00-3.9-.4 10.4 10.4 0 01-5-.7l-1.4-.7 1.1.4c.8.3 1.9.5 2.5.6l2.6-.1a22 22 0 014.7 0c.2 0 .2 0 .3-.4v-.5h-3.8c-4 .3-4.6.2-6.8-.6-2.5-.9-3.2-1-4.6-1.1-.8 0-.9 0-2.3.3-1.6.3-2.7.4-3.5.4a4.9 4.9 0 01-2.3-.9h-.2c-.1-.1-.1-.1-.2 0 0 .3.1.6.6 1s1 .6 1.8.9c1 .2 1.6.2 2.7 0 1.8-.3 1.9-.3 2.7-.2 1.6 0 2.5.3 4.5 1.1a12 12 0 006.8 1.2c1.6 0 2 0 3.6.5.7.2.7.2.7-.4zm33.6-2a21.2 21.2 0 003.1-1.5c1-.5 2.8-1.2 3.6-1.3l2.6-.3c2.3 0 2.9-.2 4-.5.8-.3 1.4-.6 2.7-1.5 1.5-1 2.6-1.5 3.8-1.6h1.2c.3.2.4.2.5 0v-.3c-.4-.4-1.4-.6-2.6-.6-1.2.1-1.9.4-3.4 1.3-1 .6-1.4.8-2.4 1.1-1 .3-2.1.4-3.2.4l-2.4.1c-1.8 0-2.3.2-3.8.8-1.2.5-2.5 1-2.7 1.2l-1.5.2-1.2.1-.2.1v.4l.2.4h.4l2.5-.5 1.7-.8 1.9-.8c1.1-.4 2.5-.5 4.1-.3l-1 .2c-2.2.1-2.5.2-5 1.5-1.4.8-2.6 1.2-4.1 1.6-.2 0-.2.1-.1.4v.4c.1.1.3.1 1.3-.3zm-33-1l.1-.4a16.7 16.7 0 00-1.6-.5 579.5 579.5 0 00-8.7-3.3c.4 0 10.5 3 10.6 3l.1-.4.1-.3h-.2l-14.3-4.2c-8.9-2.5-8.2-2.3-8.4-2-.4.3 0 .4 4.2 2l18 6.4.1-.3zm40-6.7a21651.5 21651.5 0 0111.4-6c.5-.4.4-.8-.1-.7a404.3 404.3 0 00-20.5 9l-1 .5s.1 0 0 0c0 .2.2.5.3.5l9.7-4.1-4 2.2-5 2.6-.3.2.2.3.1.3 1-.5 8.1-4.3zm-38.8 3.9l.1-.3-1.2-1c-.8-.6-1.4-.8-2.7-1.2-2.4-.8-3.3-1.4-4.5-2.7-1-1.1-1-1.1.1-.2a9.1 9.1 0 004.5 2.3 18.6 18.6 0 014.4 1.8l.2-.4c.2-.3.2-.3.1-.4-.3-.2-2.3-1-3.4-1.3-1.2-.3-3.3-1.2-4-1.6l-1.8-1.4a16.6 16.6 0 00-3.2-2.5 8 8 0 00-3-1c-2-.3-3-.6-3.9-1.2-.5-.3-.8-.6-1-1.1-.4-.5-.4-.5-.6-.3-.4.6.7 2.1 2 2.9a7 7 0 002.5.8c1.9.4 3 1 4.9 2.6a21.8 21.8 0 011.8 1.7c1.3 1.2 2.1 1.7 4.4 2.5l1.7.7c.4.2 1.2.7 1.8 1.3l.6.3s0-.2.2-.3zm28.4-1.7v-.2c.2 0 1.3-1 2.4-2.3l2.6-2.6c.8-.7 1.5-1 3.7-2 2.3-1 3.4-2 4.5-3.7 1.5-2.4 3-3.6 4.3-3.7.6 0 .6-.2.2-.5-.5-.2-1.8 0-2.8.6a6 6 0 00-2 1.8 9 9 0 01-1.6 2c-1.2 1-2.1 1.5-3.8 2.2a11.6 11.6 0 00-5.6 3.7l-1.1 1a15.8 15.8 0 01-2.6 1.7l.4.6c.2 0 1.8-1 2.2-1.3l1.5-1.5a9.3 9.3 0 015.4-3.4l-.8.5c-1.1.5-2 1-2.5 1.4l-1.7 1.9a19.9 19.9 0 01-3.4 3.3l.6.6v-.1zm-26.7-1l.2-.3-.1-.2a688.7 688.7 0 00-8-7.3l3.3 2.5c4.6 3.6 5.4 4.3 5.5 4.2l.2-.2.2-.2-1-.8a2102.6 2102.6 0 01-17-13.4c-.6-.4-1-.2-.7.3L271 98a9794.3 9794.3 0 0116 14.3l.2-.2zm27.5-5.2a2474.8 2474.8 0 0111.8-14.4c0-.2-.2-.3-.4-.3a46.5 46.5 0 00-4.8 4.9l-8.2 8.5-3.3 3.5.3.2.3.2 1.5-1.5a169 169 0 016-6.2 504.8 504.8 0 01-6.4 7.9l-.4.5.2.1.3.2 3-3.6zm-25.4 3l.3-.2v-.3c-.4-.6-1-1.6-1.5-2a12 12 0 00-1.2-1.3 8.4 8.4 0 01-3.2-4.3c-.4-1-.4-1.2 0-.5l.8 1.6c.6 1 1.1 1.6 2.1 2.4a21.3 21.3 0 014 3.7l.6-.5c0-.2-1-1-2.5-2.4-2-1.8-3.1-2.8-3.7-3.7l-1-2-1-2c-.3-.6-1-1.4-1.5-1.9-.4-.4-1.5-1-1.6-1l-.4-.3a9 9 0 01-2.5-2.2c-.4-.6-.6-1-.7-1.5l-.1-.6c-.1 0-.4.1-.5.3-.1.4 0 1.2.3 2a6 6 0 002.4 2.7c1 .7 1.7 1.2 2.2 2 1 1 1.1 1.4 2 3.6 1.2 2.7 1.5 3.2 3.7 5 1.1 1.1 1.4 1.5 2.2 2.7l.5 1 .3-.3zm20.2-1.5c.4-.6.9-2 1.2-3 .6-1.9 1.4-3.5 2-4.5l1.1-1.2.7-.8c.1 0 1.6-1.6 2-2.4.5-1 .7-1.5 1-3 .3-1.7.5-2.5 1-3.4L320 89c.2 0 .4-.2.5-.3v-.2h-.5c-.7 0-1.7.7-2.4 1.7-.5.7-.7 1.3-1 2.5l-.4 1.5a11.2 11.2 0 01-2.2 3.3l-1.4 1.4c-1.8 1.7-2 2.2-3.2 5a8.2 8.2 0 01-1.7 3l-.6.7.3.2.4.2 1.4-1.7 1-2.4c.6-1.6.9-2.2 1.5-3a12 12 0 012-1.8l.3-.3-.5.6a9.8 9.8 0 00-3 5c-.4 1.6-.8 2.5-1.6 4l-.1.1.3.2.4.2.2-.3zm-17.5-.4c.3-.1.3-.2.3-.3a804.7 804.7 0 00-3.8-8.6l4.7 8.3.6-.4-1.3-2.3a20301.9 20301.9 0 01-9.8-17.6c-.3-.4-.8-.3-.7.1a739.6 739.6 0 009.7 21l.3-.2zm17.7-11.8l3.3-11c0-.3 0-.5-.3-.5a305.5 305.5 0 00-5.7 14 24320.6 24320.6 0 01-3 7.7l.8.2a705.2 705.2 0 003.9-9.8l-1.6 5.4a1589.4 1589.4 0 01-1.4 4.4c-.1.2 0 .3.2.4l.4.1 3.4-10.9zm-6.2 10v-.2-.6-2.4c-.2-3-.1-4.6.3-5.9l.6-1.8c1.1-2.7 1.2-4 .7-6.2a11 11 0 01-.4-2.1c0-1.5.1-2.4.7-3.2l.3-.5c0-.2-.5-.2-.5 0h-.1c-.2-.1-1 1-1.3 1.8-.4 1-.4 1.9-.1 3.5.3 1.4.3 2 0 3.4-.2 1-.4 1.6-1 3.2a10.6 10.6 0 00-1.3 6.2c0 1.8 0 2.1-.4 3.6l-.2.9h.8l.5-2v-2.3c0-2.5 0-3.2.6-4.6l1-1.7-.3.7c-.4 1-.7 2-.8 2.7v2.8l.2 3.2c-.2 1.6-.2 1.4.2 1.5h.5zm-8.4.5v-.9c-.2-1.6-.3-2-1.4-4.1-.7-1.4-.8-2-1-3.2 0-.8 0-1.6.2-2.5l.1 1.4.3 2c.1.6.5 1.4 1.3 2.9.7 1.3 1 1.8 1.4 3.1.3 1 .2 1 .8.8.3 0 .3 0 0-.8-.2-.8-.6-1.5-1.1-2.6-.6-1-1-1.9-1.4-2.9a10 10 0 01-.6-4c-.1-1.8-.2-2.7-.5-3.7a8 8 0 00-1.5-2.5c-.7-1-1-1.4-1.2-2-.5-1.2-.7-2.2-.5-3 .2-.5.1-.6 0-.6-.6 0-1 1.2-1 2.5.2 1 .4 1.8 1 2.8 1.2 1.7 1.3 2 1.7 3.5.2.7.3 2.2.3 3.5 0 1.3 0 2.8.2 3.5l1 2.6c.4.6.7 1.3.7 1.5.2.5.4 1.6.4 2.3v.5h.4l.4-.1zm3.3-.8l-.2-10.3v-.5.5a1099.9 1099.9 0 001.1 10v.3h.8v-.7a815.7 815.7 0 00-2.5-22.3c-.2-.2-.4-.3-.5 0a271 271 0 00.7 23h.6z", style: { fill: "#843511" } }))));
const aru = (React.createElement("g", { transform: "rotate(-3) translate(0,130)" },
    React.createElement("rect", { fill: "#000000", x: "0", y: "0", width: "100%", height: "50%" }),
    React.createElement("path", { d: "M 465,-100 L 350,0 L 455,100 Z", fill: "orange" })));
const aus = (React.createElement("g", { transform: "rotate(-4) translate(370, 20)" },
    React.createElement("path", { d: "M 0,0 l 0,250", style: { strokeWidth: 20, stroke: "#004000" } }),
    React.createElement("path", { d: "M 20,0 l 0,250", style: { strokeWidth: 20, stroke: "#ffff00" } }),
    React.createElement("path", { d: "M 40,0 l 0,250", style: { strokeWidth: 20, stroke: "#004000" } })));
const aut = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { width: "100%", height: "33.33%", y: "33.33%", style: { fill: "#f9f9f9" } })));
const avn = (React.createElement("path", { d: "M 412,0 l 16,250", style: { strokeWidth: 75, stroke: "#FEE41B" } }));
const bal = (React.createElement("path", { style: { fill: "#d40000", stroke: "none", strokeWidth: 1 }, d: "M 109.76752,42.435275 76.110919,192.11109 428.81461,203.01844 z" }));
const bau = (React.createElement("g", { transform: "rotate(-4) translate(375, 70)" },
    React.createElement("path", { d: "M 0,0 l 0,30 l 60,0 l 0,-30 z", fill: "#FFFF00" }),
    React.createElement("path", { d: "M 0,55 l 0,30 l 60,0 l 0,-30 z", fill: "#FFFF00" }),
    React.createElement("path", { d: "M 0,110 l 0,30 l 60,0 l 0,-30 z", fill: "#FFFF00" })));
const bbl = (React.createElement("g", { transform: "rotate(-4) translate(431, 20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#ffffff", strokeWidth: 32, fill: "none" } })));
const bed = (React.createElement("g", { transform: "matrix(0.99756405,-0.06975647,0.06975647,0.99756405,400.42075,-7.9513085)" },
    React.createElement("path", { d: "M 5,0 5,300", style: { fill: "none", stroke: "#000063", strokeWidth: 20 } }),
    React.createElement("path", { d: "m -15,0 0,300", style: { fill: "none", stroke: "#ffffff", strokeWidth: 20 } }),
    React.createElement("path", { d: "m -55,0 0,300", style: { fill: "none", stroke: "#ffffff", strokeWidth: 20 } }),
    React.createElement("path", { d: "m -75,0 0,300", style: { fill: "none", stroke: "#000063", strokeWidth: 20 } })));
const bel = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "33%", y: "0%", width: "34%", height: "100%", style: { fill: "#003399" } })),
    React.createElement("g", { clipRule: "nonzero", clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { fill: "#ffda0c", x: "0", y: "0", width: "100%", height: "100%" })),
    React.createElement("g", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)" },
        React.createElement("rect", { x: "67%", y: "0%", width: "34%", height: "100%", style: { fill: "red" } }))));
const ber = (React.createElement("g", { transform: "rotate(-4) translate(290, 143)" },
    React.createElement("path", { d: "M 100,-100 L 0,0 L 100,100", stroke: "white", strokeWidth: "20", fill: "none" }),
    React.createElement("path", { d: "M 150,-100 L 50,0 L 150,100", stroke: "white", strokeWidth: "20", fill: "none" })));
const bms = (React.createElement("g", { transform: "rotate(-4) translate(410, 20)" },
    React.createElement("path", { d: "M 5,00 l 0,300", style: { stroke: "#EC0112", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300", style: { stroke: "#EC0112", strokeWidth: 20, fill: "none" } })));
const bou = (React.createElement("g", null,
    React.createElement("g", { transform: "rotate(1) translate(320, 20)" },
        React.createElement("path", { d: "M 0,0 l 0,250", style: { strokeWidth: 35, stroke: "#990032" } })),
    React.createElement("g", { transform: "rotate(1) translate(379, 10)" },
        React.createElement("path", { d: "M 20,0 l 0,250", style: { strokeWidth: 130, stroke: "#010066" } }))));
const bra = (React.createElement("g", { transform: "rotate(-2) translate(260, 15) scale(0.085)" },
    React.createElement("path", { fill: "#1B1D56", d: "M 1224,2062 C 1222,2062 1221,2062 1220,2062 C 1220,2062 1220,2062 1219,2062 C 1218,2062 1217,2062 1216,2062 C 1216,2062 1215,2062 1215,2062 C 1214,2062 1213,2062 1212,2062 C 1125,2062 1039,2062 952,2062 C 1106,1915 1135,1641 1140,1402 L 1139.1403,1354.8831 L 1084,1356 C 834,1357 591,1379 444,1496 C 444,1429 444,1356 444,1288 C 444,1287 444,1286 444,1285 C 444,1218 444,1144 444,1077 C 591,1194 834,1217 1084,1218 L 1140.4181,1218.5702 L 1140,1170 C 1135,930 1107,654 952,505 C 1039,505 1125,505 1212,505 C 1213,505 1214,505 1215,505 C 1215,505 1216,505 1216,505 C 1217,505 1218,505 1219,505 C 1220,505 1220,505 1220,505 C 1221,505 1222,505 1224,505 C 1310,505 1396,505 1483,505 C 1328,654 1300,930 1295,1170 L 1293.773,1217.0018 L 1354,1218 C 1605,1217 1852,1195 2000,1077 C 2000,1144 2000,1218 2000,1285 C 2000,1286 2000,1287 2000,1288 C 2000,1356 2000,1429 2000,1496 C 1852,1378 1605,1357 1354,1356 L 1293.8154,1355.2033 L 1295,1402 C 1300,1641 1329,1915 1483,2062 C 1396,2062 1310,2062 1224,2062 z " })));
const brd = (React.createElement("g", { transform: "rotate(-4) translate(370, 90)" },
    React.createElement("path", { d: "M 0,0 l 0,-33 l 55,33 l 0,33 z", fill: "white" }),
    React.createElement("path", { d: "M 0,53 l 0,-33 l 55,33 l 0,33 z", fill: "white" }),
    React.createElement("path", { d: "M 0,104 l 0,-33 l 55,33 l 0,33 z", fill: "white" })));
const bul = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "33%", y: "0%", width: "34%", height: "100%" })),
    React.createElement("g", { clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { x: "0", y: "0", width: "100%", height: "100%", style: { fill: "#00966e" } })),
    React.createElement("g", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)" },
        React.createElement("rect", { x: "67%", y: "0%", width: "34%", height: "100%", style: { fill: "white" } }))));
const cab = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#cccccc", strokeWidth: 30, fill: "none" } })));
const cai = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#95E3C9", strokeWidth: 30, fill: "none" } })));
const cam = (React.createElement("g", { transform: "rotate(-4) translate(400, 20)" },
    React.createElement("path", { d: "M 10,00 l 0,300 ", style: { stroke: "#daaa00", strokeWidth: 17, fill: "none" } }),
    React.createElement("path", { d: "M -12.5,00 l 0,300 ", style: { stroke: "#7e2d40", strokeWidth: 28, fill: "none" } }),
    React.createElement("path", { d: "M -35,00 l 0,300 ", style: { stroke: "#daaa00", strokeWidth: 17, fill: "none" } })));
const can = (React.createElement(React.Fragment, null,
    React.createElement("defs", null,
        React.createElement("clipPath", { id: "vert50stripe" },
            React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "25%", y: "0%", width: "50%", height: "100%" }))),
    React.createElement("g", { clipPath: "url(#vert50stripe)" },
        React.createElement("rect", { x: "0", y: "0", width: "100%", height: "100%", style: { fill: "#f2f2f2" } })),
    React.createElement("path", { transform: "rotate(-4) translate(130, 50) scale(0.05)", d: "M 3199.9526,290 L 2990.3615,698.71 C 2966.579,743.13 2923.9678,739.01 2881.3566,714.2 L 2729.6183,632.05 L 2842.7112,1259.82 C 2866.4938,1374.51 2790.1887,1374.51 2752.5317,1324.92 L 2487.7189,1014.97 L 2444.727,1172.37 C 2439.7693,1193.04 2417.971,1214.75 2385.2685,1209.58 L 2050.4097,1135.97 L 2138.3625,1470.29 C 2157.1909,1544.68 2171.8774,1575.48 2119.3545,1595.1 L 2000,1653.75 L 2576.4379,2143.29 C 2599.2536,2161.8 2610.7811,2195.11 2602.6585,2225.27 L 2552.2079,2398.37 C 2750.684,2374.45 2928.6267,2353.04 3127.0983,2329.15 C 3144.7336,2328.92 3173.9762,2344.59 3173.8558,2365.83 L 3147.5581,3000 L 3244.0581,3000 L 3228.8679,2367.19 C 3228.7474,2345.95 3255.2663,2328.92 3272.9016,2329.15 C 3471.3732,2353.04 3649.3161,2374.45 3847.7922,2398.37 L 3797.3417,2225.27 C 3789.2191,2195.11 3800.7465,2161.8 3823.5622,2143.29 L 4400,1653.75 L 4280.6456,1595.1 C 4228.1226,1575.48 4242.8092,1544.68 4261.6375,1470.29 L 4349.5905,1135.97 L 4014.7315,1209.58 C 3982.029,1214.75 3960.2307,1193.04 3955.2729,1172.37 L 3912.281,1014.97 L 3647.4683,1324.92 C 3609.8112,1374.51 3533.5061,1374.51 3557.2887,1259.82 L 3670.3814,632.05 L 3518.6434,714.2 C 3476.0311,739.01 3433.421,743.13 3409.6384,698.71", style: { fill: "#ff0000" } })));
const cbs = (React.createElement("g", { transform: "rotate(-3) translate(-20, 130)" },
    React.createElement("path", { d: "M 480,-120 L 350,0 L 480,120 Z", fill: "#ffffff" })));
const cfu = (React.createElement("g", null,
    React.createElement("path", { d: "M 421,0 l 15,250", style: { strokeWidth: 20, stroke: "#dd0000" } }),
    React.createElement("path", { d: "M 440,0 l 15,250", style: { strokeWidth: 20, stroke: "#ffffff" } })));
const cls = (React.createElement("g", { transform: "rotate(-4) translate(280, 20)" },
    React.createElement("path", { d: "M 85,00 l 200,300 ", style: { stroke: "#E60707", strokeWidth: 120, fill: "none" } }),
    React.createElement("path", { d: "M 0,00 l 200,300 ", style: { stroke: "white", strokeWidth: 35, fill: "none" } })));
const cnn = (React.createElement("g", { transform: "rotate(-4) translate(431, 20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#fffd38", strokeWidth: 32, fill: "none" } })));
const cco = (React.createElement("g", { transform: "rotate(-4) translate(410, 85)" },
    React.createElement("path", { d: "M 0,0 l 0,30 l 25,-30 l 0,-30 z", fill: "white" }),
    React.createElement("path", { d: "M 0,55 l 0,30 l 25,-30 l 0,-30 z", fill: "white" }),
    React.createElement("path", { d: "M 0,110 l 0,30 l 25,-30 l 0,-30 z", fill: "white" })));
const clh = (React.createElement("g", { transform: "rotate(-4) translate(400, 20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "#d40000", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "#000000", strokeWidth: 20, fill: "none" } })));
const cor = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#FFFFFF", strokeWidth: 30, fill: "none" } })));
const coo = (React.createElement("g", { transform: "rotate(-4) translate(400, 20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "#800020", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "#800020", strokeWidth: 20, fill: "none" } })));
const cox = (React.createElement("g", null,
    React.createElement("g", { transform: "rotate(-4) translate(170)" },
        React.createElement("path", { d: "M 95,-5 l 390,300 ", style: { stroke: "#CC0000", strokeWidth: 160, fill: "none" } })),
    React.createElement("g", { transform: "rotate(-60) scale(1) translate(50, 100)" },
        React.createElement("rect", { x: "0", y: "0", width: "35", height: "400", style: { fill: "#f9f9f9" } }))));
const crc = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M -218,300 l 300,-320 ", style: { stroke: "rgb(76, 165, 224)", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -245.4146402,300 l 300,-320 ", style: { stroke: "rgb(46, 49, 146)", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -272.8292805,300 l 300,-320 ", style: { stroke: "rgb(249, 222, 6)", strokeWidth: 20, fill: "none" } })));
const cro = (React.createElement("g", { transform: "rotate(-4) translate(390,52)" },
    React.createElement("rect", { style: { fill: "red" }, x: "0", y: "0", width: "60", height: "60" }),
    React.createElement("rect", { style: { fill: "red" }, x: "0", y: "120", width: "60", height: "60" }),
    React.createElement("rect", { style: { fill: "red" }, x: "-60", y: "60", width: "60", height: "60" }),
    React.createElement("rect", { style: { fill: "red" }, x: "-120", y: "0", width: "60", height: "60" })));
const daw = (React.createElement("g", null,
    React.createElement("path", { d: "m 337.53904,53.926029 18.1628,0.199425 -0.12489,171.551716 -18.05434,-1.84468 z", style: {
            fill: "#ffff00",
            stroke: "#ffff00",
            strokeWidth: 0.8894608,
        }, transform: "matrix(0.99725744,-0.07401084,0.06574439,0.9978365,0,0)" }),
    React.createElement("path", { d: "m 398.76443,48.783955 17.90459,0 -0.0784,176.637665 -17.82622,-1.24753 z", style: {
            fill: "#ff0000",
            stroke: "#ff0000",
            strokeWidth: 0.8975876,
        }, transform: "matrix(0.9981883,-0.0601674,0.0627044,0.99803214,0,0)" }),
    React.createElement("path", { d: "m 367.78846,48.36276 18.00852,-0.199632 -0.11215,174.167182 -17.90915,-1.34752 z", style: {
            fill: "#00ffff",
            stroke: "#00ffff",
            strokeWidth: 0.8922177,
        }, transform: "matrix(0.99831419,-0.05804124,0.06411709,0.99794238,0,0)" })));
const den = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { width: "100%", height: "25%", y: "37.5%", style: { fill: "#dd0000" } })));
const dur = (React.createElement("g", { transform: "rotate(11) translate(440,-80)" },
    React.createElement("path", { d: "M -60,00 l 80,300 ", style: { stroke: "#C8AC59", strokeWidth: 45, fill: "none" } })));
const dus = (React.createElement("g", { transform: "translate(264,20) scale(0.070)" },
    React.createElement("path", { style: { fill: "#15392D" }, d: "M1224 2062c-2,0 -3,0 -4,0 0,0 0,0 -1,0 -1,0 -2,0 -3,0 0,0 -1,0 -1,0 -1,0 -2,0 -3,0 -87,0 -173,0 -260,0 154,-147 183,-421 188,-660l-41 0c-8,0 -15,-5 -15,-12l0 -34c-250,1 -493,23 -640,140 0,-67 0,-140 0,-208 0,-1 0,-2 0,-3 0,-67 0,-141 0,-208 147,117 390,140 640,141l0 -36c0,-7 7,-12 15,-12l41 0c-5,-240 -33,-516 -188,-665 87,0 173,0 260,0 1,0 2,0 3,0 0,0 1,0 1,0 1,0 2,0 3,0 1,0 1,0 1,0 1,0 2,0 4,0 86,0 172,0 259,0 -155,149 -183,425 -188,665l43 0c9,0 16,5 16,12l0 36c251,-1 498,-23 646,-141 0,67 0,141 0,208 0,1 0,2 0,3 0,68 0,141 0,208 -148,-118 -395,-139 -646,-140l0 34c0,7 -7,12 -16,12l-43 0c5,239 34,513 188,660 -87,0 -173,0 -259,0z" }),
    React.createElement("path", { style: { fill: "#15392D" }, d: "M2259 461l351 -193 30 388 -351 193 -30 -388z" }),
    React.createElement("path", { style: { fill: "#15392D" }, d: "M2319 1237l351 -193 30 388 -351 193 -30 -388z" }),
    React.createElement("path", { style: { fill: "#15392D" }, d: "M2379 2013l351 -193 30 388 -351 193 -30 -388z" })));
const emm = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M -50,00 l 80,300 ", style: { stroke: "#FF7777", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -85,00 l 80,300 ", style: { stroke: "#FF7777", strokeWidth: 20, fill: "none" } })));
const ed = (React.createElement("g", { transform: "rotate(-4) translate(400, 20)" },
    React.createElement("path", { d: "M 19,00 l 0,300 ", style: { stroke: "white", strokeWidth: 18, fill: "none" } }),
    React.createElement("path", { d: "M -17,00 l 0,300 ", style: { stroke: "#0097ff", strokeWidth: 18, fill: "none" } })));
const esp = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "33.333%", y: "0%", width: "33.333%", height: "100%" })),
    React.createElement("g", { clipRule: "nonzero", clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { fill: "#fbea0e", x: "0", y: "0", width: "100%", height: "100%" }))));
const est = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { style: { fill: "black" }, width: "100%", height: "33.33%", y: "33.33%" }),
    React.createElement("rect", { style: { fill: "white" }, width: "100%", height: "33.33%", y: "66.66%" })));
const fra = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "33.333%", y: "0%", width: "33.333%", height: "100%" })),
    React.createElement("g", { clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { style: { fill: "#f2f2f2" }, x: "0", y: "0", width: "100%", height: "100%" })),
    React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60) ", x: "66.666%", y: "0%", width: "33.333%", height: "100%", style: { fill: "#ef2b2d" } })));
const gbr = (React.createElement("g", { transform: "rotate(-4) translate(435,20)" },
    React.createElement("path", { d: "M -100,100 l 0,50", style: { strokeWidth: 100, stroke: "#000050" } }),
    React.createElement("path", { d: "M 0,0 l 0,250", style: { strokeWidth: 30, stroke: "#B00000" } }),
    React.createElement("path", { d: "M -150,100 l 100,50", style: { strokeWidth: 8, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -150,150 l 100,-50", style: { strokeWidth: 8, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -150,100 l 100,50", style: { strokeWidth: 3, stroke: "#B00000" } }),
    React.createElement("path", { d: "M -150,150 l 100,-50", style: { strokeWidth: 3, stroke: "#B00000" } }),
    React.createElement("path", { d: "M -100,100 l 00,50", style: { strokeWidth: 14, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -150,125 l 100,00", style: { strokeWidth: 14, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -100,100 l 00,50", style: { strokeWidth: 8, stroke: "#B00000" } }),
    React.createElement("path", { d: "M -150,125 l 100,00", style: { strokeWidth: 8, stroke: "#B00000" } }),
    React.createElement("path", { d: "M -100,150 l 0,10", style: { strokeWidth: 120, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -100,90 l 00,10", style: { strokeWidth: 120, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -155,90 l 00,70", style: { strokeWidth: 10, stroke: "#f0f0f0" } }),
    React.createElement("path", { d: "M -45,90 l 00,70", style: { strokeWidth: 10, stroke: "#f0f0f0" } })));
const gir = (React.createElement("g", null,
    React.createElement("path", { d: "m 398.76443,48.783955 17.90459,0 -0.0797,176.659105 -17.77288,-1.07283 z", style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0.8975876,
        }, transform: "matrix(0.9981883,-0.0601674,0.0627044,0.99803214,0,0)" }),
    React.createElement("path", { d: "m 380.01546,49.005023 17.92068,-0.25637 -0.0121,175.582417 -17.80795,-1.53822 z", style: {
            fill: "#ff0000",
            stroke: "#ff0000",
            strokeWidth: 0.8975876,
        }, transform: "matrix(0.9981883,-0.0601674,0.0627044,0.99803214,0,0)" }),
    React.createElement("path", { d: "m 363.65879,27.224199 17.87215,-1.168078 10.99775,173.410529 -17.80795,-0.36422 z", style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0.8975876,
        } })));
const ger = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { style: { fill: "#dd0000" }, width: "100%", height: "33.33%", y: "33.33%" }),
    React.createElement("rect", { style: { fill: "#ffce00" }, width: "100%", height: "33.33%", y: "66.66%" })));
const glw = (React.createElement("g", { transform: "rotate(-3) translate(0,130) " },
    React.createElement("rect", { fill: "#ffff33", x: "0", y: "0", width: "100%", height: "50%" }),
    React.createElement("path", { d: "M 465,-100 L 350,0 L 455,100 Z", fill: "#101010" })));
const gre = (React.createElement("path", { transform: "rotate(-3) translate(100,30)", d: "M 200,0 L 200,200 M 0,100 L 400,100", style: { stroke: "white", strokeWidth: 25 } }));
const gtm = (React.createElement("g", null,
    React.createElement("path", { d: "M 470,10 145,199 500,230 z", style: { fill: "#00792c", stroke: "none" } }),
    React.createElement("path", { d: "m 432.14757,21.780669 12.2463,-0.840751 c 1.41425,0.238775 2.84975,0.817522 3.75407,1.651223 0.84763,1.131188 1.50412,2.26233 1.82057,3.542251 l 0.6532,9.027091 -261.11613,149.440487 -7.7643,-2.0481 -4.67062,-1.37297 -1.23447,-5.12152 -2.0185,-6.74448 -2.97685,-8.42085 z", style: { fill: "#ffff00", stroke: "none" } })));
const hec = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "#FFFFFF", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "#FFFFFF", strokeWidth: 20, fill: "none" } })));
const hom = (React.createElement("path", { d: "m 396.15605,25.14572 23.99452,-1.642361 14.7652,176.467821 -23.90835,-0.0963 z", style: {
        fill: "#010864",
        fillOpacity: 1,
        stroke: "#010864",
        strokeWidth: 1,
    } }));
const huh = (React.createElement("g", null,
    React.createElement("path", { d: "m 405.83742,24.395387 12.00785,-0.827315 7.38908,176.444758 -12.00785,-0.12253 z", style: { fill: "#000080", stroke: "#000080", strokeWidth: 0.73573327 } }),
    React.createElement("path", { d: "m 382.99609,25.922937 12.01186,-0.799737 7.39159,174.60026 -12.01186,-0.19714 z", style: { fill: "#0096ff", stroke: "#0096ff", strokeWidth: 0.73471797 } })));
const iel = (React.createElement("g", null,
    React.createElement("path", { d: "M 397,0 l 16,250", style: { strokeWidth: 35, stroke: "#a1d3b9" } }),
    React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "#020c7e" } })));
const imp = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { fill: "#EBECEC", width: "100%", height: "33.33%", y: "33.33%" }),
    React.createElement("rect", { fill: "#549DC5", width: "100%", height: "33.33%", y: "66.66%" })));
const ita = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "33.333%", y: "0%", width: "33.333%", height: "100%" })),
    React.createElement("g", { clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { fill: "#F2F2F2", x: "0", y: "0", width: "100%", height: "100%" })),
    React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "66.666%", y: "0%", width: "33.333%", height: "100%", fill: "#ef2b2d" })));
const jec = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "darkred", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "darkred", strokeWidth: 20, fill: "none" } })));
const keb = (React.createElement("g", { transform: "rotate(-4) translate(355,143) " },
    React.createElement("path", { d: "M 60,-100 L -15,0 L 60,100", style: { stroke: "#FF191C", strokeWidth: 25, fill: "none" } })));
const lcc = (React.createElement("g", { transform: "rotate(-3)  translate(0,130)" },
    React.createElement("path", { d: "M 465,-100 350,0 455,100 z", style: { fill: "#000000" } })));
const ldu = (React.createElement("g", { transform: "rotate(-4) translate(355,143) " },
    React.createElement("path", { d: "M 60,-100 L 0,0 L 60,100", stroke: "#881825", strokeWidth: "15", fill: "none" }),
    React.createElement("path", { d: "M 90,-100 L 30,0 L 90,100", stroke: "#004C3E", strokeWidth: "15", fill: "none" })));
const lic = (React.createElement("g", null,
    React.createElement("path", { d: "m 112.15417,44.883847 201.94289,45.675172 0.0377,-0.0011 -208.35394,-15.89754 z", style: { fill: "#7ca5cd" } }),
    React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "#7ca5cd" } })));
const lin = (React.createElement("g", null,
    React.createElement("path", { d: "M 180,200 424,13", style: { stroke: "#000000", strokeWidth: 20 } }),
    React.createElement("path", { d: "M 180,30 440,215", style: { stroke: "#000000", strokeWidth: 20 } })));
const lmh = (React.createElement("path", { d: "m 112.15417,44.883847 201.94289,45.675172 0.0377,-0.0011 -208.35394,-15.89754 z", style: { fill: "#ffe600" } }));
const mag = (React.createElement("g", { transform: "rotate(-2)  translate(275,17)  scale(2.7)" },
    React.createElement("g", { transform: "matrix(0.4701374,0.8825933,-0.8825933,0.4701374,57.211567,-103.7955)" },
        React.createElement("path", { transform: "matrix(0.9645439,-0.7042761,0.651746,1.0422852,-34.86803,73.954067)", d: "M 112.00066,59.382229 A 2.0834396,1.5152289 0 1 1 107.83378,59.382229 A 2.0834396,1.5152289 0 1 1 112.00066,59.382229 z", style: { fill: "#fede20", fillOpacity: 1 } }),
        React.createElement("path", { d: "M 110.09967,58.943823 L 114.65928,64.818775", style: {
                opacity: 1,
                fill: "none",
                fillRule: "evenodd",
                stroke: "#fede20",
                strokeWidth: 2,
                strokeLinecap: "butt",
                strokeLinejoin: "miter",
                strokeOpacity: 1,
            } })),
    React.createElement("g", { transform: "translate(-86.707773,-38.73351)" },
        React.createElement("path", { transform: "matrix(0.9645439,-0.7042761,0.651746,1.0422852,-34.86803,73.954067)", d: "M 112.00066,59.382229 A 2.0834396,1.5152289 0 1 1 107.83378,59.382229 A 2.0834396,1.5152289 0 1 1 112.00066,59.382229 z", style: { fill: "#fede20", fillOpacity: 1 } }),
        React.createElement("path", { d: "M 110.09967,58.943823 L 114.65928,64.818775", style: {
                opacity: 1,
                fill: "none",
                fillRule: "evenodd",
                stroke: "#fede20",
                strokeWidth: 2,
                strokeLinecap: "butt",
                strokeLinejoin: "miter",
                strokeOpacity: 1,
            } })),
    React.createElement("g", { transform: "matrix(0.8948254,0.4464163,-0.4464163,0.8948254,-38.257953,-84.447648)" },
        React.createElement("path", { transform: "matrix(0.9645439,-0.7042761,0.651746,1.0422852,-34.86803,73.954067)", d: "M 112.00066,59.382229 A 2.0834396,1.5152289 0 1 1 107.83378,59.382229 A 2.0834396,1.5152289 0 1 1 112.00066,59.382229 z", style: { fill: "#fede20", fillOpacity: 1 } }),
        React.createElement("path", { d: "M 110.09967,58.943823 L 114.65928,64.818775", style: {
                opacity: 1,
                fill: "none",
                fillRule: "evenodd",
                stroke: "#fede20",
                strokeWidth: 2,
                strokeLinecap: "butt",
                strokeLinejoin: "miter",
                strokeOpacity: 1,
            } })),
    React.createElement("path", { style: {
            fill: "#ffffff",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 28.133947,27.625083 C 26.252087,27.610473 26.974757,23.176173 28.449617,19.133493 C 30.843507,19.143933 34.932237,21.383663 35.362847,25.320673 L 35.520687,26.962173 L 33.752917,35.674743 L 29.964847,31.507863 L 28.133947,27.625083 z" }),
    React.createElement("g", { transform: "matrix(0.6509648,0.759108,-0.759108,0.6509648,20.495457,-104.93273)" },
        React.createElement("path", { transform: "matrix(0.9645439,-0.7042761,0.651746,1.0422852,-34.86803,73.954067)", d: "M 112.00066,59.382229 A 2.0834396,1.5152289 0 1 1 107.83378,59.382229 A 2.0834396,1.5152289 0 1 1 112.00066,59.382229 z", style: { fill: "#fede20", fillOpacity: 1 } }),
        React.createElement("path", { d: "M 110.09967,58.943823 L 114.65928,64.818775", style: {
                opacity: 1,
                fill: "none",
                fillRule: "evenodd",
                stroke: "#fede20",
                strokeWidth: 2,
                strokeLinecap: "butt",
                strokeLinejoin: "miter",
                strokeOpacity: 1,
            } })),
    React.createElement("path", { style: {
            fill: "#ffffff",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 52.188207,20.648723 C 48.984937,21.353103 45.746617,21.969873 43.854447,25.952023 L 45.369677,40.094153 L 53.198357,31.760393 C 53.842367,27.566143 54.198417,23.515863 52.188207,20.648723 z" }),
    React.createElement("path", { style: {
            fill: "#ffffff",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 19.358247,36.306083 C 33.719007,34.386583 25.890907,59.188293 40.121577,59.188293 C 54.604787,59.188293 47.083157,33.292843 61.279577,36.306083 C 61.204607,15.923273 44.378697,28.839913 43.349367,49.690603 C 44.190717,39.213433 53.282727,28.592703 40.571447,16.608113 C 28.554297,27.879993 36.141967,42.054093 36.783377,49.943143 C 30.961667,11.078523 15.395387,27.543193 19.358247,36.306083 z" }),
    React.createElement("path", { style: {
            fill: "#ffffff",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 28.955517,19.376023 L 31.623077,27.335683" }),
    React.createElement("path", { style: {
            fill: "none",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 51.935667,21.027523 L 48.905207,27.846053" }),
    React.createElement("path", { style: {
            fill: "#008000",
            fillRule: "evenodd",
            stroke: "#000000",
            strokeWidth: 1,
            strokeLinecap: "butt",
            strokeLinejoin: "miter",
            strokeOpacity: 1,
        }, d: "M 29.537967,67.274035 C 27.729217,67.240585 28.877857,63.677445 31.336957,63.677445 C 34.252227,63.677445 37.743407,64.144715 37.825767,62.602075 L 37.952037,58.687735 C 39.130547,57.340865 40.477417,57.340865 41.992647,58.687735 C 42.012967,67.259665 41.847697,67.274035 29.537967,67.274035 z" })));
const man = (React.createElement("g", { style: { fill: "#ffff00" }, transform: "matrix(0.26159327,-0.01731013,0.01858136,0.28080429,341.4759,-142.53978)" },
    React.createElement("path", { style: { fill: "#ffff00", stroke: "#000000", strokeWidth: 3 }, d: "m 92.4091,758.86218 0,32.45455 41.443,0 0,94.81817 -94.8976,0 0,-41.44318 -32.4545,0 0,115.26137 32.4545,0 0,-41.44319 94.8976,0 0,94.8977 -41.443,0 0,32.4546 115.2612,0 0,-32.4546 -41.443,0 0,-94.8977 94.8181,0 0,41.44319 32.4546,0 0,-115.26137 -32.4546,0 0,41.44318 -94.8181,0 0,-94.81817 41.443,0 0,-32.45455 -115.2612,0 z" })));
const mau = React.createElement("path", { d: "M 345,230 L 280,0 L 500,0 L 500,230 Z", fill: "#FACA30" });
const mer = (React.createElement("g", { transform: "matrix(0.28883635,-0.01855137,0.01855137,0.28883635,344.39461,109.9603)", style: { fill: "#440055" } },
    React.createElement("g", { transform: "translate(-630.86889,642.81708)", style: { fill: "#440055" } },
        React.createElement("path", { d: "m 701.93802,-785.42365 0,107.625 -107.625,0 0,71.75 107.625,0 0,107.625 71.75,0 0,-107.625 107.625,0 0,-71.75 -107.625,0 0,-107.625 -71.75,0 z", style: {
                fill: "#440055",
                fillOpacity: 1,
                fillRule: "evenodd",
                stroke: "#000000",
                strokeWidth: 3,
            } }))));
const mgd = (React.createElement("g", { transform: "rotate(-4) translate(431, 20)" },
    React.createElement("path", { d: "M 6,0 l 0,300", style: { stroke: "#000fb0", strokeWidth: 20, fill: "none" } })));
const nec = (React.createElement("g", null,
    React.createElement("path", { d: "m 396.15605,25.301409 23.99452,-1.642361 14.7652,176.234292 -23.90835,-0.2131 z", style: { fill: "#fdd017", stroke: "#fdd017", strokeWidth: 1 } }),
    React.createElement("path", { d: "m 357.75677,27.187088 23.99452,-1.642361 14.7652,174.434323 -23.90835,-0.55595 z", style: { fill: "#fdd017", stroke: "none" } })));
const nnm = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M -60,00 l 80,300 ", style: { stroke: "gold", strokeWidth: 60, fill: "none" } }),
    React.createElement("path", { d: "M -60,00 l 80,300 ", style: { stroke: "silver", strokeWidth: 20, fill: "none" } })));
const nor = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "centerStripe" },
        React.createElement("rect", { x: "-50", y: "-15", height: "30", width: "500", transform: "rotate(6) translate(117, 50)" })),
    React.createElement("rect", { transform: "rotate(6) translate(117, 50)", fill: "white", x: "-50", y: "-30", width: "500", height: "60" }),
    React.createElement("g", { clipPath: "url(#centerStripe)" },
        React.createElement("rect", { fill: "#002868", x: "0", y: "0", width: "100%", height: "100%" }))));
const nzl = (React.createElement("g", { fill: "#fff" },
    React.createElement("path", { d: "M368.6 118.2l3-4.8 2.8-4.9-1-2.2a41.4 41.4 0 01-3.5-11.4c-.7-4.6-.6-5.8.4-8.2l.8-2 .7 1.6c3.9 10 5.3 15 4.9 17.7-.2 1 .3.6 1.6-1.2l1.2-1.6-.9-1.7A40.4 40.4 0 01376 88c-.1-2.8.3-4.4 1.3-6l.7-1 .6 2.4 2.1 6.8c1.4 4 1.4 4.4 1.2 6.2v2a7 7 0 001-1l1-1-1-4.3c-1.6-6.1-1.5-11 0-13.3.4-.6.8-1 .9-1a98.8 98.8 0 012.6 14.5c-.5 1.5-.1 1.6 1.3.2l1.2-1.1-.8-2.4c-1.6-4.4-1.7-10.4-.2-12.8l.8-1.2 1.4 6c1 4.8 1.3 6 1 7-.4 1.5-.3 1.5 1.2.2l1.1-1-.7-3.6c-.9-4.4-.8-8 .3-9.9.4-.7.8-1.3 1-1.2 0 0 .6 2.4 1 5.2.7 3.8.9 5.4.7 6.5-.4 1.6-.2 1.7 1.2.5l1-.8-.7-3.7c-.9-4.3-.8-7 .4-9l.9-1.5v1c0 .6.5 3 .9 5.1.5 2.8.6 4.4.4 5.4-.3 1.4 0 1.5 1.4.5.6-.6.6-.8 0-3.9-.7-4.2-.6-6.7.5-8.7l.9-1.5v1.1l.8 4.8a23.6 23.6 0 01.5 6.3l1-.5c1-.7 1-.7.4-3.8-.3-1.7-.5-4-.4-5 .2-1.9.9-3.9 1.4-4 .5-.1 1.8 7.8 1.5 9.4-.3 1.5-.1 1.6 1 .7.7-.6.7-1 .3-3.2-.6-3.5-.4-6.6.3-8 .6-.9.7-1 1-.6.4 1 1.3 7.9 1 8.5-.5 1 .2 1.2 1 .3.7-.7.9-1.1.6-1.6-.4-.8-.8-5.3-.5-6.8 0-.7.4-1.6.7-2l.6-.9.5 3.3c.4 1.8.6 3.7.5 4.2-.1 1.3.2 1.5 1 .8.4-.4.4-1 0-3.3-.6-3-.4-5 .4-6.2.4-.7.5-.6 1 2 .3 1.6.5 3.4.4 4-.2 1.4-.1 1.4.7.7.5-.4.5-.9.2-2.2-.6-2.2-.5-5.3.2-6.3.5-.8.5-.7.9 1.4.4 2.8.5 3.8.4 4.7 0 .6 0 .6.7-.2.6-.7.6-1 .3-2.4-.6-2.2-.5-4.6 0-5.5.5-.7.5-.6 1 1.8.2 1.4.3 2.8.2 3.2 0 .3 0 .6.2.6.5-.2.8-1.1.6-2-.4-1.7-.4-4.5.1-5.5l.5-.9.2 1.7.4 3c0 1 .1 1 .4.6.3-.2.3-1.4.1-2.5-.3-2.1 0-4 .4-4 .4-.2.6 1 .7 2.9 0 1 .2 1.4.4 1.3.2-.1.3-1.4.1-2.8 0-1.4 0-2.8.2-3.2.4-.6.4-.5.6.7l.2 2c0 .4.1.6.4.4.2 0 .2-1 0-2.2V50c.3-.4.5-.2.6 1 0 .9.4 1.8.6 1.4l-.1-1.5v-2.2c.3-.3.4-.2.4.7 0 1.5.7 1 .6-.4 0-1 .6-2.2 1-2.3l.1.2c.1.3 0 1.2-.4 2-.6 1.7-.6 2.1 0 1.2 1-1.2 1.4-1.4.8-.3-.3.6-.8 1-1 1.2l-.7.8c-.2.4-.4 1-.2.9l1.3-1c.7-.5 1.3-.8 1.5-.8.3.2-1.3 1.8-2.6 2.6-.8.4-1.3 1-1.3 1.3 0 .5.2.5.6.2.8-.8 3.4-1.7 3.2-1.3-.2.6-2 2-3.4 2.4a3 3 0 00-1.5 1.1c-.4.8-.4.8.1.4a8 8 0 012.6-.6l1.9-.2-1 .7c-.4.4-1.7.9-2.8 1.1-1.4.3-2 .6-2.4 1.1-.3.7-.3.7.6.5.6-.1 2-.3 3.2-.3h2l-1.1.7c-1 .5-2 .7-3.7.9-1.8.2-2.5.3-2.8.7-.4.7 0 1.1.9.9 1.3-.3 5.7.1 5.3.5-.6.7-2.8 1-5.2.8l-2.4-.1-.6.9c-.5.8-.5.9.1.7.4 0 2.1 0 3.8.4 2.7.5 3 .6 2.4 1-1 .7-3.8.7-6 .1-1.7-.4-1.8-.4-2.5.4-.9.8-.6 1.3.5 1l4 .7c3 .7 3.1.8 2.3 1.2-1.2.7-4 .6-6.5-.2-2-.6-2.1-.5-2.8.1-1 .8-.7 1.3.5 1 .4 0 2.3.4 4.2 1.1l3.6 1.3-1.7.4c-1.8.5-4.8 0-7.1-1-1.5-.6-1.7-.5-2.7.3-1 .8-.9 1.2.2 1 .6-.2 2.3.3 4.7 1.3 3.4 1.4 3.7 1.6 3 2-1.5.7-5.6 0-9.9-1.9-.5-.2-2.4 1-2.3 1.4 0 .2.6.3 1.3.3.6 0 2.8.9 4.9 1.8l3.7 1.7-1.2.4c-1.5.6-5.8-.3-8.5-1.6-2-1.1-2.2-1.1-3.4-.3l-.9.6 1.4.3c.8.1 3 1.2 5.2 2.4 3.7 2.2 3.7 2.2 2.6 2.5-1.7.4-5.6-.6-8.5-2.4-2.7-1.5-2.7-1.5-3.8-.9-1.3.8-1.3 1.2 0 1.1.7 0 2.7 1 5.5 2.7l4.4 2.7-1.6.2c-2 .3-5.5-.8-8.7-3l-2.5-1.5-1.2.8-1.1 1.1 1.4.3c.8 0 2.4.6 3.7 1.3l4.8 2.4 2.6 1.3-1.6.5c-2 .6-6-.4-10-2.6l-3-1.7-1 1c-.6.4-1 .9-1 1 0 .1.7.2 1.5.2 1 0 2.7.6 4.5 1.5l5.5 2.4 2.7 1.1-1.1.6c-2.3 1.2-8.4 0-13-2.5l-2.3-1.3-1.4 1.3a6 6 0 00-1.3 1.5c0 .1.8.2 1.6 0a8 8 0 014 .8l6.8 2.5 4.2 1.7-1.5.6c-1.7.8-4 .8-7.8 0-2.6-.6-6.6-2-7.9-3l-1.3-.4c-.5.2-2.6 2.5-2.5 3l1.4-.2c1.9-.4 3-.2 9.9 2.3l6.6 2.3c1 0 .2.6-1.8 1.3a10 10 0 01-4.8.5c-3.5-.3-8.1-1.6-11.1-3l-2.2-1.1-1.4 1.8c-.7 1-1.3 1.9-1.2 2l1.8-.2c2-.5 1.8-.5 12.3 2.2 6.6 1.6 6.8 1.7 6 2.3-3.2 2.6-11.9 2.4-19.3-.3l-2.9-1c-.2.2-7.1 14.6-7 14.9z" }),
    React.createElement("text", { fontSize: "150", transform: "rotate(-4 1113.6 -5056.3) scale(.2)" }, "N"),
    React.createElement("text", { x: "300", y: "300", fontSize: "150", transform: "rotate(-4 1113.6 -5056.3) scale(.2)" }, "Z")));
const oro = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300", style: { stroke: "#FFFFFF", strokeWidth: 20 } }),
    React.createElement("path", { d: "M -35,00 l 0,300", style: { stroke: "#FFFFFF", strokeWidth: 20 } })));
const oxb = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "33.333%", y: "0%", width: "33.333%", height: "100%" })),
    React.createElement("g", null,
        React.createElement("g", { clipPath: "url(#vert30stripe)" },
            React.createElement("rect", { fill: "#F2F2F2", x: "0", y: "0", width: "100%", height: "100%" })),
        React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60)", x: "66.666%", y: "0%", width: "33.333%", height: "100%", fill: "#A02C2C" }))));
const pbc = (React.createElement("g", { transform: "rotate(-4) translate(400, 20)" },
    React.createElement("path", { d: "M 19,00 l 0,300 ", style: { stroke: "white", strokeWidth: 18, fill: "none" } }),
    React.createElement("path", { d: "M -17,00 l 0,300 ", style: { stroke: "white", strokeWidth: 18, fill: "none" } })));
const pem = (React.createElement("g", { transform: "rotate(-4) translate(410,85)" },
    React.createElement("path", { d: "M -60,-33 l 00,00 l 60,00 l 00,40 z", fill: "#000066" }),
    React.createElement("path", { d: "M -60,14 l 00,40 l 60,43 l 00,-40 z", fill: "#000066" }),
    React.createElement("path", { d: "M -60,100 l 00,40 l 60,6 l 0,00 z", fill: "#000066" })));
const pet = (React.createElement("g", { transform: "rotate(-3)  translate(0,130)" },
    React.createElement("path", { d: "M 465,-100 350,0 455,100 z", style: { fill: "#ffff00" } })));
const pmb = (React.createElement("g", null,
    React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "#ff7777" } })));
const pol = (React.createElement("rect", { style: { fill: "#dd0c39", fillOpacity: 1 }, x: "0", id: "rect41", transform: "matrix(0.70902697,-0.03715853,0.04239212,0.80888992,101.25621,32.815632)", y: "50%", height: "50%", width: "500", fill: "#ff0000" }));
const ptr = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#ffffff", strokeWidth: 30, fill: "none" } })));
const qcc = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "white", strokeWidth: 30, fill: "none" } })));
const qco = (React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
    React.createElement("rect", { fill: "#FFFFFF", width: "100%", height: "33.33%", y: "33.33%" }),
    React.createElement("rect", { fill: "#000066", width: "100%", height: "33.33%", y: "66.66%" })));
const rob = (React.createElement("g", null,
    React.createElement("path", { d: "M 455,10 350,199 500,230 z", style: { fill: "#ffffff", stroke: "none" } })));
const rdu = (React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "#993399" } }));
const rho = (React.createElement(React.Fragment, null,
    React.createElement("rect", { style: { fill: "#f2f2f2" }, width: "104.99896", height: "186.3", x: "237.29897", y: "48.599998", transform: "matrix(0.99756405,-0.06975647,0.06975647,0.99756405,0,0)" }),
    React.createElement("path", { d: "M 491.0625,8.5 344.4375,18.75 362.625,278.90625 509.25,268.65625 491.0625,8.5 z", style: { fill: "#660080", fillOpacity: 1 } })));
const roc = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "gold", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "gold", strokeWidth: 20, fill: "none" } })));
const rou = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "33%", y: "0%", width: "34%", height: "100%", style: { fill: "#003399" } })),
    React.createElement("g", { clipRule: "nonzero", clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { fill: "#ffe60d", x: "0", y: "0", width: "100%", height: "100%" })),
    React.createElement("rect", { transform: "rotate(-4) scale(0.63 0.81) translate(210,60) ", x: "66.666%", y: "0%", width: "33.333%", height: "100%", fill: "#f21830" })));
const rpc = (React.createElement("path", { transform: "rotate(-3) translate(100,30)", d: "M 280,0 L 280,200 M 0,100 L 400,100", fill: "none", stroke: "white", strokeWidth: "25" }));
const rsa = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "t" },
        React.createElement("path", { d: "M0,0 L22.5,15 L0,30" })),
    React.createElement("g", { transform: " translate(0,-60)" },
        React.createElement("g", { transform: "translate(460,260) rotate(178) scale(6)" },
            React.createElement("rect", { width: "60", style: { fill: "#ffffff" }, height: "10", y: "10" }),
            React.createElement("rect", { width: "60", height: "10", style: { fill: "#0c1c8c" } }),
            React.createElement("path", { d: "M0,0 L22.5,15 L0,30", style: { fill: "none", stroke: "#ffffff", strokeWidth: 10 } }),
            React.createElement("path", { d: "M0,0 L22.5,15 L0,30", clipPath: "url(#t)", style: { fill: "#000000", stroke: "#fcb514", strokeWidth: 10 } }),
            React.createElement("path", { d: "M0,0 L22.5,15 L0,30", style: { stroke: "#007c59", strokeWidth: 6, fill: "none" } }),
            React.createElement("rect", { width: "60", height: "6", x: "22.5", y: "12", style: { fill: "#007c59" } })))));
const sac = (React.createElement("path", { d: "M 432,0 l 16,250", style: { strokeWidth: 35, stroke: "#CBCBCB" } }));
// TODO: Confirm design is accurate
const say = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M -10,0 l 0,300 ", style: { stroke: "#ffcc00", strokeWidth: 120, fill: "none" } }),
    React.createElement("path", { d: "M -80,0 l 0,300 ", style: { stroke: "#000000", strokeWidth: 40, fill: "none" } })));
const sbh = (React.createElement("path", { d: "m 396.15605,25.14572 23.99452,-1.642361 14.7652,176.467821 -23.90835,-0.0963 z", style: { fill: "#000050", stroke: "#000050", strokeWidth: 1 } }));
const scc = (React.createElement("g", { transform: "matrix(0.65386408,0,0,0.65386408,32.566722,-135.8729)", style: { fill: "#ffffff", stroke: "#ffffff" } },
    React.createElement("path", { d: "m 538.74596,418.05956 c 1.35639,-0.1009 2.58832,-0.72665 3.45468,-1.5978 1.77142,-1.78123 2.1111,-2.23858 2.1111,-5.11287 l -0.0956,-50.04276 0.0292,0 0.15973,-50.52208 c 0.69082,-3.63935 -0.11358,-3.22553 2.27114,-5.65618 -0.99651,-0.64547 -1.98875,-0.92317 -2.9428,-0.95865 -0.19873,-0.005 -0.3821,-0.0149 -0.57568,0 -1.35636,0.1009 -2.58831,0.72664 -3.45457,1.5978 -1.77152,1.78122 -2.11115,2.23862 -2.11115,5.11291 l 0.0956,50.04275 -0.0291,0 -0.15973,50.52204 c -0.69081,3.63938 0.11359,3.22553 -2.27112,5.65618 0.99658,0.64548 1.98874,0.9232 2.94287,0.95866 0.19874,0.005 0.3821,0.0149 0.57566,0 z", style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0,
        } }),
    React.createElement("path", { style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0,
        }, d: "m 579.65873,402.94141 c 0.88809,-1.03019 1.31645,-2.34403 1.31299,-3.57259 -0.005,-2.51214 -0.0901,-3.07571 -2.12252,-5.10822 l -35.45341,-35.31769 0.0203,-0.0204 -35.61145,-35.8376 c -2.08473,-3.06211 -2.36128,-2.20031 -2.39361,-5.60545 -1.16106,0.24826 -2.05897,0.7535 -2.75869,1.40302 -0.14534,0.13525 -0.28002,0.25962 -0.4073,0.40726 -0.88808,1.03019 -1.31644,2.34404 -1.31296,3.5726 0.005,2.51218 0.0901,3.07578 2.1225,5.1082 l 35.45341,35.31778 -0.0203,0.0203 35.61143,35.83762 c 2.08474,3.06201 2.36129,2.20022 2.39361,5.60536 1.16108,-0.24827 2.05897,-0.75348 2.7587,-1.40302 0.14535,-0.13526 0.28003,-0.2599 0.40728,-0.40726 z" }),
    React.createElement("path", { d: "m 597.89831,363.32152 c -0.1009,-1.35639 -0.72665,-2.58833 -1.5978,-3.45459 -1.78142,-1.77129 -2.23866,-2.11115 -5.11293,-2.11115 l -50.04276,0.0956 0,-0.0291 -50.52208,-0.15973 c -3.63937,-0.69083 -3.22552,0.11358 -5.6561,-2.27111 -0.64549,0.99651 -0.92319,1.98875 -0.95874,2.94279 -0.005,0.19872 -0.0149,0.3821 0,0.57567 0.1009,1.35639 0.72665,2.58832 1.59781,3.45456 1.78143,1.7713 2.23868,2.11118 5.11297,2.11118 l 50.04275,-0.0959 0,0.0292 50.52208,0.15974 c 3.63934,0.69081 3.22551,-0.11359 5.65614,2.27112 0.64552,-0.99659 0.92311,-1.98877 0.95866,-2.94287 0.005,-0.19872 0.0149,-0.3821 0,-0.57569 z", style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0,
        } }),
    React.createElement("path", { style: {
            fill: "#ffffff",
            stroke: "#ffffff",
            strokeWidth: 0,
        }, d: "m 582.78007,322.40879 c -1.03015,-0.88805 -2.34409,-1.31641 -3.57255,-1.31297 -2.5122,0.005 -3.0758,0.0901 -5.10823,2.1226 l -35.31779,35.45336 -0.0204,-0.0204 -35.83763,35.61142 c -3.06211,2.08477 -2.20022,2.36132 -5.60536,2.3936 0.24825,1.16109 0.75348,2.05907 1.40298,2.75882 0.13525,0.14534 0.25992,0.28002 0.40731,0.40729 1.03018,0.88806 2.34401,1.31641 3.57257,1.31298 2.51211,-0.005 3.07571,-0.0901 5.10822,-2.12253 l 35.3177,-35.45342 0.0204,0.0204 35.8376,-35.61137 c 3.06211,-2.08481 2.20032,-2.36135 5.60544,-2.39365 -0.24825,-1.16107 -0.75348,-2.059 -1.403,-2.75873 -0.13526,-0.14534 -0.25991,-0.28002 -0.4073,-0.40729 z" }),
    React.createElement("path", { transform: "matrix(0.99504378,0,0,0.99504378,184.15885,70.201165)", d: "m 370.35716,292.36218 c 0,6.50907 -5.27665,11.78572 -11.78572,11.78572 -6.50907,0 -11.78571,-5.27665 -11.78571,-11.78572 0,-6.50907 5.27664,-11.78571 11.78571,-11.78571 6.50907,0 11.78572,5.27664 11.78572,11.78571 z", style: {
            fill: "#ffffff",
            fillOpacity: 1,
            stroke: "#ffffff",
            strokeWidth: 0,
        } }),
    React.createElement("path", { transform: "matrix(3.6544449,0,0,3.6544449,-769.42641,-707.30716)", d: "m 370.35716,292.36218 c 0,6.50907 -5.27665,11.78572 -11.78572,11.78572 -6.50907,0 -11.78571,-5.27665 -11.78571,-11.78572 0,-6.50907 5.27664,-11.78571 11.78571,-11.78571 6.50907,0 11.78572,5.27664 11.78572,11.78571 z", style: {
            fill: "none",
            stroke: "#ffffff",
            strokeWidth: 3.86204243,
        } })));
const sco = (React.createElement("g", null,
    React.createElement("circle", { cx: "375", cy: "115", r: "50", stroke: "#900", strokeWidth: "17", fill: "#8cf" }),
    React.createElement("circle", { cx: "375", cy: "115", r: "6", strokeWidth: "0", fill: "#900" }),
    React.createElement("g", { transform: "translate(367.625,55.59467)", id: "WheelSpike" },
        React.createElement("path", { fill: "#900", strokeWidth: "0", d: "M 0.125,-0.125 C 2.8241831,-14.718465 0.37994487,-16.164559 0.125,-20.125 C 10.772964,-14.747921 12.635905,-11.317461 15.125,-0.125 C 11.115395,-0.70054519 4.4572137,-1.0540513 0.125,-0.125 z" })),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelSpike", transform: "matrix(0.5,0.8660254,-0.8660254,0.5,287.25289,-266.9912)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelSpike", transform: "matrix(-0.5,0.8660254,-0.8660254,-0.5,661.75289,-152.02153)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelSpike", transform: "matrix(0.5,-0.8660254,0.8660254,0.5,88.037439,382.42762)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelSpike", transform: "matrix(-0.5,-0.8660254,0.8660254,-0.5,463.2949,497.73017)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelSpike", transform: "matrix(-1,0,0,-1,749.3511,229.95588)", width: "200", height: "230" }),
    React.createElement("g", { id: "WheelHub", transform: "matrix(1,0,0,0.9808198,0,1.7377014)" },
        React.createElement("g", { id: "HalfHub", transform: "matrix(1,0,0,0.9891943,356.81499,75.281599)" },
            React.createElement("path", { style: { fill: "#990000", strokeWidth: 0 }, d: "M 18.26601,-0.98669238 C 21.039196,-0.98669238 23.811427,-0.61381072 26.452556,0.13195261 L 24.665586,4.2676717 C 21.291046,3.4501274 22.541945,3.8738881 22.22675,4.109357 C 23.011456,3.4890423 20.597372,4.3396074 21.543884,8.0913483 C 22.213371,10.745028 24.429719,17.210682 24.487937,21.197108 C 24.506445,22.464427 23.840115,26.616021 20.682395,29.594385 C 20.882093,29.729244 21.237732,29.686993 22.22675,30.45966 L 21.302881,34.118596 C 20.159131,33.536018 19.533178,33.443887 18.26601,33.368426 C 18.241806,31.99473 18.258325,-0.16313877 18.26601,-0.98669238 z" })),
        React.createElement("use", { height: "230", width: "500", transform: "matrix(-1,0,0,1,750.17692,0)", xlinkHref: "#HalfHub", y: "0", x: "0" })),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelHub", transform: "matrix(-0.5,0.8660254,-0.8660254,-0.5,661.84266,-152.5083)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelHub", transform: "matrix(0.5,0.8660254,-0.8660254,0.5,286.7542,-267.59977)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelHub", transform: "matrix(-1,0,0,-1,750.17692,229.74097)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelHub", transform: "matrix(-0.5,-0.8660254,0.8660254,-0.5,463.06917,497.34074)", width: "200", height: "230" }),
    React.createElement("use", { x: "0", y: "0", xlinkHref: "#WheelHub", transform: "matrix(0.5,-0.8660254,0.8660254,0.5,87.98071,382.42606)", width: "200", height: "230" })));
const seh = (React.createElement("g", { style: { fill: "#d40000", stroke: "none" }, transform: "matrix(0.26159327,-0.01731013,0.01858136,0.28080429,341.4759,-142.53978)" },
    React.createElement("path", { style: {
            fill: "#d40000",
            fillOpacity: 1,
            stroke: "none",
            strokeWidth: 3,
        }, d: "m 92.4091,758.86218 0,32.45455 41.443,0 0,94.81817 -94.8976,0 0,-41.44318 -32.4545,0 0,115.26137 32.4545,0 0,-41.44319 94.8976,0 0,94.8977 -41.443,0 0,32.4546 115.2612,0 0,-32.4546 -41.443,0 0,-94.8977 94.8181,0 0,41.44319 32.4546,0 0,-115.26137 -32.4546,0 0,41.44318 -94.8181,0 0,-94.81817 41.443,0 0,-32.45455 -115.2612,0 z" })));
const sel = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "gold", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "maroon", strokeWidth: 20, fill: "none" } })));
const shi = (React.createElement("path", { d: "m 282.83473,22.488545 -181.38882,16.46439 7.51845,156.678165 362.67705,15.01403 z", style: { fill: "#000032" } }));
const shg = (React.createElement("g", { transform: "rotate(-3)  translate(0,130) " },
    React.createElement("rect", { fill: "#010066", x: "0", y: "0", width: "100%", height: "50%" }),
    React.createElement("path", { d: "M 465,-100 L 350,0 L 455,100 Z", fill: "#FFFFFF" }),
    React.createElement("path", { d: "M 453,-100 L 410,0 L 450,100 Z", fill: "#FFFF00" })));
const sid = (React.createElement("g", { transform: "rotate(-4) translate(410,80)" },
    React.createElement("path", { d: "M 0,0 l 0,15 l 15,-15 l 0,-15 z", fill: "red" }),
    React.createElement("path", { d: "M 0,40 l 0,15 l 15,-15 l 0,-15 z", fill: "red" }),
    React.createElement("path", { d: "M 0,80 l 0,15 l 15,-15 l 0,-15 z", fill: "red" }),
    React.createElement("path", { d: "M 0,120 l 0,15 l 15,-15 l 0,-15 z", fill: "red" })));
const sne = (React.createElement("g", { transform: "matrix(0.99756405,-0.06975647,0.06975647,0.99756405,397.77684,-2.7542188)" },
    React.createElement("path", { d: "m -30.534,26.522 -0.521,174.724 58.477,4.757 0.136,-178.76 -58.092,-0.721 z", style: { fill: "#2e3192" } })));
const som = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 5,00 l 0,300 ", style: { stroke: "#000000", strokeWidth: 20, fill: "none" } }),
    React.createElement("path", { d: "M -30,00 l 0,300 ", style: { stroke: "#000000", strokeWidth: 20, fill: "none" } })));
const spc = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M -170,10 l 320,300 ", style: { stroke: "#006600", strokeWidth: 60, fill: "none" } }),
    React.createElement("path", { d: "M -170,10 l 320,300 ", style: { stroke: "#FFCC00", strokeWidth: 20, fill: "none" } })));
const son = (React.createElement("g", { transform: "rotate(-4) translate(380,20)" },
    React.createElement("path", { d: "M 0,0 l 0,100 l 40,40 l 0,100 M 40,0 l 0,100 l -40,40 l 0,100", style: { stroke: "blue", strokeWidth: 15, fill: "none" } })));
const srg = (React.createElement("g", null,
    React.createElement("linearGradient", { id: "gradient_to_transparent", x1: "0%", x2: "100%" },
        React.createElement("stop", { offset: "0", stopColor: "#ffcc00", stopOpacity: "0" }),
        React.createElement("stop", { offset: "0.5", stopColor: "#ffcc00", stopOpacity: "1" }),
        React.createElement("stop", { offset: "1", stopColor: "#ffcc00", stopOpacity: "1" })),
    React.createElement("g", { transform: "rotate(-3) scale(0.71 0.81) translate(140,50)" },
        React.createElement("rect", { fill: "url(#gradient_to_transparent)", width: "50%", height: "100%", x: "50%" }))));
const sui = (React.createElement("g", { transform: "scale(0.6) rotate(-4) translate(440,80)" },
    React.createElement("rect", { fill: "#fff", height: "60", width: "200", x: "50", y: "120" }),
    React.createElement("rect", { fill: "#fff", height: "200", width: "60", x: "120", y: "50" })));
const tro = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#FFFFFF", strokeWidth: 30, fill: "none" } })));
const tss = React.createElement("path", { d: "M 345,230 L 280,0 L 500,0 L 500,230 Z", fill: "#F5D60C" });
const twk = (React.createElement(React.Fragment, null,
    React.createElement("clipPath", { id: "vert30stripe" },
        React.createElement("rect", { transform: "rotate(-4) scale(0.63, 0.81) translate(210, 60)", x: "33%", y: "0%", width: "34%", height: "100%", style: { fill: "#003399" } })),
    React.createElement("g", { clipRule: "nonzero", clipPath: "url(#vert30stripe)" },
        React.createElement("rect", { fill: "#E50087", x: "0", y: "0", width: "100%", height: "100%" }))));
const ucl = (React.createElement("path", { d: "m 292.04225,16.864336 175.5706,-4.091606 0,199.14883 -153.96948,0 z", style: { fill: "#aaeeff", fillOpacity: 1, stroke: "none" } }));
const usa = (React.createElement("g", { transform: "rotate(-3) translate(0,130) " },
    React.createElement("rect", { style: { fill: "#002868" }, x: "0", y: "0", width: "100%", height: "50%" }),
    React.createElement("path", { d: "M 465,-100 L 350,0 L 455,100 Z", style: { fill: "white" } })));
const uxo = (React.createElement("path", { d: "m 424.42026,89.075166 c -4.09987,10.072123 -9.43267,12.970924 -12.56042,13.259354 -3.12776,0.28843 -9.59816,0.8851 -9.61019,0.96737 -0.012,0.0823 -0.58156,-6.457871 -0.86999,-9.585619 -0.28842,-3.127751 1.61684,-8.926434 10.73873,-14.773437 -4.08387,-3.166333 -7.74153,-2.783318 -10.48148,-1.387772 -2.59335,-4.880959 -4.97276,-7.084454 -9.61588,-8.685959 -4.27528,2.387515 -6.21159,4.988979 -7.8686,10.261889 -2.94896,-0.870939 -6.61498,-0.578587 -10.05093,3.281195 10.03734,4.080218 12.97092,9.432671 13.25934,12.560431 0.28844,3.127751 0.87896,9.531472 0.95884,9.528382 0.0798,-0.004 -6.58227,0.61058 -9.71003,0.89902 -3.12775,0.28842 -8.92642,-1.61684 -14.76059,-10.723428 -3.17917,4.068567 -2.79616,7.726228 -1.40061,10.466178 -0.78165,0.41766 -5.96508,2.37725 -8.64986,9.61255 2.42363,4.27195 5.02509,6.20827 10.298,7.86526 -0.87094,2.94897 -0.5786,6.61498 3.28119,10.05095 4.08022,-10.03735 9.43267,-12.97094 12.56042,-13.25937 3.12776,-0.28843 9.7315,-0.8974 9.65584,-0.97022 -0.0756,-0.0729 0.53028,6.4976 0.81871,9.62536 0.28843,3.12775 -1.61684,8.92642 -10.73873,14.77342 0.1424,0.10996 4.02461,4.08003 10.48148,1.38778 0.41766,0.78165 2.37725,5.96508 9.61257,8.64985 4.27193,-2.42361 6.20825,-5.02508 7.86524,-10.29799 2.94896,0.87094 6.61498,0.57859 10.05093,-3.28119 -10.03733,-4.08022 -12.97091,-9.43267 -13.25934,-12.56044 -0.28843,-3.12775 -0.89125,-9.66482 -0.96573,-9.57677 -0.0745,0.088 6.52924,-0.52095 9.65699,-0.80938 3.12776,-0.28843 8.92643,1.61685 14.77343,10.73874 0.11405,-0.14772 4.0543,-3.99452 1.38778,-10.48148 0.78115,-0.4174 5.99207,-2.39945 8.68596,-9.6159 -2.38752,-4.27526 -4.98898,-6.21158 -10.2619,-7.868581 0.87095,-2.948962 0.59824,-6.64976 -3.28119,-10.050929 z", style: {
        fill: "#fdd400",
        fillOpacity: 1,
        fillRule: "evenodd",
        stroke: "#000000",
        strokeWidth: 0,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
    } }));
const uyo = (React.createElement(React.Fragment, null,
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,391.91121,113.98719)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 0.148,4.621 -0.519,9.009 -1.96,13.143 -1.544,4.097 -3.844,7.893 -6.919,11.346 -1.615,1.814 -3.756,2.384 -6.055,0.991 -1.771,-1.073 -7.01,-2.942 -13.44,-14.151 -0.315,-0.549 -0.275,-1.551 -0.037,-2.216 0.596,-1.666 1.182,-3.281 1.776,-4.916 0.591,-1.636 1.178,-3.251 1.787,-4.912 0.244,-0.663 0.855,-1.458 1.449,-1.678 C -11.28,-6.876 -6.06,-4.953 -4.013,-4.642 -1.355,-4.237 -0.078,-2.428 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,374.43623,87.413834)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -4.342,1.59 -8.717,2.332 -13.095,2.26 -4.375,-0.18 -8.7,-1.174 -12.943,-3.011 -2.229,-0.965 -3.442,-2.819 -2.84,-5.439 0.464,-2.018 0.595,-7.579 9.222,-17.2 0.423,-0.471 1.387,-0.748 2.093,-0.73 1.768,0.044 3.486,0.093 5.225,0.144 1.739,0.049 3.457,0.1 5.225,0.157 0.706,0.023 1.652,0.355 2.047,0.85 8.058,10.102 7.869,15.661 8.215,17.703 C 3.599,-2.616 2.281,-0.835 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,343.82481,128.09709)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 2.375,-3.967 5.308,-7.297 8.756,-9.996 3.514,-2.612 7.501,-4.561 11.955,-5.802 2.34,-0.653 4.449,0.025 5.63,2.44 0.909,1.86 4.305,6.266 3.653,19.171 -0.032,0.632 -0.607,1.454 -1.167,1.884 -1.403,1.079 -2.768,2.121 -4.152,3.176 -1.383,1.055 -2.749,2.097 -4.16,3.165 -0.563,0.426 -1.508,0.764 -2.126,0.628 C 5.77,11.883 2.419,7.443 0.866,6.075 -1.152,4.297 -1.247,2.084 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,344.92907,96.215834)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -2.902,-3.599 -5.014,-7.503 -6.355,-11.671 -1.237,-4.2 -1.688,-8.615 -1.314,-13.223 0.196,-2.421 1.56,-4.166 4.235,-4.44 2.06,-0.21 7.367,-1.876 19.253,3.196 0.582,0.248 1.154,1.072 1.365,1.746 0.527,1.689 1.033,3.331 1.545,4.994 0.513,1.662 1.018,3.304 1.533,4.997 0.205,0.676 0.196,1.679 -0.146,2.211 C 13.145,-1.309 7.821,0.301 6,1.286 3.635,2.565 1.525,1.891 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,373.47869,139.9181)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 4.441,1.288 8.407,3.279 11.893,5.927 3.42,2.735 6.318,6.096 8.651,10.088 1.226,2.097 1.106,4.309 -0.929,6.065 -1.568,1.352 -4.965,5.757 -17.613,8.407 -0.619,0.13 -1.56,-0.218 -2.119,-0.65 C -1.516,28.754 -2.872,27.698 -4.243,26.628 -5.616,25.559 -6.971,24.503 -8.362,23.409 -8.917,22.973 -9.484,22.145 -9.509,21.513 -10.026,8.601 -6.584,4.232 -5.655,2.382 -4.449,-0.021 -2.333,-0.677 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,383.2447,80.529154)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 3.444,-2.371 6.567,-3.639 10.002,-5.126 6.043,-2.615 8.545,-7.741 9.934,-13.836 -0.558,0.653 -1.166,1.27 -1.667,1.964 -2.369,3.284 -5.502,5.447 -9.303,6.838 -5.755,2.106 -11.069,5.004 -15.271,9.601 -2.382,2.605 -4.161,5.534 -4.546,8.789 C -7.425,5.358 -3.763,2.591 0,0 m -20.929,9.866 c -2.801,-4.946 -2.773,-10.152 -1.646,-15.458 11.442,-2.109 11.442,-2.109 15.209,-7.505 2.353,1.023 4.736,2.059 7.435,3.232 -0.414,-2.886 -0.78,-5.444 -1.148,-8.014 9.099,-0.295 10.466,-8.06 13.869,-13.794 4.947,0.914 9.749,1.956 13.469,5.684 3.741,3.748 4.362,7.603 1.566,12.086 -1.259,2.019 -2.748,3.931 -4.353,5.691 C 17.018,-1.137 9.6,4.789 1.16,9.29 c -3.904,2.083 -8.065,3.846 -12.306,5.085 -4.298,1.256 -7.58,-0.619 -9.783,-4.509", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,341.28776,85.512854)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 3.332,2.527 5.515,5.094 8.004,7.89 4.379,4.918 10.031,5.686 16.253,5.094 C 23.462,12.658 22.686,12.275 21.87,12.017 18.009,10.797 14.972,8.5 12.46,5.328 8.655,0.523 4.237,-3.614 -1.446,-6.163 -4.667,-7.607 -8.006,-8.377 -11.218,-7.722 -7.416,-5.37 -3.64,-2.761 0,0 m -15.931,-16.779 c 3.817,-4.211 8.769,-5.817 14.161,-6.411 5.591,10.204 5.591,10.204 11.896,12.088 -0.233,2.556 -0.469,5.143 -0.737,8.074 2.61,-1.298 4.925,-2.448 7.249,-3.604 3.134,8.549 10.936,7.411 17.449,8.844 0.682,4.984 1.199,9.871 -1.174,14.572 -2.385,4.727 -5.852,6.527 -10.985,5.277 C 19.616,21.499 17.333,20.685 15.159,19.712 6.417,15.803 -1.536,10.618 -8.458,4.015 c -3.201,-3.054 -6.181,-6.452 -8.687,-10.09 -2.54,-3.688 -1.789,-7.393 1.214,-10.704", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,332.53568,128.37004)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -1.32,3.968 -3.048,6.861 -4.894,10.117 -3.247,5.729 -2.154,11.327 0.409,17.028 0.052,-0.857 0.165,-1.716 0.147,-2.571 -0.088,-4.049 1.109,-7.663 3.304,-11.063 C 2.291,8.363 4.786,2.848 5.369,-3.353 5.7,-6.867 5.355,-10.276 3.701,-13.107 2.697,-8.75 1.442,-4.335 0,0 m 10.759,-20.484 c 5.215,2.259 8.329,6.43 10.627,11.345 -7.861,8.577 -7.861,8.577 -7.615,15.153 -2.495,0.602 -5.021,1.211 -7.882,1.9 2.069,2.054 3.903,3.875 5.745,5.704 -7.085,5.719 -3.496,12.739 -2.757,19.367 -4.499,2.25 -8.959,4.313 -14.174,3.579 -5.244,-0.737 -8.063,-3.44 -8.532,-8.702 -0.212,-2.37 -0.176,-4.794 0.045,-7.165 0.887,-9.535 3.237,-18.734 7.26,-27.413 1.861,-4.013 4.12,-7.929 6.758,-11.472 2.673,-3.592 6.422,-4.074 10.525,-2.296", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,373.80818,150.1077)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -6.024,-0.49 -12.033,-1.289 -18.008,-2.22 -6.13,-0.956 -10.974,1.473 -15.365,5.525 0.755,-0.187 1.527,-0.322 2.26,-0.571 3.834,-1.307 7.627,-1.236 11.525,-0.113 6.122,1.764 12.365,2.545 18.695,1.203 C 2.324,3.142 5.282,1.877 7.879,-0.961 4.961,-0.573 2.441,0.199 0,0 M 15.603,2.692 C 15.293,8.42 12.132,12.598 8.53,16.182 5.528,14.98 2.854,13.745 0.073,12.839 c -2.954,-0.963 -5.789,-0.396 -8.283,1.748 -1.482,-2.441 -2.829,-4.661 -4.341,-7.154 -1.292,2.564 -2.426,4.816 -3.66,7.265 -3.061,-2.927 -6.426,-2.741 -9.748,-1.354 -3.205,1.339 -6.263,3.026 -9.666,4.697 -1.654,-1.905 -3.649,-3.882 -5.273,-6.128 -5.933,-8.205 -3.51,-15.557 6.018,-18.593 0.608,-0.194 1.222,-0.371 1.84,-0.528 9.779,-2.474 19.725,-3.073 29.715,-2.089 4.404,0.434 8.841,1.35 13.051,2.706 4.506,1.45 6.132,4.559 5.877,9.283", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,332.96267,157.69528)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "M 0,0 C 4.872,1.979 9.484,3.854 13.856,5.629 12.951,9.584 12.015,13.623 11.496,15.896 9.174,15.678 5.046,15.301 1.006,14.922 0.689,10.214 0.353,5.247 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,315.56807,94.698874)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c 3.266,-4.121 6.359,-8.023 9.29,-11.72 3.542,1.977 7.157,4.008 9.192,5.144 -0.86,2.167 -2.38,6.024 -3.877,9.795 C 9.998,2.203 5.135,1.132 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,365.56804,57.864374)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "M 0,0 C 2.788,-4.459 5.427,-8.681 7.929,-12.681 4.878,-15.356 1.753,-18.08 0,-19.617 c -1.753,1.537 -4.878,4.261 -7.929,6.936 2.502,4 5.141,8.222 7.929,12.681", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,395.31169,157.86437)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -4.872,1.979 -9.484,3.854 -13.856,5.629 0.905,3.955 1.841,7.994 2.36,10.267 2.322,-0.218 6.45,-0.595 10.49,-0.974 C -0.689,10.214 -0.353,5.247 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,415.56807,96.495624)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -3.266,-4.121 -6.359,-8.023 -9.29,-11.72 -3.542,1.977 -7.157,4.008 -9.192,5.145 0.86,2.166 2.38,6.023 3.877,9.794 C -9.998,2.203 -5.135,1.132 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,364.25095,120.70904)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "M 0,0 -7.422,5.393 C -8.561,6.22 -9.038,7.687 -8.603,9.026 l 2.835,8.726 c 0.435,1.339 1.683,2.245 3.091,2.245 h 9.175 c 1.408,0 2.655,-0.906 3.091,-2.245 L 12.424,9.026 C 12.859,7.687 12.382,6.22 11.243,5.393 L 3.821,0 C 2.682,-0.828 1.139,-0.828 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,403.88823,110.91837)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -1.165,-1.787 -2.103,-3.637 -2.868,-5.536 -1.721,-4.271 -2.562,-8.787 -3.123,-13.371 -0.187,-1.527 -0.343,-3.063 -0.49,-4.599 -0.04,-0.412 -0.092,-0.814 -0.157,-1.207 -0.129,-0.787 -0.307,-1.537 -0.531,-2.254 -0.559,-1.793 -1.4,-3.381 -2.462,-4.822 -0.425,-0.577 -0.885,-1.13 -1.377,-1.663 -0.983,-1.067 -2.091,-2.054 -3.293,-2.992 -0.601,-0.469 -1.225,-0.925 -1.869,-1.373 0.188,0.443 0.38,0.881 0.572,1.314 0.769,1.731 1.558,3.39 2.253,5.046 0.347,0.829 0.672,1.656 0.958,2.493 0.144,0.418 0.278,0.838 0.401,1.262 0.225,0.773 0.352,1.573 0.429,2.388 0.046,0.489 0.074,0.983 0.095,1.48 0.021,0.497 0.033,0.996 0.049,1.495 0.01,0.332 0.022,0.665 0.037,0.996 0.024,0.498 0.057,0.993 0.109,1.484 0.134,1.241 0.313,2.47 0.549,3.682 0.117,0.605 0.249,1.207 0.396,1.804 0.146,0.597 0.308,1.189 0.487,1.776 0.178,0.587 0.373,1.169 0.585,1.745 0.636,1.729 1.431,3.407 2.417,5.02 0.411,0.672 0.849,1.317 1.321,1.929 0.472,0.611 0.979,1.188 1.526,1.724 0.547,0.537 1.134,1.031 1.77,1.477 0.635,0.446 1.318,0.843 2.054,1.184 C -0.102,0.314 -0.015,0.168 0.006,0.074 0.012,0.043 0.012,0.018 0,0 m 5.485,-0.201 c -0.137,5.664 -3.148,8.877 -8.717,9.554 -4.815,0.586 -9.095,-0.918 -12.986,-3.01 0.272,-3.248 0.646,-6.253 0.741,-9.267 0.101,-3.209 -1.289,-5.819 -4.033,-7.678 1.767,-2.082 3.393,-3.999 5.235,-6.169 -2.9,-0.456 -5.387,-0.847 -7.842,-1.233 2.673,-8.327 -3.846,-11.925 -8.361,-16.798 1.311,-2.077 2.375,-4.5 4.076,-6.332 7.382,-7.947 13.628,-7.436 18.836,0.388 4.417,6.636 7.522,13.886 9.785,21.5 1.847,6.212 3.424,12.493 3.266,19.045", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } })),
    React.createElement("g", { transform: "matrix(0.6894712,0,0,-0.7198232,365.56804,57.864374)", style: { fill: "#fbffff", fillOpacity: 1 } },
        React.createElement("path", { d: "m 0,0 c -2.788,-4.459 -5.427,-8.681 -7.929,-12.681 3.051,-2.675 6.176,-5.399 7.929,-6.936 1.753,1.537 4.878,4.261 7.929,6.936 C 5.427,-8.681 2.788,-4.459 0,0", style: {
                fill: "#fbffff",
                fillOpacity: 1,
                fillRule: "nonzero",
                stroke: "none",
            } }))));
const wad = (React.createElement("g", { transform: "matrix(0.28266997,-0.02406952,0.02406952,0.28266997,323.94612,-142.59428)", style: { fill: "#ffffff", stroke: "none" } },
    React.createElement("path", { d: "m 75.70255,758.86218 c 30.0825,37.7971 39.7439,76.0451 37.9979,106.9883 -30.9796,1.8011 -69.319,-7.8481 -107.2006,-37.9978 2.9542,24.4032 16.7929,44.5271 16.7929,74.2974 0,29.7703 -13.8387,50.1066 -16.7929,74.5097 37.8816,-30.1496 76.221,-40.0111 107.2006,-38.2101 l 0,0.212 c 1.801,30.9796 -7.8481,69.31902 -37.9979,107.20052 24.4032,-2.9542 44.5272,-16.7929 74.2975,-16.7929 29.7703,0 50.1065,13.8387 74.5097,16.7929 -30.1497,-37.8815 -40.0112,-76.22092 -38.2101,-107.20052 l 0,-0.212 c 30.9796,-1.801 69.319,8.0605 107.2005,38.2101 -2.9542,-24.4031 -16.7929,-44.7394 -16.7929,-74.5097 0,-29.7703 13.8387,-49.8942 16.7929,-74.2974 -37.8815,30.1497 -76.2209,39.7989 -107.2005,37.9978 -1.7451,-30.9432 8.1276,-69.1912 38.2101,-106.9883 -24.4032,2.9543 -44.7394,16.7929 -74.5097,16.7929 -29.7703,0 -49.8943,-13.8386 -74.2975,-16.7929 z", style: { fill: "#ffffff", stroke: "none" } })));
const woc = (React.createElement("path", { d: "m 398.56359,25.01348 21.01371,-1.395417 12.93093,176.316257 -20.93824,-0.17775 z", style: { fill: "#ffff00", stroke: "#ffff00", strokeWidth: 0.97328287 } }));
const woo = (React.createElement("g", { transform: "rotate(-4) translate(400,20)" },
    React.createElement("path", { d: "M 0,0 l 0,300 ", style: { stroke: "#8B0000", strokeWidth: 30, fill: "none" } })));
const wrc = (React.createElement("path", { d: "M 109.76752,42.435275 76.110919,192.11109 470.50332,203.51473 z", style: { fill: "#00ffff", stroke: "none" } }));
const yrk = (React.createElement("g", { transform: "rotate(60) translate(350,-390)" },
    React.createElement("path", { d: "M -63,00 l 0,350 ", style: { stroke: "#FFCC33", strokeWidth: 25, fill: "none" } }),
    React.createElement("path", { d: "M -95,00 l 0,350 ", style: { stroke: "#000000", strokeWidth: 25, fill: "none" } }),
    React.createElement("path", { d: "M -127,00 l 0,350 ", style: { stroke: "#840073", strokeWidth: 25, fill: "none" } })));
const shortShortNames = {
    cambridge: {},
    international: {},
    oxford: {},
    uk: {},
};
const abbreviations = {
    cambridge: {},
    international: {},
    oxford: {},
    uk: {},
};
abbreviations.uk = {
    A: "Addenbrooke's",
    CB: "Camb Blue",
    CV: "Camb Veterans",
    Ct: "Cantabs",
    Cy: "City",
    Ch: "Chesterton",
    Ca: "Caius",
    CT: "CCAT",
    Cr: "Christ's",
    Cu: "Churchill",
    CH: "Clare Hall",
    Cl: "Clare",
    CC: "Corpus Christi",
    COT: "Champs",
    Dn: "Domino",
    Dw: "Darwin",
    D: "Downing",
    E: "Emmanuel",
    F: "Fitzwilliam",
    FP: "Free Press",
    G: "Girton",
    H: "Homerton",
    HH: "Hughes Hall",
    Hn: "Hornets",
    I: "Ionica",
    IOE: "Isle of Ely",
    J: "Jesus",
    K: "King's",
    L: "LMBC",
    LC: "Lucy Cavendish",
    LS: "Lady Somerset",
    M: "Magdalene",
    ME: "Maximum Entropy",
    MM: "Mott MacDonald",
    NH: "New Hall",
    N: "Newnham",
    NN: "99",
    P: "Peterborough",
    Pb: "Pembroke",
    Ph: "Peterhouse",
    QM: "QMABC",
    Q: "Queens'",
    RR: "Rob Roy",
    R: "Robinson",
    Sm: "Simoco",
    SI: "St Ives",
    SN: "St Neots",
    SR: "St Radegund",
    S: "Selwyn",
    SS: "Sidney Sussex",
    SC: "St Catharine's",
    SE: "St Edmund's",
    T: "1st & 3rd",
    TC: "Theological Colleges",
    Te: "Telephones",
    TH: "Trinity Hall",
    US: "Univ Sports",
    VS: "Vet School",
    W: "Wolfson",
    X: "X-Press",
};
shortShortNames.uk = {
    abn: "Abingdon",
    abs: "Abingdon School",
    age: "Agecroft",
    akn: "Auriol Kensington",
    avn: "Avon County",
    bau: "Bath University",
    bbl: "Barnes Bridge Ladies",
    bed: "Bedford",
    ber: "Berwick",
    bms: "Bedford Modern School",
    bou: "Bournemouth University",
    brd: "Bradford",
    bra: "Bristol Ariel",
    cab: "Cantabs",
    cam: "City",
    cbs: "Cambois",
    cfu: "Cardiff University",
    cha: "Champs",
    cls: "Chester-Le-Street",
    cnn: "99",
    cox: "City of Oxford",
    crc: "Chesterton",
    dur: "Durham",
    dus: "Durham School",
    etn: "Eton College",
    glw: "Glasgow",
    iel: "Isle of Ely",
    imp: "Imperial College",
    ldr: "Leander",
    ldu: "Leeds University",
    ley: "Leys School",
    mau: "Manchester University",
    oxb: "Oxford Brookes",
    pet: "Peterborough",
    rdu: "Reading University",
    rho: "Royal Holloway",
    rob: "Rob Roy",
    sne: "St Neots",
    son: "Sons of the Thames",
    srg: "St Radegund",
    trc: "Thames",
    tss: "Tideway Scullers",
    twk: "Twickenham",
    ucl: "University College London",
    uyo: "York University",
    vet: "Camb Veterans",
    wrc: "Wallingford",
    xpr: "X-Press",
    yrk: "York City",
};
abbreviations.cambridge = {
    A: "Addenbrooke's",
    AR: "Anglia Ruskin",
    Ca: "Caius",
    CC: "Corpus Christi",
    CH: "Clare Hall",
    Cl: "Clare",
    Cr: "Christ's",
    CT: "CCAT",
    Cu: "Churchill",
    D: "Downing",
    Dw: "Darwin",
    E: "Emmanuel",
    F: "Fitzwilliam",
    G: "Girton",
    H: "Homerton",
    HH: "Hughes Hall",
    HHL: "Hughes/Lucy",
    J: "Jesus",
    K: "King's",
    L: "Lady Margaret",
    LC: "Lucy Cavendish",
    M: "Magdalene",
    ME: "Murray Edwards",
    N: "Newnham",
    NH: "New Hall",
    Pb: "Pembroke",
    Ph: "Peterhouse",
    Q: "Queens'",
    QM: "QMABC",
    R: "Robinson",
    S: "Selwyn",
    SC: "St. Catharine's",
    SE: "St. Edmund's",
    SS: "Sidney Sussex",
    T: "First and Third",
    TC: "Theological Colleges",
    TH: "Trinity Hall",
    VS: "Vet School",
    W: "Wolfson",
};
shortShortNames.cambridge = {
    ad: "Addenbrooke's",
    aru: "Anglia Ruskin",
    cai: "Caius",
    cco: "Christ's",
    chu: "Churchill",
    cla: "Clare",
    clh: "Clare Hall",
    cor: "Corpus Christi",
    daw: "Darwin",
    dow: "Downing",
    emm: "Emmanuel",
    ftt: "First and Third",
    fit: "Fitzwilliam",
    gir: "Girton",
    hom: "Homerton",
    huh: "Hughes Hall",
    jec: "Jesus",
    kcb: "King's",
    lcc: "Lucy Cavendish",
    lmb: "Lady Margaret",
    mgd: "Magdalene",
    mec: "Murray Edwards",
    nnm: "Newnham",
    pem: "Pembroke",
    pbc: "Peterhouse",
    qcc: "Queens'",
    roc: "Robinson",
    sel: "Selwyn",
    sid: "Sidney Sussex",
    scc: "St. Catharine's",
    sec: "St. Edmund's",
    trh: "Trinity Hall",
    woc: "Wolfson",
};
abbreviations.oxford = {
    B: "Balliol",
    Br: "Brasenose",
    Ch: "Christ Church",
    Co: "Corpus Christi",
    E: "Exeter",
    GT: "Green Templeton",
    H: "Hertford",
    J: "Jesus",
    K: "Keble",
    L: "Linacre",
    Lc: "Lincoln",
    LM: "L.M.H.",
    Mg: "Magdalen",
    Mf: "Mansfield",
    Mt: "Merton",
    N: "New College",
    O: "Oriel",
    OG: "Osler-Green",
    P: "Pembroke",
    Q: "Queen's",
    R: "Regent's Park",
    SE: "S.E.H.",
    S: "Somerville",
    SAn: "St Anne's",
    SAt: "St Antony's",
    SB: "St Benet's Hall",
    SC: "St Catherine's",
    SHi: "St Hilda's",
    SHu: "St Hugh's",
    SJ: "St John's",
    SP: "St Peter's",
    T: "Trinity",
    U: "University",
    Wh: "Wadham",
    Wf: "Wolfson",
    Wt: "Worcester",
};
shortShortNames.oxford = {
    bal: "Balliol",
    brc: "Brasenose",
    chb: "Christ Church",
    coo: "Corpus Christi",
    exc: "Exeter",
    gtm: "Green Templeton",
    hec: "Hertford",
    jeo: "Jesus",
    keb: "Keble",
    lic: "Lincoln",
    lin: "Linacre",
    lmh: "L.M.H.",
    mag: "Magdalen",
    man: "Mansfield",
    mer: "Merton",
    nec: "New College",
    oro: "Oriel",
    osg: "Osler House",
    pmb: "Pembroke",
    qco: "Queen's",
    rpc: "Regent's Park",
    som: "Somerville",
    sac: "St Anne's",
    say: "St Antony's",
    sbh: "St Benet's Hall",
    sco: "St Catherine's",
    seh: "S.E.H.",
    shi: "St Hilda's",
    shg: "St Hugh's",
    sjo: "St John's",
    spc: "St Peter's",
    tro: "Trinity",
    uxo: "University",
    wad: "Wadham",
    woo: "Wolfson",
    wro: "Worcester",
};

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9, _templateObject10, _templateObject11, _templateObject12;
var UNSELECTED_OPACITY = 0.7;
var MOBILE_WIDTH = 440;
var roman = ['I', 'II', 'III', 'IV', 'V', 'VI', 'VII', 'VIII', 'IX', 'X', 'XI', 'XII', 'XIII', 'XIV', 'XV', 'XVI', 'XVII', 'XVIII', 'XIX', 'XX'];
var calculateFontSize = function calculateFontSize(width) {
  return width < MOBILE_WIDTH ? 10 : 14;
};
var Container = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: relative;\n  max-width: 520px;\n  min-width: 320px;\n  font-family: sans-serif;\n  font-size: ", "px;\n"])), function (props) {
  return calculateFontSize(props.width);
});
var BackgroundContainer = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  position: absolute;\n  width: 100%;\n"])));
var Wrapper = styled.div(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  position: relative;\n  top: -100%;\n  display: flex;\n  justify-content: flex-start;\n"])));
var Crews = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  flex: 1 1 0;\n  cursor: pointer;\n"])));
var Results = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  flex: 0 0 auto;\n"])));
var Crew = styled.div(_templateObject6 || (_templateObject6 = _taggedTemplateLiteral(["\n  display: flex;\n  height: ", "px;\n  justify-content: space-between;\n  align-items: center;\n  opacity: ", ";\n  padding: 0 6px 0 6px;\n"])), function (props) {
  return props.height;
}, function (props) {
  return props.active ? 1 : UNSELECTED_OPACITY;
});
var BladeWrapper = styled.div(_templateObject7 || (_templateObject7 = _taggedTemplateLiteral(["\n  flex: 0 0 ", "px;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n"])), function (props) {
  return props.width;
});
var Position = styled.div(_templateObject8 || (_templateObject8 = _taggedTemplateLiteral(["\n  font-weight: ", ";\n"])), function (props) {
  return props.active ? 'bold' : 'normal';
});
var Label = styled.div(_templateObject9 || (_templateObject9 = _taggedTemplateLiteral(["\n  flex: 0 0 auto;\n  font-weight: ", ";\n"])), function (props) {
  return props.active ? 'bold' : 'normal';
});
var StyledBlade = styled(Blade)(_templateObject10 || (_templateObject10 = _taggedTemplateLiteral(["\n  flex: 0 0 auto;\n  transform: ", ";\n"])), function (props) {
  return props.reverse ? 'scale(-1, 1)' : null;
});
var StyledSvg = styled.svg(_templateObject11 || (_templateObject11 = _taggedTemplateLiteral(["\n  position: relative;\n  cursor: pointer;\n  pointer-events: all;\n"])));
var Line = styled.path(_templateObject12 || (_templateObject12 = _taggedTemplateLiteral(["\n  fill: none;\n  stroke: black;\n  stroke-width: ", ";\n  stroke-dasharray: ", ";\n  opacity: ", ";\n"])), function (props) {
  return props.active ? '1.5px' : '1px';
}, function (props) {
  return props.blades ? '10,5' : props.spoons ? '5,5' : null;
}, function (props) {
  return props.active ? 1 : UNSELECTED_OPACITY;
});
var BumpsChart = function BumpsChart(_ref) {
  var data = _ref.data;
  var _useResizeObserver = useResizeObserver(),
    ref = _useResizeObserver.ref,
    _useResizeObserver$wi = _useResizeObserver.width,
    width = _useResizeObserver$wi === void 0 ? 1 : _useResizeObserver$wi;
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    hover = _useState2[0],
    setHover = _useState2[1];
  var heightOfOneCrew = width < MOBILE_WIDTH ? 12 : 20;
  var bladeSize = width < MOBILE_WIDTH ? 22 : 36;
  var bladeWrapperWidth = width < MOBILE_WIDTH ? 32 : 52;
  var names;
  var abbr;
  switch (data.set) {
    case 'May Bumps':
    case 'Lent Bumps':
      names = shortShortNames.cambridge;
      abbr = abbreviations.cambridge;
      break;
    case 'Summer Eights':
    case 'Torpids':
      names = shortShortNames.oxford;
      abbr = abbreviations.oxford;
      break;
    case 'Town Bumps':
      names = shortShortNames.uk;
      abbr = Object.assign.apply(Object, [{}].concat(_toConsumableArray(Object.values(abbreviations.uk).map(function (x) {
        return _defineProperty({}, x, x);
      }))));
      break;
    default:
      throw new Error("".concat(data.set, " not recognised as a set"));
  }
  var crews = data.crews.sort(function (a, b) {
    return a.values[0].pos - b.values[0].pos;
  }).map(function (crew) {
    var name = crew.name.replace(/ ?\d+$/g, '');
    var code = Object.keys(names).find(function (key) {
      return names[key] === abbr[name];
    });

    // Couldn't find club code based on abbreviation
    // Search using full name instead
    if (!code) {
      code = Object.keys(names).find(function (key) {
        return names[key] === name;
      });
    }
    if (!code) {
      if (name === 'LMBC') {
        code = 'lmb';
      } else if (name === '1st and 3rd') {
        code = 'ftt';
      } else if (name === "St Catharine's") {
        code = 'scc';
      } else if (name === "St Edmund's") {
        code = 'sec';
      }
    }
    var number = +crew.name.match(/\d+$/);
    var label = code ? names[code] : name;
    return {
      code: code,
      number: number,
      label: label + (number ? " ".concat(data.set === 'Town Bumps' ? number : roman[number - 1]) : ''),
      name: crew.name
    };
  });
  var startPositions = data.crews.map(function (crew) {
    return crew.values[0].pos;
  });
  var finishPositions = data.crews.map(function (crew) {
    var finishIndex = crew.values.filter(function (value) {
      return value.pos !== -1;
    }).length - 1;
    return crew.values[finishIndex].pos;
  });
  var finishOrder = startPositions.map(function (x) {
    return finishPositions.findIndex(function (y) {
      return x === y;
    });
  });
  var numCrews = data.crews.length;
  var x = linear().domain([0, 4]).range([0, heightOfOneCrew * 4]);
  var y = linear().domain([1, numCrews]).range([0.5 * heightOfOneCrew, heightOfOneCrew * (numCrews - 0.5)]);
  var l = line().defined(function (d) {
    return d.pos !== -1;
  }).x(function (d) {
    return x(d.day);
  }).y(function (d) {
    return y(d.pos);
  });
  var v = voronoi().x(function (d) {
    return x(d.value.day);
  }).y(function (d) {
    return y(d.value.pos);
  }).extent([[0, 0], [heightOfOneCrew * 4, heightOfOneCrew * numCrews]]);
  var Lines = function Lines() {
    return /*#__PURE__*/React__default.createElement(StyledSvg, {
      width: heightOfOneCrew * 4,
      height: heightOfOneCrew * numCrews
    }, /*#__PURE__*/React__default.createElement("g", {
      className: "lines"
    }, data.crews.map(function (crew) {
      return /*#__PURE__*/React__default.createElement(Line, {
        key: crew.name,
        d: l(crew.values),
        active: hover === '' || hover === crew.name,
        blades: crew.valuesSplit[0].blades,
        spoons: crew.valuesSplit[0].spoons
      });
    })), /*#__PURE__*/React__default.createElement("g", {
      className: "touch-areas"
    }, v.polygons(merge(data.crews.map(function (crew) {
      return crew.values.map(function (value) {
        return {
          name: crew.name,
          value: value
        };
      });
    }))).map(function (polygon, i) {
      return /*#__PURE__*/React__default.createElement("path", {
        key: i,
        d: polygon ? 'M' + polygon.join('L') + 'Z' : null,
        fill: "none",
        stroke: "none",
        pointerEvents: "all",
        onMouseEnter: function onMouseEnter() {
          return setHover(polygon.data.name);
        },
        onMouseLeave: function onMouseLeave() {
          return setHover('');
        }
      });
    })));
  };
  var Background = function Background() {
    return /*#__PURE__*/React__default.createElement(BackgroundContainer, null, /*#__PURE__*/React__default.createElement("svg", {
      height: heightOfOneCrew * numCrews,
      width: "100%"
    }, /*#__PURE__*/React__default.createElement("g", {
      className: "zebra-stripes"
    }, data.crews.map(function (d, i) {
      return /*#__PURE__*/React__default.createElement("rect", {
        key: i,
        x: 0,
        y: i * heightOfOneCrew - 0.5,
        width: "100%",
        height: heightOfOneCrew,
        fill: i % 2 ? '#f2f2f2' : 'none',
        stroke: "none"
      });
    })), /*#__PURE__*/React__default.createElement("g", {
      className: "divisions"
    }, data.divisions[0].divisions.slice(1).map(function (division, i) {
      return /*#__PURE__*/React__default.createElement("line", {
        key: i,
        x1: 0,
        y1: y(division.start - 0.5) - 0.5,
        x2: "100%",
        y2: y(division.start - 0.5) - 0.5,
        stroke: "grey",
        strokeWidth: 1
      });
    }))));
  };
  var placeInDivision = useMemo(function () {
    return merge(data.divisions[0].divisions.map(function (division) {
      return range(1, division.size + 1);
    }));
  }, [data.divisions[0].divisions]);
  return /*#__PURE__*/React__default.createElement(Container, {
    ref: ref,
    width: width
  }, /*#__PURE__*/React__default.createElement(Background, null), /*#__PURE__*/React__default.createElement(Wrapper, null, /*#__PURE__*/React__default.createElement(Crews, null, crews.map(function (d, i) {
    return /*#__PURE__*/React__default.createElement(Crew, {
      key: i,
      onMouseEnter: function onMouseEnter() {
        return setHover(d.name);
      },
      onMouseLeave: function onMouseLeave() {
        return setHover('');
      },
      active: hover === '' || hover === d.name,
      height: heightOfOneCrew
    }, /*#__PURE__*/React__default.createElement(BladeWrapper, {
      width: bladeWrapperWidth
    }, /*#__PURE__*/React__default.createElement(Position, {
      active: hover === d.name
    }, placeInDivision[i]), /*#__PURE__*/React__default.createElement(StyledBlade, {
      club: d.code,
      size: bladeSize,
      reverse: true
    })), /*#__PURE__*/React__default.createElement(Label, {
      active: hover === d.name
    }, d.label));
  })), /*#__PURE__*/React__default.createElement(Results, null, /*#__PURE__*/React__default.createElement(Lines, null)), /*#__PURE__*/React__default.createElement(Crews, null, crews.map(function (d, i) {
    return /*#__PURE__*/React__default.createElement(Crew, {
      key: i,
      onMouseEnter: function onMouseEnter() {
        return setHover(crews[finishOrder[i]].name);
      },
      onMouseLeave: function onMouseLeave() {
        return setHover('');
      },
      active: hover === '' || hover === crews[finishOrder[i]].name,
      height: heightOfOneCrew
    }, /*#__PURE__*/React__default.createElement(Label, {
      active: hover === crews[finishOrder[i]].name
    }, crews[finishOrder[i]].label), /*#__PURE__*/React__default.createElement(BladeWrapper, {
      width: bladeWrapperWidth
    }, /*#__PURE__*/React__default.createElement(StyledBlade, {
      club: crews[finishOrder[i]].code,
      size: bladeSize
    }), /*#__PURE__*/React__default.createElement(Position, {
      active: hover === crews[finishOrder[i]].name
    }, i + 1)));
  }))));
};
var BumpsChart$1 = BumpsChart;

export { BumpsChart$1 as default };
